#include "wasteAnnotator.h"

/*-- moo: useful shortcuts for re2c actions --*/
#define annot0(a)		token.insert(a,"[" a "]")
#define annot1(a1) 		annot0(a1); return
#define annot2(a1,a2)		annot0(a1); annot0(a2); return
#define annot3(a1,a2,a3)	annot0(a1); annot0(a2); annot0(a3); return
#define annot4(a1,a2,a3,a4)	annot0(a1); annot0(a2); annot0(a3); annot0(a4); return

namespace moot {

  void wasteAnnotator::annotate_token(mootToken& token)
  {
    const unsigned char *sp  = (const unsigned char*)token.tok_text.c_str();
    const unsigned char *m   = sp;

    /*!re2c
      re2c:define:YYCTYPE = "unsigned char";
      re2c:define:YYCURSOR = sp;
      re2c:define:YYMARKER = m;
      re2c:yyfill:enable   = 0;
      re2c:indent:top = 6;
      re2c:indent:string = "  ";
    */

    //-- Auto-generated property rules go here
    /*!re2c
Ps1 = [\x28\x5b\x7b];
Ps3 = ([\xe1][\x9a][\x9b])|([\xe0][\xbc][\xba\xbc])|([\xe3][\x80][\x88\x8a\x8c\x8e\x90\x94\x96\x98\x9a\x9d])|([\xe2][\x81][\x85\xbd])|([\xe2][\x80][\x9a\x9e])|([\xe2][\x82][\x8d])|([\xe2][\xa7][\x98\x9a\xbc])|([\xe2][\xa6][\x83\x85\x87\x89\x8b\x8d\x8f\x91\x93\x95\x97])|([\xe2][\x8c][\xa9])|([\xe2][\xb8][\xa2\xa4\xa6\xa8])|([\xe2][\x9d][\xa8\xaa\xac\xae\xb0\xb2\xb4])|([\xe2][\x9f][\x85\xa6\xa8\xaa\xac\xae])|([\xef][\xb9][\x81\x83\x87\x99\x9b\x9d])|([\xef][\xb8][\x97\xb5\xb7\xb9\xbb\xbd\xbf])|([\xef][\xbd][\x9b\x9f\xa2])|([\xef][\xb4][\xbe])|([\xef][\xbc][\x88\xbb]);
Ps = Ps1|Ps3;
Nl3 = ([\xe1][\x9b][\xae-\xb0])|([\xe3][\x80][\x87\xa1-\xa9\xb8-\xba])|([\xe2][\x85][\xa0-\xbf])|([\xe2][\x86][\x80-\x82\x85-\x88])|([\xea][\x9b][\xa6-\xaf]);
Nl = Nl3;
No2 = ([\xc2][\xb2-\xb3\xb9\xbc-\xbe]);
No3 = ([\xe1][\x8d][\xa9-\xbc])|([\xe1][\x9f][\xb0-\xb9])|([\xe0][\xb1][\xb8-\xbe])|([\xe0][\xb5][\xb0-\xb5])|([\xe0][\xaf][\xb0-\xb2])|([\xe0][\xa7][\xb4-\xb9])|([\xe0][\xbc][\xaa-\xb3])|([\xe3][\x89][\x91-\x9f])|([\xe3][\x88][\xa0-\xa9])|([\xe3][\x8a][\x80-\x89\xb1-\xbf])|([\xe3][\x86][\x92-\x95])|([\xe2][\x81][\xb0\xb4-\xb9])|([\xe2][\x82][\x80-\x89])|([\xe2][\x85][\x90-\x9f])|([\xe2][\x86][\x89])|([\xe2][\xb3][\xbd])|([\xe2][\x91][\xa0-\xbf])|([\xe2][\x93][\xaa-\xbf])|([\xe2][\x92][\x80-\x9b])|([\xe2][\x9d][\xb6-\xbf])|([\xe2][\x9e][\x80-\x93])|([\xea][\xa0][\xb0-\xb5]);
No = No2|No3;
Lo2 = ([\xc7][\x80-\x83])|([\xc6][\xbb])|([\xca][\x94])|([\xd7][\x90-\xaa\xb0-\xb2])|([\xd9][\x81-\x8a\xae-\xaf\xb1-\xbf])|([\xd8][\xa1-\xbf])|([\xdb][\x80-\x93\x95\xae-\xaf\xba-\xbc\xbf])|([\xda][\x80-\xbf])|([\xdd][\x8d-\xbf])|([\xdc][\x90\x92-\xaf])|([\xdf][\x8a-\xaa])|([\xde][\x80-\xa5\xb1]);
Lo3 = ([\xe1][\x81][\x90-\x95\x9a-\x9d\xa1\xa5-\xa6\xae-\xb0\xb5-\xbf])|([\xe1][\x80][\x80-\xaa\xbf])|([\xe1][\x83][\x90-\xba])|([\xe1][\x82][\x80-\x81\x8e])|([\xe1][\x85][\x80-\xbf])|([\xe1][\x84][\x80-\xbf])|([\xe1][\x87][\x80-\xbf])|([\xe1][\x86][\x80-\xbf])|([\xe1][\x89][\x80-\x88\x8a-\x8d\x90-\x96\x98\x9a-\x9d\xa0-\xbf])|([\xe1][\x88][\x80-\xbf])|([\xe1][\x8b][\x80\x82-\x85\x88-\x96\x98-\xbf])|([\xe1][\x8a][\x80-\x88\x8a-\x8d\x90-\xb0\xb2-\xb5\xb8-\xbe])|([\xe1][\x8d][\x80-\x9a])|([\xe1][\x8c][\x80-\x90\x92-\x95\x98-\xbf])|([\xe1][\x8f][\x80-\xb4])|([\xe1][\x8e][\x80-\x8f\xa0-\xbf])|([\xe1][\x91][\x80-\xbf])|([\xe1][\x90][\x81-\xbf])|([\xe1][\x93][\x80-\xbf])|([\xe1][\x92][\x80-\xbf])|([\xe1][\x95][\x80-\xbf])|([\xe1][\x94][\x80-\xbf])|([\xe1][\x97][\x80-\xbf])|([\xe1][\x96][\x80-\xbf])|([\xe1][\x99][\x80-\xac\xaf-\xbf])|([\xe1][\x98][\x80-\xbf])|([\xe1][\x9b][\x80-\xaa])|([\xe1][\x9a][\x81-\x9a\xa0-\xbf])|([\xe1][\x9d][\x80-\x91\xa0-\xac\xae-\xb0])|([\xe1][\x9c][\x80-\x8c\x8e-\x91\xa0-\xb1])|([\xe1][\x9f][\x9c])|([\xe1][\x9e][\x80-\xb3])|([\xe1][\xa1][\x80-\x82\x84-\xb7])|([\xe1][\xa0][\xa0-\xbf])|([\xe1][\xa3][\x80-\xb5])|([\xe1][\xa2][\x80-\xa8\xaa\xb0-\xbf])|([\xe1][\xa5][\x90-\xad\xb0-\xb4])|([\xe1][\xa4][\x80-\x9c])|([\xe1][\xa7][\x81-\x87])|([\xe1][\xa6][\x80-\xab])|([\xe1][\xa9][\x80-\x94])|([\xe1][\xa8][\x80-\x96\xa0-\xbf])|([\xe1][\xad][\x85-\x8b])|([\xe1][\xac][\x85-\xb3])|([\xe1][\xae][\x83-\xa0\xae-\xaf])|([\xe1][\xb1][\x8d-\x8f\x9a-\xb7])|([\xe1][\xb0][\x80-\xa3])|([\xe1][\xb3][\xa9-\xac\xae-\xb1])|([\xe0][\xa0][\x80-\x95])|([\xe0][\xa5][\x90\x98-\xa1\xb2\xb9-\xbf])|([\xe0][\xa4][\x84-\xb9\xbd])|([\xe0][\xa7][\x8e\x9c-\x9d\x9f-\xa1\xb0-\xb1])|([\xe0][\xa6][\x85-\x8c\x8f-\x90\x93-\xa8\xaa-\xb0\xb2\xb6-\xb9\xbd])|([\xe0][\xa9][\x99-\x9c\x9e\xb2-\xb4])|([\xe0][\xa8][\x85-\x8a\x8f-\x90\x93-\xa8\xaa-\xb0\xb2-\xb3\xb5-\xb6\xb8-\xb9])|([\xe0][\xab][\x90\xa0-\xa1])|([\xe0][\xaa][\x85-\x8d\x8f-\x91\x93-\xa8\xaa-\xb0\xb2-\xb3\xb5-\xb9\xbd])|([\xe0][\xad][\x9c-\x9d\x9f-\xa1\xb1])|([\xe0][\xac][\x85-\x8c\x8f-\x90\x93-\xa8\xaa-\xb0\xb2-\xb3\xb5-\xb9\xbd])|([\xe0][\xaf][\x90])|([\xe0][\xae][\x83\x85-\x8a\x8e-\x90\x92-\x95\x99-\x9a\x9c\x9e-\x9f\xa3-\xa4\xa8-\xaa\xae-\xb9])|([\xe0][\xb1][\x98-\x99\xa0-\xa1])|([\xe0][\xb0][\x85-\x8c\x8e-\x90\x92-\xa8\xaa-\xb3\xb5-\xb9\xbd])|([\xe0][\xb3][\x9e\xa0-\xa1])|([\xe0][\xb2][\x85-\x8c\x8e-\x90\x92-\xa8\xaa-\xb3\xb5-\xb9\xbd])|([\xe0][\xb5][\xa0-\xa1\xba-\xbf])|([\xe0][\xb4][\x85-\x8c\x8e-\x90\x92-\xa8\xaa-\xb9\xbd])|([\xe0][\xb7][\x80-\x86])|([\xe0][\xb6][\x85-\x96\x9a-\xb1\xb3-\xbb\xbd])|([\xe0][\xb9][\x80-\x85])|([\xe0][\xb8][\x81-\xb0\xb2-\xb3])|([\xe0][\xbb][\x80-\x84\x9c-\x9d])|([\xe0][\xba][\x81-\x82\x84\x87-\x88\x8a\x8d\x94-\x97\x99-\x9f\xa1-\xa3\xa5\xa7\xaa-\xab\xad-\xb0\xb2-\xb3\xbd])|([\xe0][\xbd][\x80-\x87\x89-\xac])|([\xe0][\xbc][\x80])|([\xe0][\xbe][\x88-\x8b])|([\xe3][\x81][\x81-\xbf])|([\xe3][\x80][\x86\xbc])|([\xe3][\x83][\x80-\xba\xbf])|([\xe3][\x82][\x80-\x96\x9f\xa1-\xbf])|([\xe3][\x85][\x80-\xbf])|([\xe3][\x84][\x85-\xad\xb1-\xbf])|([\xe3][\x87][\xb0-\xbf])|([\xe3][\x86][\x80-\x8e\xa0-\xb7])|([\xe3][\x91][\x80-\xbf])|([\xe3][\x90][\x80-\xbf])|([\xe3][\x93][\x80-\xbf])|([\xe3][\x92][\x80-\xbf])|([\xe3][\x95][\x80-\xbf])|([\xe3][\x94][\x80-\xbf])|([\xe3][\x97][\x80-\xbf])|([\xe3][\x96][\x80-\xbf])|([\xe3][\x99][\x80-\xbf])|([\xe3][\x98][\x80-\xbf])|([\xe3][\x9b][\x80-\xbf])|([\xe3][\x9a][\x80-\xbf])|([\xe3][\x9d][\x80-\xbf])|([\xe3][\x9c][\x80-\xbf])|([\xe3][\x9f][\x80-\xbf])|([\xe3][\x9e][\x80-\xbf])|([\xe3][\xa1][\x80-\xbf])|([\xe3][\xa0][\x80-\xbf])|([\xe3][\xa3][\x80-\xbf])|([\xe3][\xa2][\x80-\xbf])|([\xe3][\xa5][\x80-\xbf])|([\xe3][\xa4][\x80-\xbf])|([\xe3][\xa7][\x80-\xbf])|([\xe3][\xa6][\x80-\xbf])|([\xe3][\xa9][\x80-\xbf])|([\xe3][\xa8][\x80-\xbf])|([\xe3][\xab][\x80-\xbf])|([\xe3][\xaa][\x80-\xbf])|([\xe3][\xad][\x80-\xbf])|([\xe3][\xac][\x80-\xbf])|([\xe3][\xaf][\x80-\xbf])|([\xe3][\xae][\x80-\xbf])|([\xe3][\xb1][\x80-\xbf])|([\xe3][\xb0][\x80-\xbf])|([\xe3][\xb3][\x80-\xbf])|([\xe3][\xb2][\x80-\xbf])|([\xe3][\xb5][\x80-\xbf])|([\xe3][\xb4][\x80-\xbf])|([\xe3][\xb7][\x80-\xbf])|([\xe3][\xb6][\x80-\xbf])|([\xe3][\xb9][\x80-\xbf])|([\xe3][\xb8][\x80-\xbf])|([\xe3][\xbb][\x80-\xbf])|([\xe3][\xba][\x80-\xbf])|([\xe3][\xbd][\x80-\xbf])|([\xe3][\xbc][\x80-\xbf])|([\xe3][\xbf][\x80-\xbf])|([\xe3][\xbe][\x80-\xbf])|([\xe2][\xb6][\x80-\x96\xa0-\xa6\xa8-\xae\xb0-\xb6\xb8-\xbe])|([\xe2][\xb5][\x80-\xa5])|([\xe2][\x84][\xb5-\xb8])|([\xe2][\xb7][\x80-\x86\x88-\x8e\x90-\x96\x98-\x9e])|([\xe2][\xb4][\xb0-\xbf])|([\xe5][\x81][\x80-\xbf])|([\xe5][\x80][\x80-\xbf])|([\xe5][\x83][\x80-\xbf])|([\xe5][\x82][\x80-\xbf])|([\xe5][\x85][\x80-\xbf])|([\xe5][\x84][\x80-\xbf])|([\xe5][\x87][\x80-\xbf])|([\xe5][\x86][\x80-\xbf])|([\xe5][\x89][\x80-\xbf])|([\xe5][\x88][\x80-\xbf])|([\xe5][\x8b][\x80-\xbf])|([\xe5][\x8a][\x80-\xbf])|([\xe5][\x8d][\x80-\xbf])|([\xe5][\x8c][\x80-\xbf])|([\xe5][\x8f][\x80-\xbf])|([\xe5][\x8e][\x80-\xbf])|([\xe5][\x91][\x80-\xbf])|([\xe5][\x90][\x80-\xbf])|([\xe5][\x93][\x80-\xbf])|([\xe5][\x92][\x80-\xbf])|([\xe5][\x95][\x80-\xbf])|([\xe5][\x94][\x80-\xbf])|([\xe5][\x97][\x80-\xbf])|([\xe5][\x96][\x80-\xbf])|([\xe5][\x99][\x80-\xbf])|([\xe5][\x98][\x80-\xbf])|([\xe5][\x9b][\x80-\xbf])|([\xe5][\x9a][\x80-\xbf])|([\xe5][\x9d][\x80-\xbf])|([\xe5][\x9c][\x80-\xbf])|([\xe5][\x9f][\x80-\xbf])|([\xe5][\x9e][\x80-\xbf])|([\xe5][\xa1][\x80-\xbf])|([\xe5][\xa0][\x80-\xbf])|([\xe5][\xa3][\x80-\xbf])|([\xe5][\xa2][\x80-\xbf])|([\xe5][\xa5][\x80-\xbf])|([\xe5][\xa4][\x80-\xbf])|([\xe5][\xa7][\x80-\xbf])|([\xe5][\xa6][\x80-\xbf])|([\xe5][\xa9][\x80-\xbf])|([\xe5][\xa8][\x80-\xbf])|([\xe5][\xab][\x80-\xbf])|([\xe5][\xaa][\x80-\xbf])|([\xe5][\xad][\x80-\xbf])|([\xe5][\xac][\x80-\xbf])|([\xe5][\xaf][\x80-\xbf])|([\xe5][\xae][\x80-\xbf])|([\xe5][\xb1][\x80-\xbf])|([\xe5][\xb0][\x80-\xbf])|([\xe5][\xb3][\x80-\xbf])|([\xe5][\xb2][\x80-\xbf])|([\xe5][\xb5][\x80-\xbf])|([\xe5][\xb4][\x80-\xbf])|([\xe5][\xb7][\x80-\xbf])|([\xe5][\xb6][\x80-\xbf])|([\xe5][\xb9][\x80-\xbf])|([\xe5][\xb8][\x80-\xbf])|([\xe5][\xbb][\x80-\xbf])|([\xe5][\xba][\x80-\xbf])|([\xe5][\xbd][\x80-\xbf])|([\xe5][\xbc][\x80-\xbf])|([\xe5][\xbf][\x80-\xbf])|([\xe5][\xbe][\x80-\xbf])|([\xe4][\x81][\x80-\xbf])|([\xe4][\x80][\x80-\xbf])|([\xe4][\x83][\x80-\xbf])|([\xe4][\x82][\x80-\xbf])|([\xe4][\x85][\x80-\xbf])|([\xe4][\x84][\x80-\xbf])|([\xe4][\x87][\x80-\xbf])|([\xe4][\x86][\x80-\xbf])|([\xe4][\x89][\x80-\xbf])|([\xe4][\x88][\x80-\xbf])|([\xe4][\x8b][\x80-\xbf])|([\xe4][\x8a][\x80-\xbf])|([\xe4][\x8d][\x80-\xbf])|([\xe4][\x8c][\x80-\xbf])|([\xe4][\x8f][\x80-\xbf])|([\xe4][\x8e][\x80-\xbf])|([\xe4][\x91][\x80-\xbf])|([\xe4][\x90][\x80-\xbf])|([\xe4][\x93][\x80-\xbf])|([\xe4][\x92][\x80-\xbf])|([\xe4][\x95][\x80-\xbf])|([\xe4][\x94][\x80-\xbf])|([\xe4][\x97][\x80-\xbf])|([\xe4][\x96][\x80-\xbf])|([\xe4][\x99][\x80-\xbf])|([\xe4][\x98][\x80-\xbf])|([\xe4][\x9b][\x80-\xbf])|([\xe4][\x9a][\x80-\xbf])|([\xe4][\x9d][\x80-\xbf])|([\xe4][\x9c][\x80-\xbf])|([\xe4][\x9f][\x80-\xbf])|([\xe4][\x9e][\x80-\xbf])|([\xe4][\xa1][\x80-\xbf])|([\xe4][\xa0][\x80-\xbf])|([\xe4][\xa3][\x80-\xbf])|([\xe4][\xa2][\x80-\xbf])|([\xe4][\xa5][\x80-\xbf])|([\xe4][\xa4][\x80-\xbf])|([\xe4][\xa7][\x80-\xbf])|([\xe4][\xa6][\x80-\xbf])|([\xe4][\xa9][\x80-\xbf])|([\xe4][\xa8][\x80-\xbf])|([\xe4][\xab][\x80-\xbf])|([\xe4][\xaa][\x80-\xbf])|([\xe4][\xad][\x80-\xbf])|([\xe4][\xac][\x80-\xbf])|([\xe4][\xaf][\x80-\xbf])|([\xe4][\xae][\x80-\xbf])|([\xe4][\xb1][\x80-\xbf])|([\xe4][\xb0][\x80-\xbf])|([\xe4][\xb3][\x80-\xbf])|([\xe4][\xb2][\x80-\xbf])|([\xe4][\xb5][\x80-\xbf])|([\xe4][\xb4][\x80-\xbf])|([\xe4][\xb6][\x80-\xb5])|([\xe4][\xb9][\x80-\xbf])|([\xe4][\xb8][\x80-\xbf])|([\xe4][\xbb][\x80-\xbf])|([\xe4][\xba][\x80-\xbf])|([\xe4][\xbd][\x80-\xbf])|([\xe4][\xbc][\x80-\xbf])|([\xe4][\xbf][\x80-\xbf])|([\xe4][\xbe][\x80-\xbf])|([\xe7][\x81][\x80-\xbf])|([\xe7][\x80][\x80-\xbf])|([\xe7][\x83][\x80-\xbf])|([\xe7][\x82][\x80-\xbf])|([\xe7][\x85][\x80-\xbf])|([\xe7][\x84][\x80-\xbf])|([\xe7][\x87][\x80-\xbf])|([\xe7][\x86][\x80-\xbf])|([\xe7][\x89][\x80-\xbf])|([\xe7][\x88][\x80-\xbf])|([\xe7][\x8b][\x80-\xbf])|([\xe7][\x8a][\x80-\xbf])|([\xe7][\x8d][\x80-\xbf])|([\xe7][\x8c][\x80-\xbf])|([\xe7][\x8f][\x80-\xbf])|([\xe7][\x8e][\x80-\xbf])|([\xe7][\x91][\x80-\xbf])|([\xe7][\x90][\x80-\xbf])|([\xe7][\x93][\x80-\xbf])|([\xe7][\x92][\x80-\xbf])|([\xe7][\x95][\x80-\xbf])|([\xe7][\x94][\x80-\xbf])|([\xe7][\x97][\x80-\xbf])|([\xe7][\x96][\x80-\xbf])|([\xe7][\x99][\x80-\xbf])|([\xe7][\x98][\x80-\xbf])|([\xe7][\x9b][\x80-\xbf])|([\xe7][\x9a][\x80-\xbf])|([\xe7][\x9d][\x80-\xbf])|([\xe7][\x9c][\x80-\xbf])|([\xe7][\x9f][\x80-\xbf])|([\xe7][\x9e][\x80-\xbf])|([\xe7][\xa1][\x80-\xbf])|([\xe7][\xa0][\x80-\xbf])|([\xe7][\xa3][\x80-\xbf])|([\xe7][\xa2][\x80-\xbf])|([\xe7][\xa5][\x80-\xbf])|([\xe7][\xa4][\x80-\xbf])|([\xe7][\xa7][\x80-\xbf])|([\xe7][\xa6][\x80-\xbf])|([\xe7][\xa9][\x80-\xbf])|([\xe7][\xa8][\x80-\xbf])|([\xe7][\xab][\x80-\xbf])|([\xe7][\xaa][\x80-\xbf])|([\xe7][\xad][\x80-\xbf])|([\xe7][\xac][\x80-\xbf])|([\xe7][\xaf][\x80-\xbf])|([\xe7][\xae][\x80-\xbf])|([\xe7][\xb1][\x80-\xbf])|([\xe7][\xb0][\x80-\xbf])|([\xe7][\xb3][\x80-\xbf])|([\xe7][\xb2][\x80-\xbf])|([\xe7][\xb5][\x80-\xbf])|([\xe7][\xb4][\x80-\xbf])|([\xe7][\xb7][\x80-\xbf])|([\xe7][\xb6][\x80-\xbf])|([\xe7][\xb9][\x80-\xbf])|([\xe7][\xb8][\x80-\xbf])|([\xe7][\xbb][\x80-\xbf])|([\xe7][\xba][\x80-\xbf])|([\xe7][\xbd][\x80-\xbf])|([\xe7][\xbc][\x80-\xbf])|([\xe7][\xbf][\x80-\xbf])|([\xe7][\xbe][\x80-\xbf])|([\xe6][\x81][\x80-\xbf])|([\xe6][\x80][\x80-\xbf])|([\xe6][\x83][\x80-\xbf])|([\xe6][\x82][\x80-\xbf])|([\xe6][\x85][\x80-\xbf])|([\xe6][\x84][\x80-\xbf])|([\xe6][\x87][\x80-\xbf])|([\xe6][\x86][\x80-\xbf])|([\xe6][\x89][\x80-\xbf])|([\xe6][\x88][\x80-\xbf])|([\xe6][\x8b][\x80-\xbf])|([\xe6][\x8a][\x80-\xbf])|([\xe6][\x8d][\x80-\xbf])|([\xe6][\x8c][\x80-\xbf])|([\xe6][\x8f][\x80-\xbf])|([\xe6][\x8e][\x80-\xbf])|([\xe6][\x91][\x80-\xbf])|([\xe6][\x90][\x80-\xbf])|([\xe6][\x93][\x80-\xbf])|([\xe6][\x92][\x80-\xbf])|([\xe6][\x95][\x80-\xbf])|([\xe6][\x94][\x80-\xbf])|([\xe6][\x97][\x80-\xbf])|([\xe6][\x96][\x80-\xbf])|([\xe6][\x99][\x80-\xbf])|([\xe6][\x98][\x80-\xbf])|([\xe6][\x9b][\x80-\xbf])|([\xe6][\x9a][\x80-\xbf])|([\xe6][\x9d][\x80-\xbf])|([\xe6][\x9c][\x80-\xbf])|([\xe6][\x9f][\x80-\xbf])|([\xe6][\x9e][\x80-\xbf])|([\xe6][\xa1][\x80-\xbf])|([\xe6][\xa0][\x80-\xbf])|([\xe6][\xa3][\x80-\xbf])|([\xe6][\xa2][\x80-\xbf])|([\xe6][\xa5][\x80-\xbf])|([\xe6][\xa4][\x80-\xbf])|([\xe6][\xa7][\x80-\xbf])|([\xe6][\xa6][\x80-\xbf])|([\xe6][\xa9][\x80-\xbf])|([\xe6][\xa8][\x80-\xbf])|([\xe6][\xab][\x80-\xbf])|([\xe6][\xaa][\x80-\xbf])|([\xe6][\xad][\x80-\xbf])|([\xe6][\xac][\x80-\xbf])|([\xe6][\xaf][\x80-\xbf])|([\xe6][\xae][\x80-\xbf])|([\xe6][\xb1][\x80-\xbf])|([\xe6][\xb0][\x80-\xbf])|([\xe6][\xb3][\x80-\xbf])|([\xe6][\xb2][\x80-\xbf])|([\xe6][\xb5][\x80-\xbf])|([\xe6][\xb4][\x80-\xbf])|([\xe6][\xb7][\x80-\xbf])|([\xe6][\xb6][\x80-\xbf])|([\xe6][\xb9][\x80-\xbf])|([\xe6][\xb8][\x80-\xbf])|([\xe6][\xbb][\x80-\xbf])|([\xe6][\xba][\x80-\xbf])|([\xe6][\xbd][\x80-\xbf])|([\xe6][\xbc][\x80-\xbf])|([\xe6][\xbf][\x80-\xbf])|([\xe6][\xbe][\x80-\xbf])|([\xe9][\x81][\x80-\xbf])|([\xe9][\x80][\x80-\xbf])|([\xe9][\x83][\x80-\xbf])|([\xe9][\x82][\x80-\xbf])|([\xe9][\x85][\x80-\xbf])|([\xe9][\x84][\x80-\xbf])|([\xe9][\x87][\x80-\xbf])|([\xe9][\x86][\x80-\xbf])|([\xe9][\x89][\x80-\xbf])|([\xe9][\x88][\x80-\xbf])|([\xe9][\x8b][\x80-\xbf])|([\xe9][\x8a][\x80-\xbf])|([\xe9][\x8d][\x80-\xbf])|([\xe9][\x8c][\x80-\xbf])|([\xe9][\x8f][\x80-\xbf])|([\xe9][\x8e][\x80-\xbf])|([\xe9][\x91][\x80-\xbf])|([\xe9][\x90][\x80-\xbf])|([\xe9][\x93][\x80-\xbf])|([\xe9][\x92][\x80-\xbf])|([\xe9][\x95][\x80-\xbf])|([\xe9][\x94][\x80-\xbf])|([\xe9][\x97][\x80-\xbf])|([\xe9][\x96][\x80-\xbf])|([\xe9][\x99][\x80-\xbf])|([\xe9][\x98][\x80-\xbf])|([\xe9][\x9b][\x80-\xbf])|([\xe9][\x9a][\x80-\xbf])|([\xe9][\x9d][\x80-\xbf])|([\xe9][\x9c][\x80-\xbf])|([\xe9][\x9f][\x80-\xbf])|([\xe9][\x9e][\x80-\xbf])|([\xe9][\xa1][\x80-\xbf])|([\xe9][\xa0][\x80-\xbf])|([\xe9][\xa3][\x80-\xbf])|([\xe9][\xa2][\x80-\xbf])|([\xe9][\xa5][\x80-\xbf])|([\xe9][\xa4][\x80-\xbf])|([\xe9][\xa7][\x80-\xbf])|([\xe9][\xa6][\x80-\xbf])|([\xe9][\xa9][\x80-\xbf])|([\xe9][\xa8][\x80-\xbf])|([\xe9][\xab][\x80-\xbf])|([\xe9][\xaa][\x80-\xbf])|([\xe9][\xad][\x80-\xbf])|([\xe9][\xac][\x80-\xbf])|([\xe9][\xaf][\x80-\xbf])|([\xe9][\xae][\x80-\xbf])|([\xe9][\xb1][\x80-\xbf])|([\xe9][\xb0][\x80-\xbf])|([\xe9][\xb3][\x80-\xbf])|([\xe9][\xb2][\x80-\xbf])|([\xe9][\xb5][\x80-\xbf])|([\xe9][\xb4][\x80-\xbf])|([\xe9][\xb7][\x80-\xbf])|([\xe9][\xb6][\x80-\xbf])|([\xe9][\xb9][\x80-\xbf])|([\xe9][\xb8][\x80-\xbf])|([\xe9][\xbb][\x80-\xbf])|([\xe9][\xba][\x80-\xbf])|([\xe9][\xbd][\x80-\xbf])|([\xe9][\xbc][\x80-\xbf])|([\xe9][\xbf][\x80-\x8b])|([\xe9][\xbe][\x80-\xbf])|([\xe8][\x81][\x80-\xbf])|([\xe8][\x80][\x80-\xbf])|([\xe8][\x83][\x80-\xbf])|([\xe8][\x82][\x80-\xbf])|([\xe8][\x85][\x80-\xbf])|([\xe8][\x84][\x80-\xbf])|([\xe8][\x87][\x80-\xbf])|([\xe8][\x86][\x80-\xbf])|([\xe8][\x89][\x80-\xbf])|([\xe8][\x88][\x80-\xbf])|([\xe8][\x8b][\x80-\xbf])|([\xe8][\x8a][\x80-\xbf])|([\xe8][\x8d][\x80-\xbf])|([\xe8][\x8c][\x80-\xbf])|([\xe8][\x8f][\x80-\xbf])|([\xe8][\x8e][\x80-\xbf])|([\xe8][\x91][\x80-\xbf])|([\xe8][\x90][\x80-\xbf])|([\xe8][\x93][\x80-\xbf])|([\xe8][\x92][\x80-\xbf])|([\xe8][\x95][\x80-\xbf])|([\xe8][\x94][\x80-\xbf])|([\xe8][\x97][\x80-\xbf])|([\xe8][\x96][\x80-\xbf])|([\xe8][\x99][\x80-\xbf])|([\xe8][\x98][\x80-\xbf])|([\xe8][\x9b][\x80-\xbf])|([\xe8][\x9a][\x80-\xbf])|([\xe8][\x9d][\x80-\xbf])|([\xe8][\x9c][\x80-\xbf])|([\xe8][\x9f][\x80-\xbf])|([\xe8][\x9e][\x80-\xbf])|([\xe8][\xa1][\x80-\xbf])|([\xe8][\xa0][\x80-\xbf])|([\xe8][\xa3][\x80-\xbf])|([\xe8][\xa2][\x80-\xbf])|([\xe8][\xa5][\x80-\xbf])|([\xe8][\xa4][\x80-\xbf])|([\xe8][\xa7][\x80-\xbf])|([\xe8][\xa6][\x80-\xbf])|([\xe8][\xa9][\x80-\xbf])|([\xe8][\xa8][\x80-\xbf])|([\xe8][\xab][\x80-\xbf])|([\xe8][\xaa][\x80-\xbf])|([\xe8][\xad][\x80-\xbf])|([\xe8][\xac][\x80-\xbf])|([\xe8][\xaf][\x80-\xbf])|([\xe8][\xae][\x80-\xbf])|([\xe8][\xb1][\x80-\xbf])|([\xe8][\xb0][\x80-\xbf])|([\xe8][\xb3][\x80-\xbf])|([\xe8][\xb2][\x80-\xbf])|([\xe8][\xb5][\x80-\xbf])|([\xe8][\xb4][\x80-\xbf])|([\xe8][\xb7][\x80-\xbf])|([\xe8][\xb6][\x80-\xbf])|([\xe8][\xb9][\x80-\xbf])|([\xe8][\xb8][\x80-\xbf])|([\xe8][\xbb][\x80-\xbf])|([\xe8][\xba][\x80-\xbf])|([\xe8][\xbd][\x80-\xbf])|([\xe8][\xbc][\x80-\xbf])|([\xe8][\xbf][\x80-\xbf])|([\xe8][\xbe][\x80-\xbf])|([\xeb][\x81][\x80-\xbf])|([\xeb][\x80][\x80-\xbf])|([\xeb][\x83][\x80-\xbf])|([\xeb][\x82][\x80-\xbf])|([\xeb][\x85][\x80-\xbf])|([\xeb][\x84][\x80-\xbf])|([\xeb][\x87][\x80-\xbf])|([\xeb][\x86][\x80-\xbf])|([\xeb][\x89][\x80-\xbf])|([\xeb][\x88][\x80-\xbf])|([\xeb][\x8b][\x80-\xbf])|([\xeb][\x8a][\x80-\xbf])|([\xeb][\x8d][\x80-\xbf])|([\xeb][\x8c][\x80-\xbf])|([\xeb][\x8f][\x80-\xbf])|([\xeb][\x8e][\x80-\xbf])|([\xeb][\x91][\x80-\xbf])|([\xeb][\x90][\x80-\xbf])|([\xeb][\x93][\x80-\xbf])|([\xeb][\x92][\x80-\xbf])|([\xeb][\x95][\x80-\xbf])|([\xeb][\x94][\x80-\xbf])|([\xeb][\x97][\x80-\xbf])|([\xeb][\x96][\x80-\xbf])|([\xeb][\x99][\x80-\xbf])|([\xeb][\x98][\x80-\xbf])|([\xeb][\x9b][\x80-\xbf])|([\xeb][\x9a][\x80-\xbf])|([\xeb][\x9d][\x80-\xbf])|([\xeb][\x9c][\x80-\xbf])|([\xeb][\x9f][\x80-\xbf])|([\xeb][\x9e][\x80-\xbf])|([\xeb][\xa1][\x80-\xbf])|([\xeb][\xa0][\x80-\xbf])|([\xeb][\xa3][\x80-\xbf])|([\xeb][\xa2][\x80-\xbf])|([\xeb][\xa5][\x80-\xbf])|([\xeb][\xa4][\x80-\xbf])|([\xeb][\xa7][\x80-\xbf])|([\xeb][\xa6][\x80-\xbf])|([\xeb][\xa9][\x80-\xbf])|([\xeb][\xa8][\x80-\xbf])|([\xeb][\xab][\x80-\xbf])|([\xeb][\xaa][\x80-\xbf])|([\xeb][\xad][\x80-\xbf])|([\xeb][\xac][\x80-\xbf])|([\xeb][\xaf][\x80-\xbf])|([\xeb][\xae][\x80-\xbf])|([\xeb][\xb1][\x80-\xbf])|([\xeb][\xb0][\x80-\xbf])|([\xeb][\xb3][\x80-\xbf])|([\xeb][\xb2][\x80-\xbf])|([\xeb][\xb5][\x80-\xbf])|([\xeb][\xb4][\x80-\xbf])|([\xeb][\xb7][\x80-\xbf])|([\xeb][\xb6][\x80-\xbf])|([\xeb][\xb9][\x80-\xbf])|([\xeb][\xb8][\x80-\xbf])|([\xeb][\xbb][\x80-\xbf])|([\xeb][\xba][\x80-\xbf])|([\xeb][\xbd][\x80-\xbf])|([\xeb][\xbc][\x80-\xbf])|([\xeb][\xbf][\x80-\xbf])|([\xeb][\xbe][\x80-\xbf])|([\xea][\x81][\x80-\xbf])|([\xea][\x80][\x80-\x94\x96-\xbf])|([\xea][\x83][\x80-\xbf])|([\xea][\x82][\x80-\xbf])|([\xea][\x85][\x80-\xbf])|([\xea][\x84][\x80-\xbf])|([\xea][\x87][\x80-\xbf])|([\xea][\x86][\x80-\xbf])|([\xea][\x89][\x80-\xbf])|([\xea][\x88][\x80-\xbf])|([\xea][\x8b][\x80-\xbf])|([\xea][\x8a][\x80-\xbf])|([\xea][\x8d][\x80-\xbf])|([\xea][\x8c][\x80-\xbf])|([\xea][\x8f][\x80-\xbf])|([\xea][\x8e][\x80-\xbf])|([\xea][\x91][\x80-\xbf])|([\xea][\x90][\x80-\xbf])|([\xea][\x93][\x90-\xb7])|([\xea][\x92][\x80-\x8c])|([\xea][\x95][\x80-\xbf])|([\xea][\x94][\x80-\xbf])|([\xea][\x97][\x80-\xbf])|([\xea][\x96][\x80-\xbf])|([\xea][\x99][\xae])|([\xea][\x98][\x80-\x8b\x90-\x9f\xaa-\xab])|([\xea][\x9b][\x80-\xa5])|([\xea][\x9a][\xa0-\xbf])|([\xea][\x9f][\xbb-\xbf])|([\xea][\xa1][\x80-\xb3])|([\xea][\xa0][\x80-\x81\x83-\x85\x87-\x8a\x8c-\xa2])|([\xea][\xa3][\xb2-\xb7\xbb])|([\xea][\xa2][\x82-\xb3])|([\xea][\xa5][\x80-\x86\xa0-\xbc])|([\xea][\xa4][\x8a-\xa5\xb0-\xbf])|([\xea][\xa6][\x84-\xb2])|([\xea][\xa9][\x80-\x82\x84-\x8b\xa0-\xaf\xb1-\xb6\xba])|([\xea][\xa8][\x80-\xa8])|([\xea][\xab][\x80\x82\x9b-\x9c])|([\xea][\xaa][\x80-\xaf\xb1\xb5-\xb6\xb9-\xbd])|([\xea][\xaf][\x80-\xa2])|([\xea][\xb1][\x80-\xbf])|([\xea][\xb0][\x80-\xbf])|([\xea][\xb3][\x80-\xbf])|([\xea][\xb2][\x80-\xbf])|([\xea][\xb5][\x80-\xbf])|([\xea][\xb4][\x80-\xbf])|([\xea][\xb7][\x80-\xbf])|([\xea][\xb6][\x80-\xbf])|([\xea][\xb9][\x80-\xbf])|([\xea][\xb8][\x80-\xbf])|([\xea][\xbb][\x80-\xbf])|([\xea][\xba][\x80-\xbf])|([\xea][\xbd][\x80-\xbf])|([\xea][\xbc][\x80-\xbf])|([\xea][\xbf][\x80-\xbf])|([\xea][\xbe][\x80-\xbf])|([\xed][\x81][\x80-\xbf])|([\xed][\x80][\x80-\xbf])|([\xed][\x83][\x80-\xbf])|([\xed][\x82][\x80-\xbf])|([\xed][\x85][\x80-\xbf])|([\xed][\x84][\x80-\xbf])|([\xed][\x87][\x80-\xbf])|([\xed][\x86][\x80-\xbf])|([\xed][\x89][\x80-\xbf])|([\xed][\x88][\x80-\xbf])|([\xed][\x8b][\x80-\xbf])|([\xed][\x8a][\x80-\xbf])|([\xed][\x8d][\x80-\xbf])|([\xed][\x8c][\x80-\xbf])|([\xed][\x8f][\x80-\xbf])|([\xed][\x8e][\x80-\xbf])|([\xed][\x91][\x80-\xbf])|([\xed][\x90][\x80-\xbf])|([\xed][\x93][\x80-\xbf])|([\xed][\x92][\x80-\xbf])|([\xed][\x95][\x80-\xbf])|([\xed][\x94][\x80-\xbf])|([\xed][\x97][\x80-\xbf])|([\xed][\x96][\x80-\xbf])|([\xed][\x99][\x80-\xbf])|([\xed][\x98][\x80-\xbf])|([\xed][\x9b][\x80-\xbf])|([\xed][\x9a][\x80-\xbf])|([\xed][\x9d][\x80-\xbf])|([\xed][\x9c][\x80-\xbf])|([\xed][\x9f][\x80-\x86\x8b-\xbb])|([\xed][\x9e][\x80-\xa3\xb0-\xbf])|([\xec][\x81][\x80-\xbf])|([\xec][\x80][\x80-\xbf])|([\xec][\x83][\x80-\xbf])|([\xec][\x82][\x80-\xbf])|([\xec][\x85][\x80-\xbf])|([\xec][\x84][\x80-\xbf])|([\xec][\x87][\x80-\xbf])|([\xec][\x86][\x80-\xbf])|([\xec][\x89][\x80-\xbf])|([\xec][\x88][\x80-\xbf])|([\xec][\x8b][\x80-\xbf])|([\xec][\x8a][\x80-\xbf])|([\xec][\x8d][\x80-\xbf])|([\xec][\x8c][\x80-\xbf])|([\xec][\x8f][\x80-\xbf])|([\xec][\x8e][\x80-\xbf])|([\xec][\x91][\x80-\xbf])|([\xec][\x90][\x80-\xbf])|([\xec][\x93][\x80-\xbf])|([\xec][\x92][\x80-\xbf])|([\xec][\x95][\x80-\xbf])|([\xec][\x94][\x80-\xbf])|([\xec][\x97][\x80-\xbf])|([\xec][\x96][\x80-\xbf])|([\xec][\x99][\x80-\xbf])|([\xec][\x98][\x80-\xbf])|([\xec][\x9b][\x80-\xbf])|([\xec][\x9a][\x80-\xbf])|([\xec][\x9d][\x80-\xbf])|([\xec][\x9c][\x80-\xbf])|([\xec][\x9f][\x80-\xbf])|([\xec][\x9e][\x80-\xbf])|([\xec][\xa1][\x80-\xbf])|([\xec][\xa0][\x80-\xbf])|([\xec][\xa3][\x80-\xbf])|([\xec][\xa2][\x80-\xbf])|([\xec][\xa5][\x80-\xbf])|([\xec][\xa4][\x80-\xbf])|([\xec][\xa7][\x80-\xbf])|([\xec][\xa6][\x80-\xbf])|([\xec][\xa9][\x80-\xbf])|([\xec][\xa8][\x80-\xbf])|([\xec][\xab][\x80-\xbf])|([\xec][\xaa][\x80-\xbf])|([\xec][\xad][\x80-\xbf])|([\xec][\xac][\x80-\xbf])|([\xec][\xaf][\x80-\xbf])|([\xec][\xae][\x80-\xbf])|([\xec][\xb1][\x80-\xbf])|([\xec][\xb0][\x80-\xbf])|([\xec][\xb3][\x80-\xbf])|([\xec][\xb2][\x80-\xbf])|([\xec][\xb5][\x80-\xbf])|([\xec][\xb4][\x80-\xbf])|([\xec][\xb7][\x80-\xbf])|([\xec][\xb6][\x80-\xbf])|([\xec][\xb9][\x80-\xbf])|([\xec][\xb8][\x80-\xbf])|([\xec][\xbb][\x80-\xbf])|([\xec][\xba][\x80-\xbf])|([\xec][\xbd][\x80-\xbf])|([\xec][\xbc][\x80-\xbf])|([\xec][\xbf][\x80-\xbf])|([\xec][\xbe][\x80-\xbf])|([\xef][\xa5][\x80-\xbf])|([\xef][\xa4][\x80-\xbf])|([\xef][\xa7][\x80-\xbf])|([\xef][\xa6][\x80-\xbf])|([\xef][\xa9][\x80-\xad\xb0-\xbf])|([\xef][\xa8][\x80-\xad\xb0-\xbf])|([\xef][\xab][\x80-\x99])|([\xef][\xaa][\x80-\xbf])|([\xef][\xad][\x80-\x81\x83-\x84\x86-\xbf])|([\xef][\xac][\x9d\x9f-\xa8\xaa-\xb6\xb8-\xbc\xbe])|([\xef][\xaf][\x93-\xbf])|([\xef][\xae][\x80-\xb1])|([\xef][\xb1][\x80-\xbf])|([\xef][\xb0][\x80-\xbf])|([\xef][\xb3][\x80-\xbf])|([\xef][\xb2][\x80-\xbf])|([\xef][\xb5][\x90-\xbf])|([\xef][\xb4][\x80-\xbd])|([\xef][\xb7][\x80-\x87\xb0-\xbb])|([\xef][\xb6][\x80-\x8f\x92-\xbf])|([\xef][\xb9][\xb0-\xb4\xb6-\xbf])|([\xef][\xbb][\x80-\xbc])|([\xef][\xba][\x80-\xbf])|([\xef][\xbd][\xa6-\xaf\xb1-\xbf])|([\xef][\xbf][\x82-\x87\x8a-\x8f\x92-\x97\x9a-\x9c])|([\xef][\xbe][\x80-\x9d\xa0-\xbe]);
Lo = Lo2|Lo3;
Ll1 = [\x61-\x7a];
Ll2 = ([\xc3][\x9f-\xb6\xb8-\xbf])|([\xc2][\xaa\xb5\xba])|([\xc5][\x80\x82\x84\x86\x88-\x89\x8b\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf\xb1\xb3\xb5\xb7\xba\xbc\xbe-\xbf])|([\xc4][\x81\x83\x85\x87\x89\x8b\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf\xb1\xb3\xb5\xb7-\xb8\xba\xbc\xbe])|([\xc7][\x86\x89\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c-\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf-\xb0\xb3\xb5\xb9\xbb\xbd\xbf])|([\xc6][\x80\x83\x85\x88\x8c-\x8d\x92\x95\x99-\x9b\x9e\xa1\xa3\xa5\xa8\xaa-\xab\xad\xb0\xb4\xb6\xb9-\xba\xbd-\xbf])|([\xc9][\x80\x82\x87\x89\x8b\x8d\x8f-\xbf])|([\xc8][\x81\x83\x85\x87\x89\x8b\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf\xb1\xb3-\xb9\xbc\xbf])|([\xca][\x80-\x93\x95-\xaf])|([\xcd][\xb1\xb3\xb7\xbb-\xbd])|([\xcf][\x80-\x8e\x90-\x91\x95-\x97\x99\x9b\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf-\xb3\xb5\xb8\xbb-\xbc])|([\xce][\x90\xac-\xbf])|([\xd1][\x80-\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf\xb1\xb3\xb5\xb7\xb9\xbb\xbd\xbf])|([\xd0][\xb0-\xbf])|([\xd3][\x82\x84\x86\x88\x8a\x8c\x8e-\x8f\x91\x93\x95\x97\x99\x9b\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf\xb1\xb3\xb5\xb7\xb9\xbb\xbd\xbf])|([\xd2][\x81\x8b\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf\xb1\xb3\xb5\xb7\xb9\xbb\xbd\xbf])|([\xd5][\xa1-\xbf])|([\xd4][\x81\x83\x85\x87\x89\x8b\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9d\x9f\xa1\xa3\xa5])|([\xd6][\x80-\x87]);
Ll3 = ([\xe1][\xb5][\xa2-\xb7\xb9-\xbf])|([\xe1][\xb4][\x80-\xab])|([\xe1][\xb6][\x80-\x9a])|([\xe1][\xb9][\x81\x83\x85\x87\x89\x8b\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf\xb1\xb3\xb5\xb7\xb9\xbb\xbd\xbf])|([\xe1][\xb8][\x81\x83\x85\x87\x89\x8b\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf\xb1\xb3\xb5\xb7\xb9\xbb\xbd\xbf])|([\xe1][\xbb][\x81\x83\x85\x87\x89\x8b\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf\xb1\xb3\xb5\xb7\xb9\xbb\xbd\xbf])|([\xe1][\xba][\x81\x83\x85\x87\x89\x8b\x8d\x8f\x91\x93\x95-\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf\xb1\xb3\xb5\xb7\xb9\xbb\xbd\xbf])|([\xe1][\xbd][\x80-\x85\x90-\x97\xa0-\xa7\xb0-\xbd])|([\xe1][\xbc][\x80-\x87\x90-\x95\xa0-\xa7\xb0-\xb7])|([\xe1][\xbf][\x82-\x84\x86-\x87\x90-\x93\x96-\x97\xa0-\xa7\xb2-\xb4\xb6-\xb7])|([\xe1][\xbe][\x80-\x87\x90-\x97\xa0-\xa7\xb0-\xb4\xb6-\xb7\xbe])|([\xe2][\x85][\x86-\x89\x8e])|([\xe2][\x84][\x8a\x8e-\x8f\x93\xaf\xb4\xb9\xbc-\xbd])|([\xe2][\x86][\x84])|([\xe2][\xb1][\x80-\x9e\xa1\xa5-\xa6\xa8\xaa\xac\xb1\xb3-\xb4\xb6-\xbc])|([\xe2][\xb0][\xb0-\xbf])|([\xe2][\xb3][\x81\x83\x85\x87\x89\x8b\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9d\x9f\xa1\xa3-\xa4\xac\xae])|([\xe2][\xb2][\x81\x83\x85\x87\x89\x8b\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf\xb1\xb3\xb5\xb7\xb9\xbb\xbd\xbf])|([\xe2][\xb4][\x80-\xa5])|([\xef][\xbd][\x81-\x9a])|([\xef][\xac][\x80-\x86\x93-\x97])|([\xea][\x99][\x81\x83\x85\x87\x89\x8b\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9d\x9f\xa3\xa5\xa7\xa9\xab\xad])|([\xea][\x9a][\x81\x83\x85\x87\x89\x8b\x8d\x8f\x91\x93\x95\x97])|([\xea][\x9d][\x81\x83\x85\x87\x89\x8b\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf\xb1-\xb8\xba\xbc\xbf])|([\xea][\x9c][\xa3\xa5\xa7\xa9\xab\xad\xaf-\xb1\xb3\xb5\xb7\xb9\xbb\xbd\xbf])|([\xea][\x9e][\x81\x83\x85\x87\x8c]);
Ll = Ll1|Ll2|Ll3;
Lm2 = ([\xcb][\x80-\x81\x86-\x91\xa0-\xa4\xac\xae])|([\xca][\xb0-\xbf])|([\xcd][\xb4\xba])|([\xd5][\x99])|([\xd9][\x80])|([\xdb][\xa5-\xa6])|([\xdf][\xb4-\xb5\xba]);
Lm3 = ([\xe1][\xa1][\x83])|([\xe1][\x83][\xbc])|([\xe1][\xaa][\xa7])|([\xe1][\xb1][\xb8-\xbd])|([\xe1][\xb5][\x80-\xa1\xb8])|([\xe1][\xb4][\xac-\xbf])|([\xe1][\xb6][\x9b-\xbf])|([\xe1][\x9f][\x97])|([\xe0][\xb9][\x86])|([\xe0][\xa0][\x9a\xa4\xa8])|([\xe0][\xbb][\x86])|([\xe0][\xa5][\xb1])|([\xe3][\x80][\x85\xb1-\xb5\xbb])|([\xe3][\x83][\xbc-\xbe])|([\xe3][\x82][\x9d-\x9e])|([\xe2][\x81][\xb1\xbf])|([\xe2][\xb1][\xbd])|([\xe2][\x82][\x90-\x94])|([\xe2][\xb5][\xaf])|([\xe2][\xb8][\xaf])|([\xea][\x80][\x95])|([\xea][\xa7][\x8f])|([\xea][\xa9][\xb0])|([\xea][\xab][\x9d])|([\xea][\x93][\xb8-\xbd])|([\xea][\x99][\xbf])|([\xea][\x98][\x8c])|([\xea][\x9d][\xb0])|([\xea][\x9c][\x97-\x9f])|([\xea][\x9e][\x88])|([\xef][\xbd][\xb0])|([\xef][\xbe][\x9e-\x9f]);
Lm = Lm2|Lm3;
Nd1 = [\x30-\x39];
Nd2 = ([\xd9][\xa0-\xa9])|([\xdb][\xb0-\xb9])|([\xdf][\x80-\x89]);
Nd3 = ([\xe1][\x81][\x80-\x89])|([\xe1][\xa0][\x90-\x99])|([\xe1][\x82][\x90-\x99])|([\xe1][\xa5][\x86-\x8f])|([\xe1][\xa7][\x90-\x9a])|([\xe1][\xaa][\x80-\x89\x90-\x99])|([\xe1][\xad][\x90-\x99])|([\xe1][\xae][\xb0-\xb9])|([\xe1][\xb1][\x80-\x89\x90-\x99])|([\xe1][\x9f][\xa0-\xa9])|([\xe0][\xa5][\xa6-\xaf])|([\xe0][\xa7][\xa6-\xaf])|([\xe0][\xa9][\xa6-\xaf])|([\xe0][\xab][\xa6-\xaf])|([\xe0][\xad][\xa6-\xaf])|([\xe0][\xaf][\xa6-\xaf])|([\xe0][\xb1][\xa6-\xaf])|([\xe0][\xb3][\xa6-\xaf])|([\xe0][\xb5][\xa6-\xaf])|([\xe0][\xb9][\x90-\x99])|([\xe0][\xbb][\x90-\x99])|([\xe0][\xbc][\xa0-\xa9])|([\xea][\xa3][\x90-\x99])|([\xea][\xa4][\x80-\x89])|([\xea][\xa7][\x90-\x99])|([\xea][\xa9][\x90-\x99])|([\xea][\xaf][\xb0-\xb9])|([\xea][\x98][\xa0-\xa9])|([\xef][\xbc][\x90-\x99]);
Nd = Nd1|Nd2|Nd3;
Pc1 = [\x5f];
Pc3 = ([\xe2][\x81][\x80\x94])|([\xe2][\x80][\xbf])|([\xef][\xb9][\x8d-\x8f])|([\xef][\xb8][\xb3-\xb4])|([\xef][\xbc][\xbf]);
Pc = Pc1|Pc3;
Lt2 = ([\xc7][\x85\x88\x8b\xb2]);
Lt3 = ([\xe1][\xbf][\x8c\xbc])|([\xe1][\xbe][\x88-\x8f\x98-\x9f\xa8-\xaf\xbc]);
Lt = Lt2|Lt3;
Lu1 = [\x41-\x5a];
Lu2 = ([\xc3][\x80-\x96\x98-\x9e])|([\xc5][\x81\x83\x85\x87\x8a\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb0\xb2\xb4\xb6\xb8-\xb9\xbb\xbd])|([\xc4][\x80\x82\x84\x86\x88\x8a\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb0\xb2\xb4\xb6\xb9\xbb\xbd\xbf])|([\xc7][\x84\x87\x8a\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb1\xb4\xb6-\xb8\xba\xbc\xbe])|([\xc6][\x81-\x82\x84\x86-\x87\x89-\x8b\x8e-\x91\x93-\x94\x96-\x98\x9c-\x9d\x9f-\xa0\xa2\xa4\xa6-\xa7\xa9\xac\xae-\xaf\xb1-\xb3\xb5\xb7-\xb8\xbc])|([\xc9][\x81\x83-\x86\x88\x8a\x8c\x8e])|([\xc8][\x80\x82\x84\x86\x88\x8a\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb0\xb2\xba-\xbb\xbd-\xbe])|([\xcd][\xb0\xb2\xb6])|([\xcf][\x8f\x92-\x94\x98\x9a\x9c\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb4\xb7\xb9-\xba\xbd-\xbf])|([\xce][\x86\x88-\x8a\x8c\x8e-\x8f\x91-\xa1\xa3-\xab])|([\xd1][\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb0\xb2\xb4\xb6\xb8\xba\xbc\xbe])|([\xd0][\x80-\xaf])|([\xd3][\x80-\x81\x83\x85\x87\x89\x8b\x8d\x90\x92\x94\x96\x98\x9a\x9c\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb0\xb2\xb4\xb6\xb8\xba\xbc\xbe])|([\xd2][\x80\x8a\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb0\xb2\xb4\xb6\xb8\xba\xbc\xbe])|([\xd5][\x80-\x96])|([\xd4][\x80\x82\x84\x86\x88\x8a\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c\x9e\xa0\xa2\xa4\xb1-\xbf]);
Lu3 = ([\xe1][\x83][\x80-\x85])|([\xe1][\x82][\xa0-\xbf])|([\xe1][\xb9][\x80\x82\x84\x86\x88\x8a\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb0\xb2\xb4\xb6\xb8\xba\xbc\xbe])|([\xe1][\xb8][\x80\x82\x84\x86\x88\x8a\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb0\xb2\xb4\xb6\xb8\xba\xbc\xbe])|([\xe1][\xbb][\x80\x82\x84\x86\x88\x8a\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb0\xb2\xb4\xb6\xb8\xba\xbc\xbe])|([\xe1][\xba][\x80\x82\x84\x86\x88\x8a\x8c\x8e\x90\x92\x94\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb0\xb2\xb4\xb6\xb8\xba\xbc\xbe])|([\xe1][\xbd][\x88-\x8d\x99\x9b\x9d\x9f\xa8-\xaf])|([\xe1][\xbc][\x88-\x8f\x98-\x9d\xa8-\xaf\xb8-\xbf])|([\xe1][\xbf][\x88-\x8b\x98-\x9b\xa8-\xac\xb8-\xbb])|([\xe1][\xbe][\xb8-\xbb])|([\xe2][\x85][\x85])|([\xe2][\x84][\x82\x87\x8b-\x8d\x90-\x92\x95\x99-\x9d\xa4\xa6\xa8\xaa-\xad\xb0-\xb3\xbe-\xbf])|([\xe2][\x86][\x83])|([\xe2][\xb1][\xa0\xa2-\xa4\xa7\xa9\xab\xad-\xb0\xb2\xb5\xbe-\xbf])|([\xe2][\xb0][\x80-\xae])|([\xe2][\xb3][\x80\x82\x84\x86\x88\x8a\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c\x9e\xa0\xa2\xab\xad])|([\xe2][\xb2][\x80\x82\x84\x86\x88\x8a\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb0\xb2\xb4\xb6\xb8\xba\xbc\xbe])|([\xef][\xbc][\xa1-\xba])|([\xea][\x99][\x80\x82\x84\x86\x88\x8a\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c\x9e\xa2\xa4\xa6\xa8\xaa\xac])|([\xea][\x9a][\x80\x82\x84\x86\x88\x8a\x8c\x8e\x90\x92\x94\x96])|([\xea][\x9d][\x80\x82\x84\x86\x88\x8a\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb9\xbb\xbd-\xbe])|([\xea][\x9c][\xa2\xa4\xa6\xa8\xaa\xac\xae\xb2\xb4\xb6\xb8\xba\xbc\xbe])|([\xea][\x9e][\x80\x82\x84\x86\x8b]);
Lu = Lu1|Lu2|Lu3;
Pf2 = ([\xc2][\xbb]);
Pf3 = ([\xe2][\x80][\x99\x9d\xba])|([\xe2][\xb8][\x83\x85\x8a\x8d\x9d\xa1]);
Pf = Pf2|Pf3;
Pd1 = [\x2d];
Pd2 = ([\xd6][\x8a\xbe]);
Pd3 = ([\xe1][\x90][\x80])|([\xe1][\xa0][\x86])|([\xe3][\x80][\x9c\xb0])|([\xe3][\x82][\xa0])|([\xe2][\x80][\x90-\x95])|([\xe2][\xb8][\x97\x9a])|([\xef][\xb9][\x98\xa3])|([\xef][\xb8][\xb1-\xb2])|([\xef][\xbc][\x8d]);
Pd = Pd1|Pd2|Pd3;
Pe1 = [\x29\x5d\x7d];
Pe3 = ([\xe1][\x9a][\x9c])|([\xe0][\xbc][\xbb\xbd])|([\xe3][\x80][\x89\x8b\x8d\x8f\x91\x95\x97\x99\x9b\x9e-\x9f])|([\xe2][\x81][\x86\xbe])|([\xe2][\x82][\x8e])|([\xe2][\xa7][\x99\x9b\xbd])|([\xe2][\xa6][\x84\x86\x88\x8a\x8c\x8e\x90\x92\x94\x96\x98])|([\xe2][\x8c][\xaa])|([\xe2][\xb8][\xa3\xa5\xa7\xa9])|([\xe2][\x9d][\xa9\xab\xad\xaf\xb1\xb3\xb5])|([\xe2][\x9f][\x86\xa7\xa9\xab\xad\xaf])|([\xef][\xb9][\x80\x82\x84\x88\x9a\x9c\x9e])|([\xef][\xb8][\x98\xb6\xb8\xba\xbc\xbe])|([\xef][\xbd][\x9d\xa0\xa3])|([\xef][\xb4][\xbf])|([\xef][\xbc][\x89\xbd]);
Pe = Pe1|Pe3;
Pi2 = ([\xc2][\xab]);
Pi3 = ([\xe2][\x80][\x98\x9b-\x9c\x9f\xb9])|([\xe2][\xb8][\x82\x84\x89\x8c\x9c\xa0]);
Pi = Pi2|Pi3;
Po1 = [\x21-\x23\x25-\x27\x2a\x2c\x2e-\x2f\x3a-\x3b\x3f-\x40\x5c];
Po2 = ([\xc2][\xa1\xb7\xbf])|([\xcd][\xbe])|([\xce][\x87])|([\xd5][\x9a-\x9f])|([\xd7][\x80\x83\x86\xb3-\xb4])|([\xd6][\x89])|([\xd9][\xaa-\xad])|([\xd8][\x89-\x8a\x8c-\x8d\x9b\x9e-\x9f])|([\xdb][\x94])|([\xdc][\x80-\x8d])|([\xdf][\xb7-\xb9]);
Po3 = ([\xe1][\x81][\x8a-\x8f])|([\xe1][\xa0][\x80-\x85\x87-\x8a])|([\xe1][\x83][\xbb])|([\xe1][\xa5][\x84-\x85])|([\xe1][\xa7][\x9e-\x9f])|([\xe1][\xad][\x9a-\xa0])|([\xe1][\xa8][\x9e-\x9f])|([\xe1][\xaa][\xa0-\xa6\xa8-\xad])|([\xe1][\x8d][\xa1-\xa8])|([\xe1][\xb1][\xbe-\xbf])|([\xe1][\xb0][\xbb-\xbf])|([\xe1][\xb3][\x93])|([\xe1][\x99][\xad-\xae])|([\xe1][\x9b][\xab-\xad])|([\xe1][\x9c][\xb5-\xb6])|([\xe1][\x9f][\x94-\x96\x98-\x9a])|([\xe0][\xa0][\xb0-\xbe])|([\xe0][\xa5][\xa4-\xa5\xb0])|([\xe0][\xb7][\xb4])|([\xe0][\xb9][\x8f\x9a-\x9b])|([\xe0][\xbc][\x84-\x92])|([\xe0][\xbf][\x90-\x94])|([\xe0][\xbe][\x85])|([\xe3][\x80][\x81-\x83\xbd])|([\xe3][\x83][\xbb])|([\xe2][\x81][\x81-\x83\x87-\x91\x93\x95-\x9e])|([\xe2][\x80][\x96-\x97\xa0-\xa7\xb0-\xb8\xbb-\xbe])|([\xe2][\xb3][\xb9-\xbc\xbe-\xbf])|([\xe2][\xb8][\x80-\x81\x86-\x88\x8b\x8e-\x96\x98-\x99\x9b\x9e-\x9f\xaa-\xae\xb0-\xb1])|([\xea][\xa1][\xb4-\xb7])|([\xea][\xa3][\x8e-\x8f\xb8-\xba])|([\xea][\xa5][\x9f])|([\xea][\xa4][\xae-\xaf])|([\xea][\xa7][\x81-\x8d\x9e-\x9f])|([\xea][\xa9][\x9c-\x9f])|([\xea][\xab][\x9e-\x9f])|([\xea][\xaf][\xab])|([\xea][\x93][\xbe-\xbf])|([\xea][\x99][\xb3\xbe])|([\xea][\x98][\x8d-\x8f])|([\xea][\x9b][\xb2-\xb7])|([\xef][\xb9][\x85-\x86\x89-\x8c\x90-\x92\x94-\x97\x9f-\xa1\xa8\xaa-\xab])|([\xef][\xb8][\x90-\x96\x99\xb0])|([\xef][\xbd][\xa1\xa4-\xa5])|([\xef][\xbc][\x81-\x83\x85-\x87\x8a\x8c\x8e-\x8f\x9a-\x9b\x9f-\xa0\xbc]);
Po = Po1|Po2|Po3;
Me2 = ([\xdb][\x9e])|([\xd2][\x88-\x89]);
Me3 = ([\xe2][\x83][\x9d-\xa0\xa2-\xa4])|([\xea][\x99][\xb0-\xb2]);
Me = Me2|Me3;
Mc3 = ([\xe1][\x81][\x96-\x97\xa2-\xa4\xa7-\xad])|([\xe1][\x80][\xab-\xac\xb1\xb8\xbb-\xbc])|([\xe1][\x82][\x83-\x84\x87-\x8c\x8f\x9a-\x9c])|([\xe1][\xa4][\xa3-\xa6\xa9-\xab\xb0-\xb1\xb3-\xb8])|([\xe1][\xa7][\x80\x88-\x89])|([\xe1][\xa6][\xb0-\xbf])|([\xe1][\xa9][\x95\x97\xa1\xa3-\xa4\xad-\xb2])|([\xe1][\xa8][\x99-\x9b])|([\xe1][\xad][\x80-\x81\x83-\x84])|([\xe1][\xac][\x84\xb5\xbb\xbd-\xbf])|([\xe1][\xae][\x82\xa1\xa6-\xa7\xaa])|([\xe1][\xb0][\xa4-\xab\xb4-\xb5])|([\xe1][\xb3][\xa1\xb2])|([\xe1][\x9f][\x80-\x85\x87-\x88])|([\xe1][\x9e][\xb6\xbe-\xbf])|([\xe0][\xa5][\x80\x89-\x8c\x8e])|([\xe0][\xa4][\x83\xbe-\xbf])|([\xe0][\xa7][\x80\x87-\x88\x8b-\x8c\x97])|([\xe0][\xa6][\x82-\x83\xbe-\xbf])|([\xe0][\xa9][\x80])|([\xe0][\xa8][\x83\xbe-\xbf])|([\xe0][\xab][\x80\x89\x8b-\x8c])|([\xe0][\xaa][\x83\xbe-\xbf])|([\xe0][\xad][\x80\x87-\x88\x8b-\x8c\x97])|([\xe0][\xac][\x82-\x83\xbe])|([\xe0][\xaf][\x81-\x82\x86-\x88\x8a-\x8c\x97])|([\xe0][\xae][\xbe-\xbf])|([\xe0][\xb1][\x81-\x84])|([\xe0][\xb0][\x81-\x83])|([\xe0][\xb3][\x80-\x84\x87-\x88\x8a-\x8b\x95-\x96])|([\xe0][\xb2][\x82-\x83\xbe])|([\xe0][\xb5][\x80\x86-\x88\x8a-\x8c\x97])|([\xe0][\xb4][\x82-\x83\xbe-\xbf])|([\xe0][\xb7][\x8f-\x91\x98-\x9f\xb2-\xb3])|([\xe0][\xb6][\x82-\x83])|([\xe0][\xbd][\xbf])|([\xe0][\xbc][\xbe-\xbf])|([\xea][\xa0][\xa3-\xa4\xa7])|([\xea][\xa3][\x80-\x83])|([\xea][\xa2][\x80-\x81\xb4-\xbf])|([\xea][\xa5][\x92-\x93])|([\xea][\xa7][\x80])|([\xea][\xa6][\x83\xb4-\xb5\xba-\xbb\xbd-\xbf])|([\xea][\xa9][\x8d\xbb])|([\xea][\xa8][\xaf-\xb0\xb3-\xb4])|([\xea][\xaf][\xa3-\xa4\xa6-\xa7\xa9-\xaa\xac]);
Mc = Mc3;
Mn2 = ([\xcd][\x80-\xaf])|([\xcc][\x80-\xbf])|([\xd2][\x83-\x87])|([\xd7][\x81-\x82\x84-\x85\x87])|([\xd6][\x91-\xbd\xbf])|([\xd9][\x8b-\x9e\xb0])|([\xd8][\x90-\x9a])|([\xdb][\x96-\x9c\x9f-\xa4\xa7-\xa8\xaa-\xad])|([\xdd][\x80-\x8a])|([\xdc][\x91\xb0-\xbf])|([\xdf][\xab-\xb3])|([\xde][\xa6-\xb0]);
Mn3 = ([\xe1][\x81][\x98-\x99\x9e-\xa0\xb1-\xb4])|([\xe1][\x80][\xad-\xb0\xb2-\xb7\xb9-\xba\xbd-\xbe])|([\xe1][\x82][\x82\x85-\x86\x8d\x9d])|([\xe1][\xad][\x82\xab-\xb3])|([\xe1][\xa4][\xa0-\xa2\xa7-\xa8\xb2\xb9-\xbb])|([\xe1][\xa0][\x8b-\x8d])|([\xe1][\xa9][\x96\x98-\x9e\xa0\xa2\xa5-\xac\xb3-\xbc\xbf])|([\xe1][\xa8][\x97-\x98])|([\xe1][\x8d][\x9f])|([\xe1][\xac][\x80-\x83\xb4\xb6-\xba\xbc])|([\xe1][\xae][\x80-\x81\xa2-\xa5\xa8-\xa9])|([\xe1][\xb0][\xac-\xb3\xb6-\xb7])|([\xe1][\xb3][\x90-\x92\x94-\xa0\xa2-\xa8\xad])|([\xe1][\xa2][\xa9])|([\xe1][\xb7][\x80-\xa6\xbd-\xbf])|([\xe1][\x9d][\x92-\x93\xb2-\xb3])|([\xe1][\x9c][\x92-\x94\xb2-\xb4])|([\xe1][\x9f][\x86\x89-\x93\x9d])|([\xe1][\x9e][\xb7-\xbd])|([\xe0][\xa0][\x96-\x99\x9b-\xa3\xa5-\xa7\xa9-\xad])|([\xe0][\xa5][\x81-\x88\x8d\x91-\x95\xa2-\xa3])|([\xe0][\xa4][\x80-\x82\xbc])|([\xe0][\xa7][\x81-\x84\x8d\xa2-\xa3])|([\xe0][\xa6][\x81\xbc])|([\xe0][\xa9][\x81-\x82\x87-\x88\x8b-\x8d\x91\xb0-\xb1\xb5])|([\xe0][\xa8][\x81-\x82\xbc])|([\xe0][\xab][\x81-\x85\x87-\x88\x8d\xa2-\xa3])|([\xe0][\xaa][\x81-\x82\xbc])|([\xe0][\xad][\x81-\x84\x8d\x96\xa2-\xa3])|([\xe0][\xac][\x81\xbc\xbf])|([\xe0][\xaf][\x80\x8d])|([\xe0][\xae][\x82])|([\xe0][\xb1][\x80\x86-\x88\x8a-\x8d\x95-\x96\xa2-\xa3])|([\xe0][\xb0][\xbe-\xbf])|([\xe0][\xb3][\x86\x8c-\x8d\xa2-\xa3])|([\xe0][\xb2][\xbc\xbf])|([\xe0][\xb5][\x81-\x84\x8d\xa2-\xa3])|([\xe0][\xb7][\x8a\x92-\x94\x96])|([\xe0][\xb9][\x87-\x8e])|([\xe0][\xb8][\xb1\xb4-\xba])|([\xe0][\xbb][\x88-\x8d])|([\xe0][\xba][\xb1\xb4-\xb9\xbb-\xbc])|([\xe0][\xbd][\xb1-\xbe])|([\xe0][\xbc][\x98-\x99\xb5\xb7\xb9])|([\xe0][\xbf][\x86])|([\xe0][\xbe][\x80-\x84\x86-\x87\x90-\x97\x99-\xbc])|([\xe3][\x80][\xaa-\xaf])|([\xe3][\x82][\x99-\x9a])|([\xe2][\x83][\x90-\x9c\xa1\xa5-\xb0])|([\xe2][\xb3][\xaf-\xb1])|([\xe2][\xb7][\xa0-\xbf])|([\xea][\xa0][\x82\x86\x8b\xa5-\xa6])|([\xea][\xa3][\x84\xa0-\xb1])|([\xea][\xa5][\x87-\x91])|([\xea][\xa4][\xa6-\xad])|([\xea][\xa6][\x80-\x82\xb3\xb6-\xb9\xbc])|([\xea][\xa9][\x83\x8c])|([\xea][\xa8][\xa9-\xae\xb1-\xb2\xb5-\xb6])|([\xea][\xab][\x81])|([\xea][\xaa][\xb0\xb2-\xb4\xb7-\xb8\xbe-\xbf])|([\xea][\xaf][\xa5\xa8\xad])|([\xea][\x99][\xaf\xbc-\xbd])|([\xea][\x9b][\xb0-\xb1])|([\xef][\xb8][\x80-\x8f\xa0-\xa6])|([\xef][\xac][\x9e]);
Mn = Mn2|Mn3;
Sk1 = [\x5e\x60];
Sk2 = ([\xcb][\x82-\x85\x92-\x9f\xa5-\xab\xad\xaf-\xbf])|([\xc2][\xa8\xaf\xb4\xb8])|([\xcd][\xb5])|([\xce][\x84-\x85]);
Sk3 = ([\xe1][\xbf][\x80-\x81\x8d-\x8f\x9d-\x9f\xad-\xaf\xbd-\xbe])|([\xe1][\xbe][\xbd\xbf])|([\xe3][\x82][\x9b-\x9c])|([\xea][\x9c][\x80-\x96\xa0-\xa1])|([\xea][\x9e][\x89-\x8a])|([\xef][\xbd][\x80])|([\xef][\xbc][\xbe])|([\xef][\xbf][\xa3]);
Sk = Sk1|Sk2|Sk3;
So2 = ([\xd8][\x8e-\x8f])|([\xdb][\xa9\xbd-\xbe])|([\xc2][\xa6-\xa7\xa9\xae\xb0\xb6])|([\xdf][\xb6])|([\xd2][\x82]);
So3 = ([\xe1][\x82][\x9e-\x9f])|([\xe1][\xa5][\x80])|([\xe1][\xa7][\xa0-\xbf])|([\xe1][\xad][\xa1-\xaa\xb4-\xbc])|([\xe1][\x8d][\xa0])|([\xe1][\x8e][\x90-\x99])|([\xe0][\xa7][\xba])|([\xe0][\xad][\xb0])|([\xe0][\xaf][\xb3-\xb8\xba])|([\xe0][\xb1][\xbf])|([\xe0][\xb3][\xb1-\xb2])|([\xe0][\xb5][\xb9])|([\xe0][\xbc][\x81-\x83\x93-\x97\x9a-\x9f\xb4\xb6\xb8])|([\xe0][\xbf][\x80-\x85\x87-\x8c\x8e-\x8f\x95-\x98])|([\xe0][\xbe][\xbe-\xbf])|([\xe3][\x80][\x84\x92-\x93\xa0\xb6-\xb7\xbe-\xbf])|([\xe3][\x87][\x80-\xa3])|([\xe3][\x86][\x90-\x91\x96-\x9f])|([\xe3][\x89][\x80-\x90\xa0-\xbf])|([\xe3][\x88][\x80-\x9e\xaa-\xbf])|([\xe3][\x8b][\x80-\xbe])|([\xe3][\x8a][\x8a-\xb0])|([\xe3][\x8d][\x80-\xbf])|([\xe3][\x8c][\x80-\xbf])|([\xe3][\x8f][\x80-\xbf])|([\xe3][\x8e][\x80-\xbf])|([\xe2][\x85][\x8a\x8c-\x8d\x8f])|([\xe2][\x84][\x80-\x81\x83-\x86\x88-\x89\x94\x96-\x98\x9e-\xa3\xa5\xa7\xa9\xae\xba-\xbb])|([\xe2][\x87][\x80-\x8d\x90-\x91\x93\x95-\xb3])|([\xe2][\x86][\x95-\x99\x9c-\x9f\xa1-\xa2\xa4-\xa5\xa7-\xad\xaf-\xbf])|([\xe2][\x8d][\x80-\xbb\xbd-\xbf])|([\xe2][\x8c][\x80-\x87\x8c-\x9f\xa2-\xa8\xab-\xbf])|([\xe2][\x8f][\x80-\x9b\xa2-\xa8])|([\xe2][\x8e][\x80-\x9a\xb4-\xbf])|([\xe2][\x91][\x80-\x8a])|([\xe2][\x90][\x80-\xa6])|([\xe2][\x93][\x80-\xa9])|([\xe2][\x92][\x9c-\xbf])|([\xe2][\x95][\x80-\xbf])|([\xe2][\x94][\x80-\xbf])|([\xe2][\x97][\x80\x82-\xb7])|([\xe2][\x96][\x80-\xb6\xb8-\xbf])|([\xe2][\x99][\x80-\xae\xb0-\xbf])|([\xe2][\x98][\x80-\xbf])|([\xe2][\x9b][\x80-\x8d\x8f-\xa1\xa3\xa8-\xbf])|([\xe2][\x9a][\x80-\xbf])|([\xe2][\x9d][\x80-\x8b\x8d\x8f-\x92\x96-\x9e\xa1-\xa7])|([\xe2][\x9c][\x81-\x84\x86-\x89\x8c-\xa7\xa9-\xbf])|([\xe2][\x9e][\x94\x98-\xaf\xb1-\xbe])|([\xe2][\xa1][\x80-\xbf])|([\xe2][\xa0][\x80-\xbf])|([\xe2][\xa3][\x80-\xbf])|([\xe2][\xa2][\x80-\xbf])|([\xe2][\xad][\x85-\x86\x90-\x99])|([\xe2][\xac][\x80-\xaf])|([\xe2][\xb3][\xa5-\xaa])|([\xe2][\xbb][\x80-\xb3])|([\xe2][\xba][\x80-\x99\x9b-\xbf])|([\xe2][\xbd][\x80-\xbf])|([\xe2][\xbc][\x80-\xbf])|([\xe2][\xbf][\x80-\x95\xb0-\xbb])|([\xe2][\xbe][\x80-\xbf])|([\xe4][\xb7][\x80-\xbf])|([\xea][\xa9][\xb7-\xb9])|([\xea][\xa0][\xa8-\xab\xb6-\xb7\xb9])|([\xea][\x93][\x80-\x86])|([\xea][\x92][\x90-\xbf])|([\xef][\xbf][\xa4\xa8\xad-\xae\xbc-\xbd])|([\xef][\xb7][\xbd]);
So = So2|So3;
Sm1 = [\x2b\x3c-\x3e\x7c\x7e];
Sm2 = ([\xd8][\x86-\x88])|([\xc3][\x97\xb7])|([\xc2][\xac\xb1])|([\xcf][\xb6]);
Sm3 = ([\xe2][\x81][\x84\x92\xba-\xbc])|([\xe2][\x82][\x8a-\x8c])|([\xe2][\x85][\x80-\x84\x8b])|([\xe2][\x87][\x8e-\x8f\x92\x94\xb4-\xbf])|([\xe2][\x86][\x90-\x94\x9a-\x9b\xa0\xa3\xa6\xae])|([\xe2][\x89][\x80-\xbf])|([\xe2][\x88][\x80-\xbf])|([\xe2][\x8b][\x80-\xbf])|([\xe2][\x8a][\x80-\xbf])|([\xe2][\x8d][\xbc])|([\xe2][\x8c][\x88-\x8b\xa0-\xa1])|([\xe2][\x8f][\x9c-\xa1])|([\xe2][\x8e][\x9b-\xb3])|([\xe2][\x97][\x81\xb8-\xbf])|([\xe2][\x96][\xb7])|([\xe2][\x99][\xaf])|([\xe2][\x9f][\x80-\x84\x87-\x8a\x8c\x90-\xa5\xb0-\xbf])|([\xe2][\xa5][\x80-\xbf])|([\xe2][\xa4][\x80-\xbf])|([\xe2][\xa7][\x80-\x97\x9c-\xbb\xbe-\xbf])|([\xe2][\xa6][\x80-\x82\x99-\xbf])|([\xe2][\xa9][\x80-\xbf])|([\xe2][\xa8][\x80-\xbf])|([\xe2][\xab][\x80-\xbf])|([\xe2][\xaa][\x80-\xbf])|([\xe2][\xad][\x80-\x84\x87-\x8c])|([\xe2][\xac][\xb0-\xbf])|([\xef][\xb9][\xa2\xa4-\xa6])|([\xef][\xbd][\x9c\x9e])|([\xef][\xac][\xa9])|([\xef][\xbf][\xa2\xa9-\xac])|([\xef][\xbc][\x8b\x9c-\x9e]);
Sm = Sm1|Sm2|Sm3;
Sc1 = [\x24];
Sc2 = ([\xd8][\x8b])|([\xc2][\xa2-\xa5]);
Sc3 = ([\xe1][\x9f][\x9b])|([\xe0][\xb8][\xbf])|([\xe0][\xab][\xb1])|([\xe0][\xaf][\xb9])|([\xe0][\xa7][\xb2-\xb3\xbb])|([\xe2][\x82][\xa0-\xb8])|([\xef][\xb9][\xa9])|([\xef][\xbf][\xa0-\xa1\xa5-\xa6])|([\xef][\xbc][\x84])|([\xef][\xb7][\xbc])|([\xea][\xa0][\xb8]);
Sc = Sc1|Sc2|Sc3;
Zl3 = ([\xe2][\x80][\xa8]);
Zl = Zl3;
Co3 = ([\xef][\x81][\x80-\xbf])|([\xef][\x80][\x80-\xbf])|([\xef][\x83][\x80-\xbf])|([\xef][\x82][\x80-\xbf])|([\xef][\x85][\x80-\xbf])|([\xef][\x84][\x80-\xbf])|([\xef][\x87][\x80-\xbf])|([\xef][\x86][\x80-\xbf])|([\xef][\x89][\x80-\xbf])|([\xef][\x88][\x80-\xbf])|([\xef][\x8b][\x80-\xbf])|([\xef][\x8a][\x80-\xbf])|([\xef][\x8d][\x80-\xbf])|([\xef][\x8c][\x80-\xbf])|([\xef][\x8f][\x80-\xbf])|([\xef][\x8e][\x80-\xbf])|([\xef][\x91][\x80-\xbf])|([\xef][\x90][\x80-\xbf])|([\xef][\x93][\x80-\xbf])|([\xef][\x92][\x80-\xbf])|([\xef][\x95][\x80-\xbf])|([\xef][\x94][\x80-\xbf])|([\xef][\x97][\x80-\xbf])|([\xef][\x96][\x80-\xbf])|([\xef][\x99][\x80-\xbf])|([\xef][\x98][\x80-\xbf])|([\xef][\x9b][\x80-\xbf])|([\xef][\x9a][\x80-\xbf])|([\xef][\x9d][\x80-\xbf])|([\xef][\x9c][\x80-\xbf])|([\xef][\x9f][\x80-\xbf])|([\xef][\x9e][\x80-\xbf])|([\xef][\xa1][\x80-\xbf])|([\xef][\xa0][\x80-\xbf])|([\xef][\xa3][\x80-\xbf])|([\xef][\xa2][\x80-\xbf])|([\xee][\x81][\x80-\xbf])|([\xee][\x80][\x80-\xbf])|([\xee][\x83][\x80-\xbf])|([\xee][\x82][\x80-\xbf])|([\xee][\x85][\x80-\xbf])|([\xee][\x84][\x80-\xbf])|([\xee][\x87][\x80-\xbf])|([\xee][\x86][\x80-\xbf])|([\xee][\x89][\x80-\xbf])|([\xee][\x88][\x80-\xbf])|([\xee][\x8b][\x80-\xbf])|([\xee][\x8a][\x80-\xbf])|([\xee][\x8d][\x80-\xbf])|([\xee][\x8c][\x80-\xbf])|([\xee][\x8f][\x80-\xbf])|([\xee][\x8e][\x80-\xbf])|([\xee][\x91][\x80-\xbf])|([\xee][\x90][\x80-\xbf])|([\xee][\x93][\x80-\xbf])|([\xee][\x92][\x80-\xbf])|([\xee][\x95][\x80-\xbf])|([\xee][\x94][\x80-\xbf])|([\xee][\x97][\x80-\xbf])|([\xee][\x96][\x80-\xbf])|([\xee][\x99][\x80-\xbf])|([\xee][\x98][\x80-\xbf])|([\xee][\x9b][\x80-\xbf])|([\xee][\x9a][\x80-\xbf])|([\xee][\x9d][\x80-\xbf])|([\xee][\x9c][\x80-\xbf])|([\xee][\x9f][\x80-\xbf])|([\xee][\x9e][\x80-\xbf])|([\xee][\xa1][\x80-\xbf])|([\xee][\xa0][\x80-\xbf])|([\xee][\xa3][\x80-\xbf])|([\xee][\xa2][\x80-\xbf])|([\xee][\xa5][\x80-\xbf])|([\xee][\xa4][\x80-\xbf])|([\xee][\xa7][\x80-\xbf])|([\xee][\xa6][\x80-\xbf])|([\xee][\xa9][\x80-\xbf])|([\xee][\xa8][\x80-\xbf])|([\xee][\xab][\x80-\xbf])|([\xee][\xaa][\x80-\xbf])|([\xee][\xad][\x80-\xbf])|([\xee][\xac][\x80-\xbf])|([\xee][\xaf][\x80-\xbf])|([\xee][\xae][\x80-\xbf])|([\xee][\xb1][\x80-\xbf])|([\xee][\xb0][\x80-\xbf])|([\xee][\xb3][\x80-\xbf])|([\xee][\xb2][\x80-\xbf])|([\xee][\xb5][\x80-\xbf])|([\xee][\xb4][\x80-\xbf])|([\xee][\xb7][\x80-\xbf])|([\xee][\xb6][\x80-\xbf])|([\xee][\xb9][\x80-\xbf])|([\xee][\xb8][\x80-\xbf])|([\xee][\xbb][\x80-\xbf])|([\xee][\xba][\x80-\xbf])|([\xee][\xbd][\x80-\xbf])|([\xee][\xbc][\x80-\xbf])|([\xee][\xbf][\x80-\xbf])|([\xee][\xbe][\x80-\xbf]);
Co = Co3;
Cn2 = ([\xcd][\xb8-\xb9\xbf])|([\xce][\x80-\x83\x8b\x8d\xa2])|([\xd5][\x97-\x98\xa0])|([\xd4][\xa6-\xb0])|([\xd7][\x88-\x8f\xab-\xaf\xb5-\xbf])|([\xd6][\x88\x8b-\x90])|([\xd9][\x9f])|([\xd8][\x84-\x85\x9c-\x9d\xa0])|([\xdd][\x8b-\x8c])|([\xdc][\x8e])|([\xdf][\xbb-\xbf])|([\xde][\xb2-\xbf]);
Cn3 = ([\xe1][\x83][\x86-\x8f\xbd-\xbf])|([\xe1][\x89][\x89\x8e-\x8f\x97\x99\x9e-\x9f])|([\xe1][\x8b][\x81\x86-\x87\x97])|([\xe1][\x8a][\x89\x8e-\x8f\xb1\xb6-\xb7\xbf])|([\xe1][\x8d][\x9b-\x9e\xbd-\xbf])|([\xe1][\x8c][\x91\x96-\x97])|([\xe1][\x8f][\xb5-\xbf])|([\xe1][\x8e][\x9a-\x9f])|([\xe1][\x9b][\xb1-\xbf])|([\xe1][\x9a][\x9d-\x9f])|([\xe1][\x9d][\x94-\x9f\xad\xb1\xb4-\xbf])|([\xe1][\x9c][\x8d\x95-\x9f\xb7-\xbf])|([\xe1][\x9f][\x9e-\x9f\xaa-\xaf\xba-\xbf])|([\xe1][\xa1][\xb8-\xbf])|([\xe1][\xa0][\x8f\x9a-\x9f])|([\xe1][\xa3][\xb6-\xbf])|([\xe1][\xa2][\xab-\xaf])|([\xe1][\xa5][\x81-\x83\xae-\xaf\xb5-\xbf])|([\xe1][\xa4][\x9d-\x9f\xac-\xaf\xbc-\xbf])|([\xe1][\xa7][\x8a-\x8f\x9b-\x9d])|([\xe1][\xa6][\xac-\xaf])|([\xe1][\xa9][\x9f\xbd-\xbe])|([\xe1][\xa8][\x9c-\x9d])|([\xe1][\xab][\x80-\xbf])|([\xe1][\xaa][\x8a-\x8f\x9a-\x9f\xae-\xbf])|([\xe1][\xad][\x8c-\x8f\xbd-\xbf])|([\xe1][\xaf][\x80-\xbf])|([\xe1][\xae][\xab-\xad\xba-\xbf])|([\xe1][\xb1][\x8a-\x8c])|([\xe1][\xb0][\xb8-\xba])|([\xe1][\xb3][\x80-\x8f\xb3-\xbf])|([\xe1][\xb2][\x80-\xbf])|([\xe1][\xb7][\xa7-\xbc])|([\xe1][\xbd][\x86-\x87\x8e-\x8f\x98\x9a\x9c\x9e\xbe-\xbf])|([\xe1][\xbc][\x96-\x97\x9e-\x9f])|([\xe1][\xbf][\x85\x94-\x95\x9c\xb0-\xb1\xb5\xbf])|([\xe1][\xbe][\xb5])|([\xe0][\xa1][\x80-\xbf])|([\xe0][\xa0][\xae-\xaf\xbf])|([\xe0][\xa3][\x80-\xbf])|([\xe0][\xa2][\x80-\xbf])|([\xe0][\xa5][\x8f\x96-\x97\xb3-\xb8])|([\xe0][\xa4][\xba-\xbb])|([\xe0][\xa7][\x85-\x86\x89-\x8a\x8f-\x96\x98-\x9b\x9e\xa4-\xa5\xbc-\xbf])|([\xe0][\xa6][\x80\x84\x8d-\x8e\x91-\x92\xa9\xb1\xb3-\xb5\xba-\xbb])|([\xe0][\xa9][\x83-\x86\x89-\x8a\x8e-\x90\x92-\x98\x9d\x9f-\xa5\xb6-\xbf])|([\xe0][\xa8][\x80\x84\x8b-\x8e\x91-\x92\xa9\xb1\xb4\xb7\xba-\xbb\xbd])|([\xe0][\xab][\x86\x8a\x8e-\x8f\x91-\x9f\xa4-\xa5\xb0\xb2-\xbf])|([\xe0][\xaa][\x80\x84\x8e\x92\xa9\xb1\xb4\xba-\xbb])|([\xe0][\xad][\x85-\x86\x89-\x8a\x8e-\x95\x98-\x9b\x9e\xa4-\xa5\xb2-\xbf])|([\xe0][\xac][\x80\x84\x8d-\x8e\x91-\x92\xa9\xb1\xb4\xba-\xbb])|([\xe0][\xaf][\x83-\x85\x89\x8e-\x8f\x91-\x96\x98-\xa5\xbb-\xbf])|([\xe0][\xae][\x80-\x81\x84\x8b-\x8d\x91\x96-\x98\x9b\x9d\xa0-\xa2\xa5-\xa7\xab-\xad\xba-\xbd])|([\xe0][\xb1][\x85\x89\x8e-\x94\x97\x9a-\x9f\xa4-\xa5\xb0-\xb7])|([\xe0][\xb0][\x80\x84\x8d\x91\xa9\xb4\xba-\xbc])|([\xe0][\xb3][\x85\x89\x8e-\x94\x97-\x9d\x9f\xa4-\xa5\xb0\xb3-\xbf])|([\xe0][\xb2][\x80-\x81\x84\x8d\x91\xa9\xb4\xba-\xbb])|([\xe0][\xb5][\x85\x89\x8e-\x96\x98-\x9f\xa4-\xa5\xb6-\xb8])|([\xe0][\xb4][\x80-\x81\x84\x8d\x91\xa9\xba-\xbc])|([\xe0][\xb7][\x87-\x89\x8b-\x8e\x95\x97\xa0-\xb1\xb5-\xbf])|([\xe0][\xb6][\x80-\x81\x84\x97-\x99\xb2\xbc\xbe-\xbf])|([\xe0][\xb9][\x9c-\xbf])|([\xe0][\xb8][\x80\xbb-\xbe])|([\xe0][\xbb][\x85\x87\x8e-\x8f\x9a-\x9b\x9e-\xbf])|([\xe0][\xba][\x80\x83\x85-\x86\x89\x8b-\x8c\x8e-\x93\x98\xa0\xa4\xa6\xa8-\xa9\xac\xba\xbe-\xbf])|([\xe0][\xbd][\x88\xad-\xb0])|([\xe0][\xbf][\x8d\x99-\xbf])|([\xe0][\xbe][\x8c-\x8f\x98\xbd])|([\xe3][\x81][\x80])|([\xe3][\x82][\x97-\x98])|([\xe3][\x84][\x80-\x84\xae-\xb0])|([\xe3][\x87][\xa4-\xaf])|([\xe3][\x86][\x8f\xb8-\xbf])|([\xe3][\x88][\x9f])|([\xe3][\x8b][\xbf])|([\xe2][\x81][\xa5-\xa9\xb2-\xb3])|([\xe2][\x83][\x80-\x8f\xb1-\xbf])|([\xe2][\x82][\x8f\x95-\x9f\xb9-\xbf])|([\xe2][\x86][\x8a-\x8f])|([\xe2][\x8f][\xa9-\xbf])|([\xe2][\x91][\x8b-\x9f])|([\xe2][\x90][\xa7-\xbf])|([\xe2][\x9b][\x8e\xa2\xa4-\xa7])|([\xe2][\x9d][\x8c\x8e\x93-\x95\x9f-\xa0])|([\xe2][\x9c][\x80\x85\x8a-\x8b\xa8])|([\xe2][\x9f][\x8b\x8d-\x8f])|([\xe2][\x9e][\x95-\x97\xb0\xbf])|([\xe2][\xad][\x8d-\x8f\x9a-\xbf])|([\xe2][\xaf][\x80-\xbf])|([\xe2][\xae][\x80-\xbf])|([\xe2][\xb1][\x9f])|([\xe2][\xb0][\xaf])|([\xe2][\xb3][\xb2-\xb8])|([\xe2][\xb5][\xa6-\xae\xb0-\xbf])|([\xe2][\xb4][\xa6-\xaf])|([\xe2][\xb7][\x87\x8f\x97\x9f])|([\xe2][\xb6][\x97-\x9f\xa7\xaf\xb7\xbf])|([\xe2][\xb9][\x80-\xbf])|([\xe2][\xb8][\xb2-\xbf])|([\xe2][\xbb][\xb4-\xbf])|([\xe2][\xba][\x9a])|([\xe2][\xbf][\x96-\xaf\xbc-\xbf])|([\xe4][\xb6][\xb6-\xbf])|([\xe9][\xbf][\x8c-\xbf])|([\xea][\xa1][\xb8-\xbf])|([\xea][\xa0][\xac-\xaf\xba-\xbf])|([\xea][\xa3][\x85-\x8d\x9a-\x9f\xbc-\xbf])|([\xea][\xa5][\x94-\x9e\xbd-\xbf])|([\xea][\xa7][\x8e\x9a-\x9d\xa0-\xbf])|([\xea][\xa9][\x8e-\x8f\x9a-\x9b\xbc-\xbf])|([\xea][\xa8][\xb7-\xbf])|([\xea][\xab][\x83-\x9a\xa0-\xbf])|([\xea][\xad][\x80-\xbf])|([\xea][\xac][\x80-\xbf])|([\xea][\xaf][\xae-\xaf\xba-\xbf])|([\xea][\xae][\x80-\xbf])|([\xea][\x93][\x87-\x8f])|([\xea][\x92][\x8d-\x8f])|([\xea][\x99][\xa0-\xa1\xb4-\xbb])|([\xea][\x98][\xac-\xbf])|([\xea][\x9b][\xb8-\xbf])|([\xea][\x9a][\x98-\x9f])|([\xea][\x9f][\x80-\xba])|([\xea][\x9e][\x8d-\xbf])|([\xed][\x9f][\x87-\x8a\xbc-\xbf])|([\xed][\x9e][\xa4-\xaf])|([\xef][\xa9][\xae-\xaf])|([\xef][\xa8][\xae-\xaf])|([\xef][\xab][\x9a-\xbf])|([\xef][\xad][\x82\x85])|([\xef][\xac][\x87-\x92\x98-\x9c\xb7\xbd\xbf])|([\xef][\xaf][\x80-\x92])|([\xef][\xae][\xb2-\xbf])|([\xef][\xb5][\x80-\x8f])|([\xef][\xb7][\x88-\xaf\xbe-\xbf])|([\xef][\xb6][\x90-\x91])|([\xef][\xb9][\x93\xa7\xac-\xaf\xb5])|([\xef][\xb8][\x9a-\x9f\xa7-\xaf])|([\xef][\xbb][\xbd-\xbe])|([\xef][\xbc][\x80])|([\xef][\xbf][\x80-\x81\x88-\x89\x90-\x91\x98-\x99\x9d-\x9f\xa7\xaf-\xb8\xbe-\xbf])|([\xef][\xbe][\xbf]);
Cn = Cn2|Cn3;
Cc1 = [\x02-\x1f\x7f];
Cc2 = ([\xc2][\x80-\x9f]);
Cc = Cc1|Cc2;
Cf2 = ([\xd8][\x80-\x83])|([\xdb][\x9d])|([\xc2][\xad])|([\xdc][\x8f]);
Cf3 = ([\xe1][\x9e][\xb4-\xb5])|([\xe2][\x81][\xa0-\xa4\xaa-\xaf])|([\xe2][\x80][\x8b-\x8f\xaa-\xae])|([\xef][\xbb][\xbf])|([\xef][\xbf][\xb9-\xbb]);
Cf = Cf2|Cf3;
Cs3 = ([\xed][\xa1][\x80-\xbf])|([\xed][\xa0][\x80-\xbf])|([\xed][\xa3][\x80-\xbf])|([\xed][\xa2][\x80-\xbf])|([\xed][\xa5][\x80-\xbf])|([\xed][\xa4][\x80-\xbf])|([\xed][\xa7][\x80-\xbf])|([\xed][\xa6][\x80-\xbf])|([\xed][\xa9][\x80-\xbf])|([\xed][\xa8][\x80-\xbf])|([\xed][\xab][\x80-\xbf])|([\xed][\xaa][\x80-\xbf])|([\xed][\xad][\x80-\xbf])|([\xed][\xac][\x80-\xbf])|([\xed][\xaf][\x80-\xbf])|([\xed][\xae][\x80-\xbf])|([\xed][\xb1][\x80-\xbf])|([\xed][\xb0][\x80-\xbf])|([\xed][\xb3][\x80-\xbf])|([\xed][\xb2][\x80-\xbf])|([\xed][\xb5][\x80-\xbf])|([\xed][\xb4][\x80-\xbf])|([\xed][\xb7][\x80-\xbf])|([\xed][\xb6][\x80-\xbf])|([\xed][\xb9][\x80-\xbf])|([\xed][\xb8][\x80-\xbf])|([\xed][\xbb][\x80-\xbf])|([\xed][\xba][\x80-\xbf])|([\xed][\xbd][\x80-\xbf])|([\xed][\xbc][\x80-\xbf])|([\xed][\xbf][\x80-\xbf])|([\xed][\xbe][\x80-\xbf]);
Cs = Cs3;
Zp3 = ([\xe2][\x80][\xa9]);
Zp = Zp3;
Zs1 = [\x20];
Zs2 = ([\xc2][\xa0]);
Zs3 = ([\xe1][\xa0][\x8e])|([\xe1][\x9a][\x80])|([\xe3][\x80][\x80])|([\xe2][\x81][\x9f])|([\xe2][\x80][\x80-\x8a\xaf]);
Zs = Zs1|Zs2|Zs3;
Ol_Chiki3 = ([\xe1][\xb1][\x90-\xbf]);
Ol_Chiki = Ol_Chiki3;
Thaana2 = ([\xde][\x80-\xb1]);
Thaana = Thaana2;
Limbu3 = ([\xe1][\xa5][\x80\x84-\x8f])|([\xe1][\xa4][\x80-\x9c\xa0-\xab\xb0-\xbb]);
Limbu = Limbu3;
Tagalog3 = ([\xe1][\x9c][\x80-\x8c\x8e-\x94]);
Tagalog = Tagalog3;
Telugu3 = ([\xe0][\xb1][\x80-\x84\x86-\x88\x8a-\x8d\x95-\x96\x98-\x99\xa0-\xa3\xa6-\xaf\xb8-\xbf])|([\xe0][\xb0][\x81-\x83\x85-\x8c\x8e-\x90\x92-\xa8\xaa-\xb3\xb5-\xb9\xbd-\xbf]);
Telugu = Telugu3;
Cyrillic2 = ([\xd1][\x80-\xbf])|([\xd0][\x80-\xbf])|([\xd3][\x80-\xbf])|([\xd2][\x80-\x84\x87-\xbf])|([\xd4][\x80-\xa7]);
Cyrillic3 = ([\xe1][\xb5][\xb8])|([\xe1][\xb4][\xab])|([\xe2][\xb7][\xa0-\xbf])|([\xea][\x99][\x80-\xb3\xbc-\xbf])|([\xea][\x9a][\x80-\x97]);
Cyrillic = Cyrillic2|Cyrillic3;
Malayalam3 = ([\xe0][\xb5][\x80-\x84\x86-\x88\x8a-\x8e\x97\xa0-\xa3\xa6-\xb5\xb9-\xbf])|([\xe0][\xb4][\x82-\x83\x85-\x8c\x8e-\x90\x92-\xba\xbd-\xbf]);
Malayalam = Malayalam3;
Unknown2 = ([\xcd][\xb8-\xb9\xbf])|([\xce][\x80-\x83\x8b\x8d\xa2])|([\xd5][\x97-\x98\xa0])|([\xd4][\xa8-\xb0])|([\xd7][\x88-\x8f\xab-\xaf\xb5-\xbf])|([\xd6][\x88\x8b-\x90])|([\xd8][\x84-\x85\x9c-\x9d])|([\xdd][\x8b-\x8c])|([\xdc][\x8e])|([\xdf][\xbb-\xbf])|([\xde][\xb2-\xbf]);
Unknown3 = ([\xe1][\x83][\x86-\x8f\xbd-\xbf])|([\xe1][\x89][\x89\x8e-\x8f\x97\x99\x9e-\x9f])|([\xe1][\x8b][\x81\x86-\x87\x97])|([\xe1][\x8a][\x89\x8e-\x8f\xb1\xb6-\xb7\xbf])|([\xe1][\x8d][\x9b-\x9c\xbd-\xbf])|([\xe1][\x8c][\x91\x96-\x97])|([\xe1][\x8f][\xb5-\xbf])|([\xe1][\x8e][\x9a-\x9f])|([\xe1][\x9b][\xb1-\xbf])|([\xe1][\x9a][\x9d-\x9f])|([\xe1][\x9d][\x94-\x9f\xad\xb1\xb4-\xbf])|([\xe1][\x9c][\x8d\x95-\x9f\xb7-\xbf])|([\xe1][\x9f][\x9e-\x9f\xaa-\xaf\xba-\xbf])|([\xe1][\xa1][\xb8-\xbf])|([\xe1][\xa0][\x8f\x9a-\x9f])|([\xe1][\xa3][\xb6-\xbf])|([\xe1][\xa2][\xab-\xaf])|([\xe1][\xa5][\x81-\x83\xae-\xaf\xb5-\xbf])|([\xe1][\xa4][\x9d-\x9f\xac-\xaf\xbc-\xbf])|([\xe1][\xa7][\x8a-\x8f\x9b-\x9d])|([\xe1][\xa6][\xac-\xaf])|([\xe1][\xa9][\x9f\xbd-\xbe])|([\xe1][\xa8][\x9c-\x9d])|([\xe1][\xab][\x80-\xbf])|([\xe1][\xaa][\x8a-\x8f\x9a-\x9f\xae-\xbf])|([\xe1][\xad][\x8c-\x8f\xbd-\xbf])|([\xe1][\xaf][\xb4-\xbb])|([\xe1][\xae][\xab-\xad\xba-\xbf])|([\xe1][\xb1][\x8a-\x8c])|([\xe1][\xb0][\xb8-\xba])|([\xe1][\xb3][\x80-\x8f\xb3-\xbf])|([\xe1][\xb2][\x80-\xbf])|([\xe1][\xb7][\xa7-\xbb])|([\xe1][\xbd][\x86-\x87\x8e-\x8f\x98\x9a\x9c\x9e\xbe-\xbf])|([\xe1][\xbc][\x96-\x97\x9e-\x9f])|([\xe1][\xbf][\x85\x94-\x95\x9c\xb0-\xb1\xb5\xbf])|([\xe1][\xbe][\xb5])|([\xe0][\xa1][\x9c-\x9d\x9f-\xbf])|([\xe0][\xa0][\xae-\xaf\xbf])|([\xe0][\xa3][\x80-\xbf])|([\xe0][\xa2][\x80-\xbf])|([\xe0][\xa5][\xb8])|([\xe0][\xa7][\x85-\x86\x89-\x8a\x8f-\x96\x98-\x9b\x9e\xa4-\xa5\xbc-\xbf])|([\xe0][\xa6][\x80\x84\x8d-\x8e\x91-\x92\xa9\xb1\xb3-\xb5\xba-\xbb])|([\xe0][\xa9][\x83-\x86\x89-\x8a\x8e-\x90\x92-\x98\x9d\x9f-\xa5\xb6-\xbf])|([\xe0][\xa8][\x80\x84\x8b-\x8e\x91-\x92\xa9\xb1\xb4\xb7\xba-\xbb\xbd])|([\xe0][\xab][\x86\x8a\x8e-\x8f\x91-\x9f\xa4-\xa5\xb0\xb2-\xbf])|([\xe0][\xaa][\x80\x84\x8e\x92\xa9\xb1\xb4\xba-\xbb])|([\xe0][\xad][\x85-\x86\x89-\x8a\x8e-\x95\x98-\x9b\x9e\xa4-\xa5\xb8-\xbf])|([\xe0][\xac][\x80\x84\x8d-\x8e\x91-\x92\xa9\xb1\xb4\xba-\xbb])|([\xe0][\xaf][\x83-\x85\x89\x8e-\x8f\x91-\x96\x98-\xa5\xbb-\xbf])|([\xe0][\xae][\x80-\x81\x84\x8b-\x8d\x91\x96-\x98\x9b\x9d\xa0-\xa2\xa5-\xa7\xab-\xad\xba-\xbd])|([\xe0][\xb1][\x85\x89\x8e-\x94\x97\x9a-\x9f\xa4-\xa5\xb0-\xb7])|([\xe0][\xb0][\x80\x84\x8d\x91\xa9\xb4\xba-\xbc])|([\xe0][\xb3][\x85\x89\x8e-\x94\x97-\x9d\x9f\xa4-\xa5\xb0\xb3-\xbf])|([\xe0][\xb2][\x80-\x81\x84\x8d\x91\xa9\xb4\xba-\xbb])|([\xe0][\xb5][\x85\x89\x8f-\x96\x98-\x9f\xa4-\xa5\xb6-\xb8])|([\xe0][\xb4][\x80-\x81\x84\x8d\x91\xbb-\xbc])|([\xe0][\xb7][\x87-\x89\x8b-\x8e\x95\x97\xa0-\xb1\xb5-\xbf])|([\xe0][\xb6][\x80-\x81\x84\x97-\x99\xb2\xbc\xbe-\xbf])|([\xe0][\xb9][\x9c-\xbf])|([\xe0][\xb8][\x80\xbb-\xbe])|([\xe0][\xbb][\x85\x87\x8e-\x8f\x9a-\x9b\x9e-\xbf])|([\xe0][\xba][\x80\x83\x85-\x86\x89\x8b-\x8c\x8e-\x93\x98\xa0\xa4\xa6\xa8-\xa9\xac\xba\xbe-\xbf])|([\xe0][\xbd][\x88\xad-\xb0])|([\xe0][\xbf][\x8d\x9b-\xbf])|([\xe0][\xbe][\x98\xbd])|([\xe3][\x81][\x80])|([\xe3][\x82][\x97-\x98])|([\xe3][\x84][\x80-\x84\xae-\xb0])|([\xe3][\x87][\xa4-\xaf])|([\xe3][\x86][\x8f\xbb-\xbf])|([\xe3][\x88][\x9f])|([\xe3][\x8b][\xbf])|([\xe2][\x81][\xa5-\xa9\xb2-\xb3])|([\xe2][\x83][\x80-\x8f\xb1-\xbf])|([\xe2][\x82][\x8f\x9d-\x9f\xba-\xbf])|([\xe2][\x86][\x8a-\x8f])|([\xe2][\x8f][\xb4-\xbf])|([\xe2][\x91][\x8b-\x9f])|([\xe2][\x90][\xa7-\xbf])|([\xe2][\x9c][\x80])|([\xe2][\x9f][\x8b\x8d])|([\xe2][\xad][\x8d-\x8f\x9a-\xbf])|([\xe2][\xaf][\x80-\xbf])|([\xe2][\xae][\x80-\xbf])|([\xe2][\xb1][\x9f])|([\xe2][\xb0][\xaf])|([\xe2][\xb3][\xb2-\xb8])|([\xe2][\xb5][\xa6-\xae\xb1-\xbe])|([\xe2][\xb4][\xa6-\xaf])|([\xe2][\xb7][\x87\x8f\x97\x9f])|([\xe2][\xb6][\x97-\x9f\xa7\xaf\xb7\xbf])|([\xe2][\xb9][\x80-\xbf])|([\xe2][\xb8][\xb2-\xbf])|([\xe2][\xbb][\xb4-\xbf])|([\xe2][\xba][\x9a])|([\xe2][\xbf][\x96-\xaf\xbc-\xbf])|([\xe4][\xb6][\xb6-\xbf])|([\xe9][\xbf][\x8c-\xbf])|([\xea][\xa1][\xb8-\xbf])|([\xea][\xa0][\xac-\xaf\xba-\xbf])|([\xea][\xa3][\x85-\x8d\x9a-\x9f\xbc-\xbf])|([\xea][\xa5][\x94-\x9e\xbd-\xbf])|([\xea][\xa7][\x8e\x9a-\x9d\xa0-\xbf])|([\xea][\xa9][\x8e-\x8f\x9a-\x9b\xbc-\xbf])|([\xea][\xa8][\xb7-\xbf])|([\xea][\xab][\x83-\x9a\xa0-\xbf])|([\xea][\xad][\x80-\xbf])|([\xea][\xac][\x80\x87-\x88\x8f-\x90\x97-\x9f\xa7\xaf-\xbf])|([\xea][\xaf][\xae-\xaf\xba-\xbf])|([\xea][\xae][\x80-\xbf])|([\xea][\x93][\x87-\x8f])|([\xea][\x92][\x8d-\x8f])|([\xea][\x99][\xb4-\xbb])|([\xea][\x98][\xac-\xbf])|([\xea][\x9b][\xb8-\xbf])|([\xea][\x9a][\x98-\x9f])|([\xea][\x9f][\x80-\xb9])|([\xea][\x9e][\x8f\x92-\x9f\xaa-\xbf])|([\xed][\x9f][\x87-\x8a\xbc-\xbf])|([\xed][\x9e][\xa4-\xaf])|([\xed][\xa1][\x80-\xbf])|([\xed][\xa0][\x80-\xbf])|([\xed][\xa3][\x80-\xbf])|([\xed][\xa2][\x80-\xbf])|([\xed][\xa5][\x80-\xbf])|([\xed][\xa4][\x80-\xbf])|([\xed][\xa7][\x80-\xbf])|([\xed][\xa6][\x80-\xbf])|([\xed][\xa9][\x80-\xbf])|([\xed][\xa8][\x80-\xbf])|([\xed][\xab][\x80-\xbf])|([\xed][\xaa][\x80-\xbf])|([\xed][\xad][\x80-\xbf])|([\xed][\xac][\x80-\xbf])|([\xed][\xaf][\x80-\xbf])|([\xed][\xae][\x80-\xbf])|([\xed][\xb1][\x80-\xbf])|([\xed][\xb0][\x80-\xbf])|([\xed][\xb3][\x80-\xbf])|([\xed][\xb2][\x80-\xbf])|([\xed][\xb5][\x80-\xbf])|([\xed][\xb4][\x80-\xbf])|([\xed][\xb7][\x80-\xbf])|([\xed][\xb6][\x80-\xbf])|([\xed][\xb9][\x80-\xbf])|([\xed][\xb8][\x80-\xbf])|([\xed][\xbb][\x80-\xbf])|([\xed][\xba][\x80-\xbf])|([\xed][\xbd][\x80-\xbf])|([\xed][\xbc][\x80-\xbf])|([\xed][\xbf][\x80-\xbf])|([\xed][\xbe][\x80-\xbf])|([\xef][\x81][\x80-\xbf])|([\xef][\x80][\x80-\xbf])|([\xef][\x83][\x80-\xbf])|([\xef][\x82][\x80-\xbf])|([\xef][\x85][\x80-\xbf])|([\xef][\x84][\x80-\xbf])|([\xef][\x87][\x80-\xbf])|([\xef][\x86][\x80-\xbf])|([\xef][\x89][\x80-\xbf])|([\xef][\x88][\x80-\xbf])|([\xef][\x8b][\x80-\xbf])|([\xef][\x8a][\x80-\xbf])|([\xef][\x8d][\x80-\xbf])|([\xef][\x8c][\x80-\xbf])|([\xef][\x8f][\x80-\xbf])|([\xef][\x8e][\x80-\xbf])|([\xef][\x91][\x80-\xbf])|([\xef][\x90][\x80-\xbf])|([\xef][\x93][\x80-\xbf])|([\xef][\x92][\x80-\xbf])|([\xef][\x95][\x80-\xbf])|([\xef][\x94][\x80-\xbf])|([\xef][\x97][\x80-\xbf])|([\xef][\x96][\x80-\xbf])|([\xef][\x99][\x80-\xbf])|([\xef][\x98][\x80-\xbf])|([\xef][\x9b][\x80-\xbf])|([\xef][\x9a][\x80-\xbf])|([\xef][\x9d][\x80-\xbf])|([\xef][\x9c][\x80-\xbf])|([\xef][\x9f][\x80-\xbf])|([\xef][\x9e][\x80-\xbf])|([\xef][\xa1][\x80-\xbf])|([\xef][\xa0][\x80-\xbf])|([\xef][\xa3][\x80-\xbf])|([\xef][\xa2][\x80-\xbf])|([\xef][\xa9][\xae-\xaf])|([\xef][\xa8][\xae-\xaf])|([\xef][\xab][\x9a-\xbf])|([\xef][\xad][\x82\x85])|([\xef][\xac][\x87-\x92\x98-\x9c\xb7\xbd\xbf])|([\xef][\xaf][\x82-\x92])|([\xef][\xb5][\x80-\x8f])|([\xef][\xb7][\x88-\xaf\xbe-\xbf])|([\xef][\xb6][\x90-\x91])|([\xef][\xb9][\x93\xa7\xac-\xaf\xb5])|([\xef][\xb8][\x9a-\x9f\xa7-\xaf])|([\xef][\xbb][\xbd-\xbe])|([\xef][\xbc][\x80])|([\xef][\xbf][\x80-\x81\x88-\x89\x90-\x91\x98-\x99\x9d-\x9f\xa7\xaf-\xb8\xbe-\xbf])|([\xef][\xbe][\xbf])|([\xee][\x81][\x80-\xbf])|([\xee][\x80][\x80-\xbf])|([\xee][\x83][\x80-\xbf])|([\xee][\x82][\x80-\xbf])|([\xee][\x85][\x80-\xbf])|([\xee][\x84][\x80-\xbf])|([\xee][\x87][\x80-\xbf])|([\xee][\x86][\x80-\xbf])|([\xee][\x89][\x80-\xbf])|([\xee][\x88][\x80-\xbf])|([\xee][\x8b][\x80-\xbf])|([\xee][\x8a][\x80-\xbf])|([\xee][\x8d][\x80-\xbf])|([\xee][\x8c][\x80-\xbf])|([\xee][\x8f][\x80-\xbf])|([\xee][\x8e][\x80-\xbf])|([\xee][\x91][\x80-\xbf])|([\xee][\x90][\x80-\xbf])|([\xee][\x93][\x80-\xbf])|([\xee][\x92][\x80-\xbf])|([\xee][\x95][\x80-\xbf])|([\xee][\x94][\x80-\xbf])|([\xee][\x97][\x80-\xbf])|([\xee][\x96][\x80-\xbf])|([\xee][\x99][\x80-\xbf])|([\xee][\x98][\x80-\xbf])|([\xee][\x9b][\x80-\xbf])|([\xee][\x9a][\x80-\xbf])|([\xee][\x9d][\x80-\xbf])|([\xee][\x9c][\x80-\xbf])|([\xee][\x9f][\x80-\xbf])|([\xee][\x9e][\x80-\xbf])|([\xee][\xa1][\x80-\xbf])|([\xee][\xa0][\x80-\xbf])|([\xee][\xa3][\x80-\xbf])|([\xee][\xa2][\x80-\xbf])|([\xee][\xa5][\x80-\xbf])|([\xee][\xa4][\x80-\xbf])|([\xee][\xa7][\x80-\xbf])|([\xee][\xa6][\x80-\xbf])|([\xee][\xa9][\x80-\xbf])|([\xee][\xa8][\x80-\xbf])|([\xee][\xab][\x80-\xbf])|([\xee][\xaa][\x80-\xbf])|([\xee][\xad][\x80-\xbf])|([\xee][\xac][\x80-\xbf])|([\xee][\xaf][\x80-\xbf])|([\xee][\xae][\x80-\xbf])|([\xee][\xb1][\x80-\xbf])|([\xee][\xb0][\x80-\xbf])|([\xee][\xb3][\x80-\xbf])|([\xee][\xb2][\x80-\xbf])|([\xee][\xb5][\x80-\xbf])|([\xee][\xb4][\x80-\xbf])|([\xee][\xb7][\x80-\xbf])|([\xee][\xb6][\x80-\xbf])|([\xee][\xb9][\x80-\xbf])|([\xee][\xb8][\x80-\xbf])|([\xee][\xbb][\x80-\xbf])|([\xee][\xba][\x80-\xbf])|([\xee][\xbd][\x80-\xbf])|([\xee][\xbc][\x80-\xbf])|([\xee][\xbf][\x80-\xbf])|([\xee][\xbe][\x80-\xbf]);
Unknown = Unknown2|Unknown3;
Tai_Le3 = ([\xe1][\xa5][\x90-\xad\xb0-\xb4]);
Tai_Le = Tai_Le3;
Oriya3 = ([\xe0][\xad][\x80-\x84\x87-\x88\x8b-\x8d\x96-\x97\x9c-\x9d\x9f-\xa3\xa6-\xb7])|([\xe0][\xac][\x81-\x83\x85-\x8c\x8f-\x90\x93-\xa8\xaa-\xb0\xb2-\xb3\xb5-\xb9\xbc-\xbf]);
Oriya = Oriya3;
Hangul3 = ([\xe1][\x85][\x80-\xbf])|([\xe1][\x84][\x80-\xbf])|([\xe1][\x87][\x80-\xbf])|([\xe1][\x86][\x80-\xbf])|([\xe3][\x80][\xae-\xaf])|([\xe3][\x85][\x80-\xbf])|([\xe3][\x84][\xb1-\xbf])|([\xe3][\x86][\x80-\x8e])|([\xe3][\x89][\xa0-\xbe])|([\xe3][\x88][\x80-\x9e])|([\xeb][\x81][\x80-\xbf])|([\xeb][\x80][\x80-\xbf])|([\xeb][\x83][\x80-\xbf])|([\xeb][\x82][\x80-\xbf])|([\xeb][\x85][\x80-\xbf])|([\xeb][\x84][\x80-\xbf])|([\xeb][\x87][\x80-\xbf])|([\xeb][\x86][\x80-\xbf])|([\xeb][\x89][\x80-\xbf])|([\xeb][\x88][\x80-\xbf])|([\xeb][\x8b][\x80-\xbf])|([\xeb][\x8a][\x80-\xbf])|([\xeb][\x8d][\x80-\xbf])|([\xeb][\x8c][\x80-\xbf])|([\xeb][\x8f][\x80-\xbf])|([\xeb][\x8e][\x80-\xbf])|([\xeb][\x91][\x80-\xbf])|([\xeb][\x90][\x80-\xbf])|([\xeb][\x93][\x80-\xbf])|([\xeb][\x92][\x80-\xbf])|([\xeb][\x95][\x80-\xbf])|([\xeb][\x94][\x80-\xbf])|([\xeb][\x97][\x80-\xbf])|([\xeb][\x96][\x80-\xbf])|([\xeb][\x99][\x80-\xbf])|([\xeb][\x98][\x80-\xbf])|([\xeb][\x9b][\x80-\xbf])|([\xeb][\x9a][\x80-\xbf])|([\xeb][\x9d][\x80-\xbf])|([\xeb][\x9c][\x80-\xbf])|([\xeb][\x9f][\x80-\xbf])|([\xeb][\x9e][\x80-\xbf])|([\xeb][\xa1][\x80-\xbf])|([\xeb][\xa0][\x80-\xbf])|([\xeb][\xa3][\x80-\xbf])|([\xeb][\xa2][\x80-\xbf])|([\xeb][\xa5][\x80-\xbf])|([\xeb][\xa4][\x80-\xbf])|([\xeb][\xa7][\x80-\xbf])|([\xeb][\xa6][\x80-\xbf])|([\xeb][\xa9][\x80-\xbf])|([\xeb][\xa8][\x80-\xbf])|([\xeb][\xab][\x80-\xbf])|([\xeb][\xaa][\x80-\xbf])|([\xeb][\xad][\x80-\xbf])|([\xeb][\xac][\x80-\xbf])|([\xeb][\xaf][\x80-\xbf])|([\xeb][\xae][\x80-\xbf])|([\xeb][\xb1][\x80-\xbf])|([\xeb][\xb0][\x80-\xbf])|([\xeb][\xb3][\x80-\xbf])|([\xeb][\xb2][\x80-\xbf])|([\xeb][\xb5][\x80-\xbf])|([\xeb][\xb4][\x80-\xbf])|([\xeb][\xb7][\x80-\xbf])|([\xeb][\xb6][\x80-\xbf])|([\xeb][\xb9][\x80-\xbf])|([\xeb][\xb8][\x80-\xbf])|([\xeb][\xbb][\x80-\xbf])|([\xeb][\xba][\x80-\xbf])|([\xeb][\xbd][\x80-\xbf])|([\xeb][\xbc][\x80-\xbf])|([\xeb][\xbf][\x80-\xbf])|([\xeb][\xbe][\x80-\xbf])|([\xea][\xa5][\xa0-\xbc])|([\xea][\xb1][\x80-\xbf])|([\xea][\xb0][\x80-\xbf])|([\xea][\xb3][\x80-\xbf])|([\xea][\xb2][\x80-\xbf])|([\xea][\xb5][\x80-\xbf])|([\xea][\xb4][\x80-\xbf])|([\xea][\xb7][\x80-\xbf])|([\xea][\xb6][\x80-\xbf])|([\xea][\xb9][\x80-\xbf])|([\xea][\xb8][\x80-\xbf])|([\xea][\xbb][\x80-\xbf])|([\xea][\xba][\x80-\xbf])|([\xea][\xbd][\x80-\xbf])|([\xea][\xbc][\x80-\xbf])|([\xea][\xbf][\x80-\xbf])|([\xea][\xbe][\x80-\xbf])|([\xed][\x81][\x80-\xbf])|([\xed][\x80][\x80-\xbf])|([\xed][\x83][\x80-\xbf])|([\xed][\x82][\x80-\xbf])|([\xed][\x85][\x80-\xbf])|([\xed][\x84][\x80-\xbf])|([\xed][\x87][\x80-\xbf])|([\xed][\x86][\x80-\xbf])|([\xed][\x89][\x80-\xbf])|([\xed][\x88][\x80-\xbf])|([\xed][\x8b][\x80-\xbf])|([\xed][\x8a][\x80-\xbf])|([\xed][\x8d][\x80-\xbf])|([\xed][\x8c][\x80-\xbf])|([\xed][\x8f][\x80-\xbf])|([\xed][\x8e][\x80-\xbf])|([\xed][\x91][\x80-\xbf])|([\xed][\x90][\x80-\xbf])|([\xed][\x93][\x80-\xbf])|([\xed][\x92][\x80-\xbf])|([\xed][\x95][\x80-\xbf])|([\xed][\x94][\x80-\xbf])|([\xed][\x97][\x80-\xbf])|([\xed][\x96][\x80-\xbf])|([\xed][\x99][\x80-\xbf])|([\xed][\x98][\x80-\xbf])|([\xed][\x9b][\x80-\xbf])|([\xed][\x9a][\x80-\xbf])|([\xed][\x9d][\x80-\xbf])|([\xed][\x9c][\x80-\xbf])|([\xed][\x9f][\x80-\x86\x8b-\xbb])|([\xed][\x9e][\x80-\xa3\xb0-\xbf])|([\xec][\x81][\x80-\xbf])|([\xec][\x80][\x80-\xbf])|([\xec][\x83][\x80-\xbf])|([\xec][\x82][\x80-\xbf])|([\xec][\x85][\x80-\xbf])|([\xec][\x84][\x80-\xbf])|([\xec][\x87][\x80-\xbf])|([\xec][\x86][\x80-\xbf])|([\xec][\x89][\x80-\xbf])|([\xec][\x88][\x80-\xbf])|([\xec][\x8b][\x80-\xbf])|([\xec][\x8a][\x80-\xbf])|([\xec][\x8d][\x80-\xbf])|([\xec][\x8c][\x80-\xbf])|([\xec][\x8f][\x80-\xbf])|([\xec][\x8e][\x80-\xbf])|([\xec][\x91][\x80-\xbf])|([\xec][\x90][\x80-\xbf])|([\xec][\x93][\x80-\xbf])|([\xec][\x92][\x80-\xbf])|([\xec][\x95][\x80-\xbf])|([\xec][\x94][\x80-\xbf])|([\xec][\x97][\x80-\xbf])|([\xec][\x96][\x80-\xbf])|([\xec][\x99][\x80-\xbf])|([\xec][\x98][\x80-\xbf])|([\xec][\x9b][\x80-\xbf])|([\xec][\x9a][\x80-\xbf])|([\xec][\x9d][\x80-\xbf])|([\xec][\x9c][\x80-\xbf])|([\xec][\x9f][\x80-\xbf])|([\xec][\x9e][\x80-\xbf])|([\xec][\xa1][\x80-\xbf])|([\xec][\xa0][\x80-\xbf])|([\xec][\xa3][\x80-\xbf])|([\xec][\xa2][\x80-\xbf])|([\xec][\xa5][\x80-\xbf])|([\xec][\xa4][\x80-\xbf])|([\xec][\xa7][\x80-\xbf])|([\xec][\xa6][\x80-\xbf])|([\xec][\xa9][\x80-\xbf])|([\xec][\xa8][\x80-\xbf])|([\xec][\xab][\x80-\xbf])|([\xec][\xaa][\x80-\xbf])|([\xec][\xad][\x80-\xbf])|([\xec][\xac][\x80-\xbf])|([\xec][\xaf][\x80-\xbf])|([\xec][\xae][\x80-\xbf])|([\xec][\xb1][\x80-\xbf])|([\xec][\xb0][\x80-\xbf])|([\xec][\xb3][\x80-\xbf])|([\xec][\xb2][\x80-\xbf])|([\xec][\xb5][\x80-\xbf])|([\xec][\xb4][\x80-\xbf])|([\xec][\xb7][\x80-\xbf])|([\xec][\xb6][\x80-\xbf])|([\xec][\xb9][\x80-\xbf])|([\xec][\xb8][\x80-\xbf])|([\xec][\xbb][\x80-\xbf])|([\xec][\xba][\x80-\xbf])|([\xec][\xbd][\x80-\xbf])|([\xec][\xbc][\x80-\xbf])|([\xec][\xbf][\x80-\xbf])|([\xec][\xbe][\x80-\xbf])|([\xef][\xbf][\x82-\x87\x8a-\x8f\x92-\x97\x9a-\x9c])|([\xef][\xbe][\xa0-\xbe]);
Hangul = Hangul3;
Kayah_Li3 = ([\xea][\xa4][\x80-\xaf]);
Kayah_Li = Kayah_Li3;
Gujarati3 = ([\xe0][\xab][\x80-\x85\x87-\x89\x8b-\x8d\x90\xa0-\xa3\xa6-\xaf\xb1])|([\xe0][\xaa][\x81-\x83\x85-\x8d\x8f-\x91\x93-\xa8\xaa-\xb0\xb2-\xb3\xb5-\xb9\xbc-\xbf]);
Gujarati = Gujarati3;
Ethiopic3 = ([\xe1][\x89][\x80-\x88\x8a-\x8d\x90-\x96\x98\x9a-\x9d\xa0-\xbf])|([\xe1][\x88][\x80-\xbf])|([\xe1][\x8b][\x80\x82-\x85\x88-\x96\x98-\xbf])|([\xe1][\x8a][\x80-\x88\x8a-\x8d\x90-\xb0\xb2-\xb5\xb8-\xbe])|([\xe1][\x8d][\x80-\x9a\x9d-\xbc])|([\xe1][\x8c][\x80-\x90\x92-\x95\x98-\xbf])|([\xe1][\x8e][\x80-\x99])|([\xe2][\xb7][\x80-\x86\x88-\x8e\x90-\x96\x98-\x9e])|([\xe2][\xb6][\x80-\x96\xa0-\xa6\xa8-\xae\xb0-\xb6\xb8-\xbe])|([\xea][\xac][\x81-\x86\x89-\x8e\x91-\x96\xa0-\xa6\xa8-\xae]);
Ethiopic = Ethiopic3;
Buginese3 = ([\xe1][\xa8][\x80-\x9b\x9e-\x9f]);
Buginese = Buginese3;
Lepcha3 = ([\xe1][\xb1][\x80-\x89\x8d-\x8f])|([\xe1][\xb0][\x80-\xb7\xbb-\xbf]);
Lepcha = Lepcha3;
Inherited2 = ([\xd9][\x8b-\x95\x9f\xb0])|([\xd2][\x85-\x86])|([\xcd][\x80-\xaf])|([\xcc][\x80-\xbf]);
Inherited3 = ([\xe1][\xb3][\x90-\x92\x94-\xa0\xa2-\xa8\xad])|([\xe1][\xb7][\x80-\xa6\xbc-\xbf])|([\xe0][\xa5][\x91-\x92])|([\xe3][\x80][\xaa-\xad])|([\xe3][\x82][\x99-\x9a])|([\xe2][\x80][\x8c-\x8d])|([\xe2][\x83][\x90-\xb0])|([\xef][\xb8][\x80-\x8f\xa0-\xa6]);
Inherited = Inherited2|Inherited3;
Tai_Tham3 = ([\xe1][\xa9][\x80-\x9e\xa0-\xbc\xbf])|([\xe1][\xa8][\xa0-\xbf])|([\xe1][\xaa][\x80-\x89\x90-\x99\xa0-\xad]);
Tai_Tham = Tai_Tham3;
Cham3 = ([\xea][\xa9][\x80-\x8d\x90-\x99\x9c-\x9f])|([\xea][\xa8][\x80-\xb6]);
Cham = Cham3;
Yi3 = ([\xea][\x81][\x80-\xbf])|([\xea][\x80][\x80-\xbf])|([\xea][\x83][\x80-\xbf])|([\xea][\x82][\x80-\xbf])|([\xea][\x85][\x80-\xbf])|([\xea][\x84][\x80-\xbf])|([\xea][\x87][\x80-\xbf])|([\xea][\x86][\x80-\xbf])|([\xea][\x89][\x80-\xbf])|([\xea][\x88][\x80-\xbf])|([\xea][\x8b][\x80-\xbf])|([\xea][\x8a][\x80-\xbf])|([\xea][\x8d][\x80-\xbf])|([\xea][\x8c][\x80-\xbf])|([\xea][\x8f][\x80-\xbf])|([\xea][\x8e][\x80-\xbf])|([\xea][\x91][\x80-\xbf])|([\xea][\x90][\x80-\xbf])|([\xea][\x93][\x80-\x86])|([\xea][\x92][\x80-\x8c\x90-\xbf]);
Yi = Yi3;
Balinese3 = ([\xe1][\xad][\x80-\x8b\x90-\xbc])|([\xe1][\xac][\x80-\xbf]);
Balinese = Balinese3;
Khmer3 = ([\xe1][\xa7][\xa0-\xbf])|([\xe1][\x9f][\x80-\x9d\xa0-\xa9\xb0-\xb9])|([\xe1][\x9e][\x80-\xbf]);
Khmer = Khmer3;
Latin1 = [\x41-\x5a\x61-\x7a];
Latin2 = ([\xc3][\x80-\x96\x98-\xb6\xb8-\xbf])|([\xc2][\xaa\xba])|([\xc5][\x80-\xbf])|([\xc4][\x80-\xbf])|([\xc7][\x80-\xbf])|([\xc6][\x80-\xbf])|([\xc9][\x80-\xbf])|([\xc8][\x80-\xbf])|([\xcb][\xa0-\xa4])|([\xca][\x80-\xb8]);
Latin3 = ([\xe1][\xb5][\x80-\x9c\xa2-\xa5\xab-\xb7\xb9-\xbf])|([\xe1][\xb4][\x80-\xa5\xac-\xbf])|([\xe1][\xb6][\x80-\xbe])|([\xe1][\xb9][\x80-\xbf])|([\xe1][\xb8][\x80-\xbf])|([\xe1][\xbb][\x80-\xbf])|([\xe1][\xba][\x80-\xbf])|([\xe2][\x81][\xb1\xbf])|([\xe2][\x82][\x90-\x9c])|([\xe2][\x85][\x8e\xa0-\xbf])|([\xe2][\x84][\xaa-\xab\xb2])|([\xe2][\x86][\x80-\x88])|([\xe2][\xb1][\xa0-\xbf])|([\xef][\xbd][\x81-\x9a])|([\xef][\xac][\x80-\x86])|([\xef][\xbc][\xa1-\xba])|([\xea][\x9d][\x80-\xbf])|([\xea][\x9c][\xa2-\xbf])|([\xea][\x9f][\xba-\xbf])|([\xea][\x9e][\x80-\x87\x8b-\x8e\x90-\x91\xa0-\xa9]);
Latin = Latin1|Latin2|Latin3;
Saurashtra3 = ([\xea][\xa3][\x80-\x84\x8e-\x99])|([\xea][\xa2][\x80-\xbf]);
Saurashtra = Saurashtra3;
Hanunoo3 = ([\xe1][\x9c][\xa0-\xb4]);
Hanunoo = Hanunoo3;
Mandaic3 = ([\xe0][\xa1][\x80-\x9b\x9e]);
Mandaic = Mandaic3;
Syloti_Nagri3 = ([\xea][\xa0][\x80-\xab]);
Syloti_Nagri = Syloti_Nagri3;
Nko2 = ([\xdf][\x80-\xba]);
Nko = Nko2;
Cherokee3 = ([\xe1][\x8f][\x80-\xb4])|([\xe1][\x8e][\xa0-\xbf]);
Cherokee = Cherokee3;
Tai_Viet3 = ([\xea][\xab][\x80-\x82\x9b-\x9f])|([\xea][\xaa][\x80-\xbf]);
Tai_Viet = Tai_Viet3;
Armenian2 = ([\xd5][\x80-\x96\x99-\x9f\xa1-\xbf])|([\xd4][\xb1-\xbf])|([\xd6][\x80-\x87\x8a]);
Armenian3 = ([\xef][\xac][\x93-\x97]);
Armenian = Armenian2|Armenian3;
Hiragana3 = ([\xe3][\x81][\x81-\xbf])|([\xe3][\x82][\x80-\x96\x9d-\x9f]);
Hiragana = Hiragana3;
Georgian3 = ([\xe1][\x83][\x80-\x85\x90-\xba\xbc])|([\xe1][\x82][\xa0-\xbf])|([\xe2][\xb4][\x80-\xa5]);
Georgian = Georgian3;
Devanagari3 = ([\xe0][\xa5][\x80-\x90\x93-\xa3\xa6-\xaf\xb1-\xb7\xb9-\xbf])|([\xe0][\xa4][\x80-\xbf])|([\xea][\xa3][\xa0-\xbb]);
Devanagari = Devanagari3;
Thai3 = ([\xe0][\xb9][\x80-\x9b])|([\xe0][\xb8][\x81-\xba]);
Thai = Thai3;
Tamil3 = ([\xe0][\xaf][\x80-\x82\x86-\x88\x8a-\x8d\x90\x97\xa6-\xba])|([\xe0][\xae][\x82-\x83\x85-\x8a\x8e-\x90\x92-\x95\x99-\x9a\x9c\x9e-\x9f\xa3-\xa4\xa8-\xaa\xae-\xb9\xbe-\xbf]);
Tamil = Tamil3;
Bengali3 = ([\xe0][\xa7][\x80-\x84\x87-\x88\x8b-\x8e\x97\x9c-\x9d\x9f-\xa3\xa6-\xbb])|([\xe0][\xa6][\x81-\x83\x85-\x8c\x8f-\x90\x93-\xa8\xaa-\xb0\xb2\xb6-\xb9\xbc-\xbf]);
Bengali = Bengali3;
Tifinagh3 = ([\xe2][\xb5][\x80-\xa5\xaf-\xb0\xbf])|([\xe2][\xb4][\xb0-\xbf]);
Tifinagh = Tifinagh3;
Glagolitic3 = ([\xe2][\xb1][\x80-\x9e])|([\xe2][\xb0][\x80-\xae\xb0-\xbf]);
Glagolitic = Glagolitic3;
Batak3 = ([\xe1][\xaf][\x80-\xb3\xbc-\xbf]);
Batak = Batak3;
Sundanese3 = ([\xe1][\xae][\x80-\xaa\xae-\xb9]);
Sundanese = Sundanese3;
Samaritan3 = ([\xe0][\xa0][\x80-\xad\xb0-\xbe]);
Samaritan = Samaritan3;
Braille3 = ([\xe2][\xa1][\x80-\xbf])|([\xe2][\xa0][\x80-\xbf])|([\xe2][\xa3][\x80-\xbf])|([\xe2][\xa2][\x80-\xbf]);
Braille = Braille3;
Lisu3 = ([\xea][\x93][\x90-\xbf]);
Lisu = Lisu3;
Buhid3 = ([\xe1][\x9d][\x80-\x93]);
Buhid = Buhid3;
Greek2 = ([\xcd][\xb0-\xb3\xb5-\xb7\xba-\xbd])|([\xcf][\x80-\xa1\xb0-\xbf])|([\xce][\x84\x86\x88-\x8a\x8c\x8e-\xa1\xa3-\xbf]);
Greek3 = ([\xe1][\xb5][\x9d-\xa1\xa6-\xaa])|([\xe1][\xb4][\xa6-\xaa])|([\xe1][\xb6][\xbf])|([\xe1][\xbd][\x80-\x85\x88-\x8d\x90-\x97\x99\x9b\x9d\x9f-\xbd])|([\xe1][\xbc][\x80-\x95\x98-\x9d\xa0-\xbf])|([\xe1][\xbf][\x80-\x84\x86-\x93\x96-\x9b\x9d-\xaf\xb2-\xb4\xb6-\xbe])|([\xe1][\xbe][\x80-\xb4\xb6-\xbf])|([\xe2][\x84][\xa6]);
Greek = Greek2|Greek3;
Lao3 = ([\xe0][\xbb][\x80-\x84\x86\x88-\x8d\x90-\x99\x9c-\x9d])|([\xe0][\xba][\x81-\x82\x84\x87-\x88\x8a\x8d\x94-\x97\x99-\x9f\xa1-\xa3\xa5\xa7\xaa-\xab\xad-\xb9\xbb-\xbd]);
Lao = Lao3;
Common1 = [\x02-\x40\x5b-\x60\x7b-\x7f];
Common2 = ([\xc3][\x97\xb7])|([\xc2][\x80-\xa9\xab-\xb9\xbb-\xbf])|([\xcb][\x80-\x9f\xa5-\xa9\xac-\xbf])|([\xca][\xb9-\xbf])|([\xcd][\xb4\xbe])|([\xce][\x85\x87])|([\xd6][\x89])|([\xd9][\x80\xa0-\xa9])|([\xd8][\x8c\x9b\x9f])|([\xdb][\x9d]);
Common3 = ([\xe1][\xa0][\x82-\x83\x85])|([\xe1][\x83][\xbb])|([\xe1][\xb3][\x93\xa1\xa9-\xac\xae-\xb2])|([\xe1][\x9b][\xab-\xad])|([\xe1][\x9c][\xb5-\xb6])|([\xe0][\xb8][\xbf])|([\xe0][\xa5][\xa4-\xa5\xb0])|([\xe0][\xbf][\x95-\x98])|([\xe3][\x80][\x80-\x84\x86\x88-\xa0\xb0-\xb7\xbc-\xbf])|([\xe3][\x83][\xbb-\xbc])|([\xe3][\x82][\x9b-\x9c\xa0])|([\xe3][\x87][\x80-\xa3])|([\xe3][\x86][\x90-\x9f])|([\xe3][\x89][\x80-\x9f\xbf])|([\xe3][\x88][\xa0-\xbf])|([\xe3][\x8b][\x80-\x8f])|([\xe3][\x8a][\x80-\xbf])|([\xe3][\x8d][\x98-\xbf])|([\xe3][\x8f][\x80-\xbf])|([\xe3][\x8e][\x80-\xbf])|([\xe2][\x81][\x80-\xa4\xaa-\xb0\xb4-\xbe])|([\xe2][\x80][\x80-\x8b\x8e-\xbf])|([\xe2][\x82][\x80-\x8e\xa0-\xb9])|([\xe2][\x85][\x80-\x8d\x8f-\x9f])|([\xe2][\x84][\x80-\xa5\xa7-\xa9\xac-\xb1\xb3-\xbf])|([\xe2][\x87][\x80-\xbf])|([\xe2][\x86][\x89\x90-\xbf])|([\xe2][\x89][\x80-\xbf])|([\xe2][\x88][\x80-\xbf])|([\xe2][\x8b][\x80-\xbf])|([\xe2][\x8a][\x80-\xbf])|([\xe2][\x8d][\x80-\xbf])|([\xe2][\x8c][\x80-\xbf])|([\xe2][\x8f][\x80-\xb3])|([\xe2][\x8e][\x80-\xbf])|([\xe2][\x91][\x80-\x8a\xa0-\xbf])|([\xe2][\x90][\x80-\xa6])|([\xe2][\x93][\x80-\xbf])|([\xe2][\x92][\x80-\xbf])|([\xe2][\x95][\x80-\xbf])|([\xe2][\x94][\x80-\xbf])|([\xe2][\x97][\x80-\xbf])|([\xe2][\x96][\x80-\xbf])|([\xe2][\x99][\x80-\xbf])|([\xe2][\x98][\x80-\xbf])|([\xe2][\x9b][\x80-\xbf])|([\xe2][\x9a][\x80-\xbf])|([\xe2][\x9d][\x80-\xbf])|([\xe2][\x9c][\x81-\xbf])|([\xe2][\x9f][\x80-\x8a\x8c\x8e-\xbf])|([\xe2][\x9e][\x80-\xbf])|([\xe2][\xa5][\x80-\xbf])|([\xe2][\xa4][\x80-\xbf])|([\xe2][\xa7][\x80-\xbf])|([\xe2][\xa6][\x80-\xbf])|([\xe2][\xa9][\x80-\xbf])|([\xe2][\xa8][\x80-\xbf])|([\xe2][\xab][\x80-\xbf])|([\xe2][\xaa][\x80-\xbf])|([\xe2][\xad][\x80-\x8c\x90-\x99])|([\xe2][\xac][\x80-\xbf])|([\xe2][\xb8][\x80-\xb1])|([\xe2][\xbf][\xb0-\xbb])|([\xe4][\xb7][\x80-\xbf])|([\xea][\xa0][\xb0-\xb9])|([\xea][\x9c][\x80-\xa1])|([\xea][\x9e][\x88-\x8a])|([\xef][\xb4][\xbe-\xbf])|([\xef][\xb7][\xbd])|([\xef][\xb9][\x80-\x92\x94-\xa6\xa8-\xab])|([\xef][\xb8][\x90-\x99\xb0-\xbf])|([\xef][\xbb][\xbf])|([\xef][\xbd][\x80\x9b-\xa5\xb0])|([\xef][\xbc][\x81-\xa0\xbb-\xbf])|([\xef][\xbf][\xa0-\xa6\xa8-\xae\xb9-\xbd])|([\xef][\xbe][\x9e-\x9f]);
Common = Common1|Common2|Common3;
Gurmukhi3 = ([\xe0][\xa9][\x80-\x82\x87-\x88\x8b-\x8d\x91\x99-\x9c\x9e\xa6-\xb5])|([\xe0][\xa8][\x81-\x83\x85-\x8a\x8f-\x90\x93-\xa8\xaa-\xb0\xb2-\xb3\xb5-\xb6\xb8-\xb9\xbc\xbe-\xbf]);
Gurmukhi = Gurmukhi3;
Javanese3 = ([\xea][\xa7][\x80-\x8d\x8f-\x99\x9e-\x9f])|([\xea][\xa6][\x80-\xbf]);
Javanese = Javanese3;
Coptic2 = ([\xcf][\xa2-\xaf]);
Coptic3 = ([\xe2][\xb3][\x80-\xb1\xb9-\xbf])|([\xe2][\xb2][\x80-\xbf]);
Coptic = Coptic2|Coptic3;
Han3 = ([\xe3][\x80][\x85\x87\xa1-\xa9\xb8-\xbb])|([\xe3][\x91][\x80-\xbf])|([\xe3][\x90][\x80-\xbf])|([\xe3][\x93][\x80-\xbf])|([\xe3][\x92][\x80-\xbf])|([\xe3][\x95][\x80-\xbf])|([\xe3][\x94][\x80-\xbf])|([\xe3][\x97][\x80-\xbf])|([\xe3][\x96][\x80-\xbf])|([\xe3][\x99][\x80-\xbf])|([\xe3][\x98][\x80-\xbf])|([\xe3][\x9b][\x80-\xbf])|([\xe3][\x9a][\x80-\xbf])|([\xe3][\x9d][\x80-\xbf])|([\xe3][\x9c][\x80-\xbf])|([\xe3][\x9f][\x80-\xbf])|([\xe3][\x9e][\x80-\xbf])|([\xe3][\xa1][\x80-\xbf])|([\xe3][\xa0][\x80-\xbf])|([\xe3][\xa3][\x80-\xbf])|([\xe3][\xa2][\x80-\xbf])|([\xe3][\xa5][\x80-\xbf])|([\xe3][\xa4][\x80-\xbf])|([\xe3][\xa7][\x80-\xbf])|([\xe3][\xa6][\x80-\xbf])|([\xe3][\xa9][\x80-\xbf])|([\xe3][\xa8][\x80-\xbf])|([\xe3][\xab][\x80-\xbf])|([\xe3][\xaa][\x80-\xbf])|([\xe3][\xad][\x80-\xbf])|([\xe3][\xac][\x80-\xbf])|([\xe3][\xaf][\x80-\xbf])|([\xe3][\xae][\x80-\xbf])|([\xe3][\xb1][\x80-\xbf])|([\xe3][\xb0][\x80-\xbf])|([\xe3][\xb3][\x80-\xbf])|([\xe3][\xb2][\x80-\xbf])|([\xe3][\xb5][\x80-\xbf])|([\xe3][\xb4][\x80-\xbf])|([\xe3][\xb7][\x80-\xbf])|([\xe3][\xb6][\x80-\xbf])|([\xe3][\xb9][\x80-\xbf])|([\xe3][\xb8][\x80-\xbf])|([\xe3][\xbb][\x80-\xbf])|([\xe3][\xba][\x80-\xbf])|([\xe3][\xbd][\x80-\xbf])|([\xe3][\xbc][\x80-\xbf])|([\xe3][\xbf][\x80-\xbf])|([\xe3][\xbe][\x80-\xbf])|([\xe2][\xbb][\x80-\xb3])|([\xe2][\xba][\x80-\x99\x9b-\xbf])|([\xe2][\xbd][\x80-\xbf])|([\xe2][\xbc][\x80-\xbf])|([\xe2][\xbf][\x80-\x95])|([\xe2][\xbe][\x80-\xbf])|([\xe5][\x81][\x80-\xbf])|([\xe5][\x80][\x80-\xbf])|([\xe5][\x83][\x80-\xbf])|([\xe5][\x82][\x80-\xbf])|([\xe5][\x85][\x80-\xbf])|([\xe5][\x84][\x80-\xbf])|([\xe5][\x87][\x80-\xbf])|([\xe5][\x86][\x80-\xbf])|([\xe5][\x89][\x80-\xbf])|([\xe5][\x88][\x80-\xbf])|([\xe5][\x8b][\x80-\xbf])|([\xe5][\x8a][\x80-\xbf])|([\xe5][\x8d][\x80-\xbf])|([\xe5][\x8c][\x80-\xbf])|([\xe5][\x8f][\x80-\xbf])|([\xe5][\x8e][\x80-\xbf])|([\xe5][\x91][\x80-\xbf])|([\xe5][\x90][\x80-\xbf])|([\xe5][\x93][\x80-\xbf])|([\xe5][\x92][\x80-\xbf])|([\xe5][\x95][\x80-\xbf])|([\xe5][\x94][\x80-\xbf])|([\xe5][\x97][\x80-\xbf])|([\xe5][\x96][\x80-\xbf])|([\xe5][\x99][\x80-\xbf])|([\xe5][\x98][\x80-\xbf])|([\xe5][\x9b][\x80-\xbf])|([\xe5][\x9a][\x80-\xbf])|([\xe5][\x9d][\x80-\xbf])|([\xe5][\x9c][\x80-\xbf])|([\xe5][\x9f][\x80-\xbf])|([\xe5][\x9e][\x80-\xbf])|([\xe5][\xa1][\x80-\xbf])|([\xe5][\xa0][\x80-\xbf])|([\xe5][\xa3][\x80-\xbf])|([\xe5][\xa2][\x80-\xbf])|([\xe5][\xa5][\x80-\xbf])|([\xe5][\xa4][\x80-\xbf])|([\xe5][\xa7][\x80-\xbf])|([\xe5][\xa6][\x80-\xbf])|([\xe5][\xa9][\x80-\xbf])|([\xe5][\xa8][\x80-\xbf])|([\xe5][\xab][\x80-\xbf])|([\xe5][\xaa][\x80-\xbf])|([\xe5][\xad][\x80-\xbf])|([\xe5][\xac][\x80-\xbf])|([\xe5][\xaf][\x80-\xbf])|([\xe5][\xae][\x80-\xbf])|([\xe5][\xb1][\x80-\xbf])|([\xe5][\xb0][\x80-\xbf])|([\xe5][\xb3][\x80-\xbf])|([\xe5][\xb2][\x80-\xbf])|([\xe5][\xb5][\x80-\xbf])|([\xe5][\xb4][\x80-\xbf])|([\xe5][\xb7][\x80-\xbf])|([\xe5][\xb6][\x80-\xbf])|([\xe5][\xb9][\x80-\xbf])|([\xe5][\xb8][\x80-\xbf])|([\xe5][\xbb][\x80-\xbf])|([\xe5][\xba][\x80-\xbf])|([\xe5][\xbd][\x80-\xbf])|([\xe5][\xbc][\x80-\xbf])|([\xe5][\xbf][\x80-\xbf])|([\xe5][\xbe][\x80-\xbf])|([\xe4][\x81][\x80-\xbf])|([\xe4][\x80][\x80-\xbf])|([\xe4][\x83][\x80-\xbf])|([\xe4][\x82][\x80-\xbf])|([\xe4][\x85][\x80-\xbf])|([\xe4][\x84][\x80-\xbf])|([\xe4][\x87][\x80-\xbf])|([\xe4][\x86][\x80-\xbf])|([\xe4][\x89][\x80-\xbf])|([\xe4][\x88][\x80-\xbf])|([\xe4][\x8b][\x80-\xbf])|([\xe4][\x8a][\x80-\xbf])|([\xe4][\x8d][\x80-\xbf])|([\xe4][\x8c][\x80-\xbf])|([\xe4][\x8f][\x80-\xbf])|([\xe4][\x8e][\x80-\xbf])|([\xe4][\x91][\x80-\xbf])|([\xe4][\x90][\x80-\xbf])|([\xe4][\x93][\x80-\xbf])|([\xe4][\x92][\x80-\xbf])|([\xe4][\x95][\x80-\xbf])|([\xe4][\x94][\x80-\xbf])|([\xe4][\x97][\x80-\xbf])|([\xe4][\x96][\x80-\xbf])|([\xe4][\x99][\x80-\xbf])|([\xe4][\x98][\x80-\xbf])|([\xe4][\x9b][\x80-\xbf])|([\xe4][\x9a][\x80-\xbf])|([\xe4][\x9d][\x80-\xbf])|([\xe4][\x9c][\x80-\xbf])|([\xe4][\x9f][\x80-\xbf])|([\xe4][\x9e][\x80-\xbf])|([\xe4][\xa1][\x80-\xbf])|([\xe4][\xa0][\x80-\xbf])|([\xe4][\xa3][\x80-\xbf])|([\xe4][\xa2][\x80-\xbf])|([\xe4][\xa5][\x80-\xbf])|([\xe4][\xa4][\x80-\xbf])|([\xe4][\xa7][\x80-\xbf])|([\xe4][\xa6][\x80-\xbf])|([\xe4][\xa9][\x80-\xbf])|([\xe4][\xa8][\x80-\xbf])|([\xe4][\xab][\x80-\xbf])|([\xe4][\xaa][\x80-\xbf])|([\xe4][\xad][\x80-\xbf])|([\xe4][\xac][\x80-\xbf])|([\xe4][\xaf][\x80-\xbf])|([\xe4][\xae][\x80-\xbf])|([\xe4][\xb1][\x80-\xbf])|([\xe4][\xb0][\x80-\xbf])|([\xe4][\xb3][\x80-\xbf])|([\xe4][\xb2][\x80-\xbf])|([\xe4][\xb5][\x80-\xbf])|([\xe4][\xb4][\x80-\xbf])|([\xe4][\xb6][\x80-\xb5])|([\xe4][\xb9][\x80-\xbf])|([\xe4][\xb8][\x80-\xbf])|([\xe4][\xbb][\x80-\xbf])|([\xe4][\xba][\x80-\xbf])|([\xe4][\xbd][\x80-\xbf])|([\xe4][\xbc][\x80-\xbf])|([\xe4][\xbf][\x80-\xbf])|([\xe4][\xbe][\x80-\xbf])|([\xe7][\x81][\x80-\xbf])|([\xe7][\x80][\x80-\xbf])|([\xe7][\x83][\x80-\xbf])|([\xe7][\x82][\x80-\xbf])|([\xe7][\x85][\x80-\xbf])|([\xe7][\x84][\x80-\xbf])|([\xe7][\x87][\x80-\xbf])|([\xe7][\x86][\x80-\xbf])|([\xe7][\x89][\x80-\xbf])|([\xe7][\x88][\x80-\xbf])|([\xe7][\x8b][\x80-\xbf])|([\xe7][\x8a][\x80-\xbf])|([\xe7][\x8d][\x80-\xbf])|([\xe7][\x8c][\x80-\xbf])|([\xe7][\x8f][\x80-\xbf])|([\xe7][\x8e][\x80-\xbf])|([\xe7][\x91][\x80-\xbf])|([\xe7][\x90][\x80-\xbf])|([\xe7][\x93][\x80-\xbf])|([\xe7][\x92][\x80-\xbf])|([\xe7][\x95][\x80-\xbf])|([\xe7][\x94][\x80-\xbf])|([\xe7][\x97][\x80-\xbf])|([\xe7][\x96][\x80-\xbf])|([\xe7][\x99][\x80-\xbf])|([\xe7][\x98][\x80-\xbf])|([\xe7][\x9b][\x80-\xbf])|([\xe7][\x9a][\x80-\xbf])|([\xe7][\x9d][\x80-\xbf])|([\xe7][\x9c][\x80-\xbf])|([\xe7][\x9f][\x80-\xbf])|([\xe7][\x9e][\x80-\xbf])|([\xe7][\xa1][\x80-\xbf])|([\xe7][\xa0][\x80-\xbf])|([\xe7][\xa3][\x80-\xbf])|([\xe7][\xa2][\x80-\xbf])|([\xe7][\xa5][\x80-\xbf])|([\xe7][\xa4][\x80-\xbf])|([\xe7][\xa7][\x80-\xbf])|([\xe7][\xa6][\x80-\xbf])|([\xe7][\xa9][\x80-\xbf])|([\xe7][\xa8][\x80-\xbf])|([\xe7][\xab][\x80-\xbf])|([\xe7][\xaa][\x80-\xbf])|([\xe7][\xad][\x80-\xbf])|([\xe7][\xac][\x80-\xbf])|([\xe7][\xaf][\x80-\xbf])|([\xe7][\xae][\x80-\xbf])|([\xe7][\xb1][\x80-\xbf])|([\xe7][\xb0][\x80-\xbf])|([\xe7][\xb3][\x80-\xbf])|([\xe7][\xb2][\x80-\xbf])|([\xe7][\xb5][\x80-\xbf])|([\xe7][\xb4][\x80-\xbf])|([\xe7][\xb7][\x80-\xbf])|([\xe7][\xb6][\x80-\xbf])|([\xe7][\xb9][\x80-\xbf])|([\xe7][\xb8][\x80-\xbf])|([\xe7][\xbb][\x80-\xbf])|([\xe7][\xba][\x80-\xbf])|([\xe7][\xbd][\x80-\xbf])|([\xe7][\xbc][\x80-\xbf])|([\xe7][\xbf][\x80-\xbf])|([\xe7][\xbe][\x80-\xbf])|([\xe6][\x81][\x80-\xbf])|([\xe6][\x80][\x80-\xbf])|([\xe6][\x83][\x80-\xbf])|([\xe6][\x82][\x80-\xbf])|([\xe6][\x85][\x80-\xbf])|([\xe6][\x84][\x80-\xbf])|([\xe6][\x87][\x80-\xbf])|([\xe6][\x86][\x80-\xbf])|([\xe6][\x89][\x80-\xbf])|([\xe6][\x88][\x80-\xbf])|([\xe6][\x8b][\x80-\xbf])|([\xe6][\x8a][\x80-\xbf])|([\xe6][\x8d][\x80-\xbf])|([\xe6][\x8c][\x80-\xbf])|([\xe6][\x8f][\x80-\xbf])|([\xe6][\x8e][\x80-\xbf])|([\xe6][\x91][\x80-\xbf])|([\xe6][\x90][\x80-\xbf])|([\xe6][\x93][\x80-\xbf])|([\xe6][\x92][\x80-\xbf])|([\xe6][\x95][\x80-\xbf])|([\xe6][\x94][\x80-\xbf])|([\xe6][\x97][\x80-\xbf])|([\xe6][\x96][\x80-\xbf])|([\xe6][\x99][\x80-\xbf])|([\xe6][\x98][\x80-\xbf])|([\xe6][\x9b][\x80-\xbf])|([\xe6][\x9a][\x80-\xbf])|([\xe6][\x9d][\x80-\xbf])|([\xe6][\x9c][\x80-\xbf])|([\xe6][\x9f][\x80-\xbf])|([\xe6][\x9e][\x80-\xbf])|([\xe6][\xa1][\x80-\xbf])|([\xe6][\xa0][\x80-\xbf])|([\xe6][\xa3][\x80-\xbf])|([\xe6][\xa2][\x80-\xbf])|([\xe6][\xa5][\x80-\xbf])|([\xe6][\xa4][\x80-\xbf])|([\xe6][\xa7][\x80-\xbf])|([\xe6][\xa6][\x80-\xbf])|([\xe6][\xa9][\x80-\xbf])|([\xe6][\xa8][\x80-\xbf])|([\xe6][\xab][\x80-\xbf])|([\xe6][\xaa][\x80-\xbf])|([\xe6][\xad][\x80-\xbf])|([\xe6][\xac][\x80-\xbf])|([\xe6][\xaf][\x80-\xbf])|([\xe6][\xae][\x80-\xbf])|([\xe6][\xb1][\x80-\xbf])|([\xe6][\xb0][\x80-\xbf])|([\xe6][\xb3][\x80-\xbf])|([\xe6][\xb2][\x80-\xbf])|([\xe6][\xb5][\x80-\xbf])|([\xe6][\xb4][\x80-\xbf])|([\xe6][\xb7][\x80-\xbf])|([\xe6][\xb6][\x80-\xbf])|([\xe6][\xb9][\x80-\xbf])|([\xe6][\xb8][\x80-\xbf])|([\xe6][\xbb][\x80-\xbf])|([\xe6][\xba][\x80-\xbf])|([\xe6][\xbd][\x80-\xbf])|([\xe6][\xbc][\x80-\xbf])|([\xe6][\xbf][\x80-\xbf])|([\xe6][\xbe][\x80-\xbf])|([\xe9][\x81][\x80-\xbf])|([\xe9][\x80][\x80-\xbf])|([\xe9][\x83][\x80-\xbf])|([\xe9][\x82][\x80-\xbf])|([\xe9][\x85][\x80-\xbf])|([\xe9][\x84][\x80-\xbf])|([\xe9][\x87][\x80-\xbf])|([\xe9][\x86][\x80-\xbf])|([\xe9][\x89][\x80-\xbf])|([\xe9][\x88][\x80-\xbf])|([\xe9][\x8b][\x80-\xbf])|([\xe9][\x8a][\x80-\xbf])|([\xe9][\x8d][\x80-\xbf])|([\xe9][\x8c][\x80-\xbf])|([\xe9][\x8f][\x80-\xbf])|([\xe9][\x8e][\x80-\xbf])|([\xe9][\x91][\x80-\xbf])|([\xe9][\x90][\x80-\xbf])|([\xe9][\x93][\x80-\xbf])|([\xe9][\x92][\x80-\xbf])|([\xe9][\x95][\x80-\xbf])|([\xe9][\x94][\x80-\xbf])|([\xe9][\x97][\x80-\xbf])|([\xe9][\x96][\x80-\xbf])|([\xe9][\x99][\x80-\xbf])|([\xe9][\x98][\x80-\xbf])|([\xe9][\x9b][\x80-\xbf])|([\xe9][\x9a][\x80-\xbf])|([\xe9][\x9d][\x80-\xbf])|([\xe9][\x9c][\x80-\xbf])|([\xe9][\x9f][\x80-\xbf])|([\xe9][\x9e][\x80-\xbf])|([\xe9][\xa1][\x80-\xbf])|([\xe9][\xa0][\x80-\xbf])|([\xe9][\xa3][\x80-\xbf])|([\xe9][\xa2][\x80-\xbf])|([\xe9][\xa5][\x80-\xbf])|([\xe9][\xa4][\x80-\xbf])|([\xe9][\xa7][\x80-\xbf])|([\xe9][\xa6][\x80-\xbf])|([\xe9][\xa9][\x80-\xbf])|([\xe9][\xa8][\x80-\xbf])|([\xe9][\xab][\x80-\xbf])|([\xe9][\xaa][\x80-\xbf])|([\xe9][\xad][\x80-\xbf])|([\xe9][\xac][\x80-\xbf])|([\xe9][\xaf][\x80-\xbf])|([\xe9][\xae][\x80-\xbf])|([\xe9][\xb1][\x80-\xbf])|([\xe9][\xb0][\x80-\xbf])|([\xe9][\xb3][\x80-\xbf])|([\xe9][\xb2][\x80-\xbf])|([\xe9][\xb5][\x80-\xbf])|([\xe9][\xb4][\x80-\xbf])|([\xe9][\xb7][\x80-\xbf])|([\xe9][\xb6][\x80-\xbf])|([\xe9][\xb9][\x80-\xbf])|([\xe9][\xb8][\x80-\xbf])|([\xe9][\xbb][\x80-\xbf])|([\xe9][\xba][\x80-\xbf])|([\xe9][\xbd][\x80-\xbf])|([\xe9][\xbc][\x80-\xbf])|([\xe9][\xbf][\x80-\x8b])|([\xe9][\xbe][\x80-\xbf])|([\xe8][\x81][\x80-\xbf])|([\xe8][\x80][\x80-\xbf])|([\xe8][\x83][\x80-\xbf])|([\xe8][\x82][\x80-\xbf])|([\xe8][\x85][\x80-\xbf])|([\xe8][\x84][\x80-\xbf])|([\xe8][\x87][\x80-\xbf])|([\xe8][\x86][\x80-\xbf])|([\xe8][\x89][\x80-\xbf])|([\xe8][\x88][\x80-\xbf])|([\xe8][\x8b][\x80-\xbf])|([\xe8][\x8a][\x80-\xbf])|([\xe8][\x8d][\x80-\xbf])|([\xe8][\x8c][\x80-\xbf])|([\xe8][\x8f][\x80-\xbf])|([\xe8][\x8e][\x80-\xbf])|([\xe8][\x91][\x80-\xbf])|([\xe8][\x90][\x80-\xbf])|([\xe8][\x93][\x80-\xbf])|([\xe8][\x92][\x80-\xbf])|([\xe8][\x95][\x80-\xbf])|([\xe8][\x94][\x80-\xbf])|([\xe8][\x97][\x80-\xbf])|([\xe8][\x96][\x80-\xbf])|([\xe8][\x99][\x80-\xbf])|([\xe8][\x98][\x80-\xbf])|([\xe8][\x9b][\x80-\xbf])|([\xe8][\x9a][\x80-\xbf])|([\xe8][\x9d][\x80-\xbf])|([\xe8][\x9c][\x80-\xbf])|([\xe8][\x9f][\x80-\xbf])|([\xe8][\x9e][\x80-\xbf])|([\xe8][\xa1][\x80-\xbf])|([\xe8][\xa0][\x80-\xbf])|([\xe8][\xa3][\x80-\xbf])|([\xe8][\xa2][\x80-\xbf])|([\xe8][\xa5][\x80-\xbf])|([\xe8][\xa4][\x80-\xbf])|([\xe8][\xa7][\x80-\xbf])|([\xe8][\xa6][\x80-\xbf])|([\xe8][\xa9][\x80-\xbf])|([\xe8][\xa8][\x80-\xbf])|([\xe8][\xab][\x80-\xbf])|([\xe8][\xaa][\x80-\xbf])|([\xe8][\xad][\x80-\xbf])|([\xe8][\xac][\x80-\xbf])|([\xe8][\xaf][\x80-\xbf])|([\xe8][\xae][\x80-\xbf])|([\xe8][\xb1][\x80-\xbf])|([\xe8][\xb0][\x80-\xbf])|([\xe8][\xb3][\x80-\xbf])|([\xe8][\xb2][\x80-\xbf])|([\xe8][\xb5][\x80-\xbf])|([\xe8][\xb4][\x80-\xbf])|([\xe8][\xb7][\x80-\xbf])|([\xe8][\xb6][\x80-\xbf])|([\xe8][\xb9][\x80-\xbf])|([\xe8][\xb8][\x80-\xbf])|([\xe8][\xbb][\x80-\xbf])|([\xe8][\xba][\x80-\xbf])|([\xe8][\xbd][\x80-\xbf])|([\xe8][\xbc][\x80-\xbf])|([\xe8][\xbf][\x80-\xbf])|([\xe8][\xbe][\x80-\xbf])|([\xef][\xa5][\x80-\xbf])|([\xef][\xa4][\x80-\xbf])|([\xef][\xa7][\x80-\xbf])|([\xef][\xa6][\x80-\xbf])|([\xef][\xa9][\x80-\xad\xb0-\xbf])|([\xef][\xa8][\x80-\xad\xb0-\xbf])|([\xef][\xab][\x80-\x99])|([\xef][\xaa][\x80-\xbf]);
Han = Han3;
Katakana3 = ([\xe3][\x83][\x80-\xba\xbd-\xbf])|([\xe3][\x82][\xa1-\xbf])|([\xe3][\x87][\xb0-\xbf])|([\xe3][\x8b][\x90-\xbe])|([\xe3][\x8d][\x80-\x97])|([\xe3][\x8c][\x80-\xbf])|([\xef][\xbd][\xa6-\xaf\xb1-\xbf])|([\xef][\xbe][\x80-\x9d]);
Katakana = Katakana3;
Bamum3 = ([\xea][\x9b][\x80-\xb7])|([\xea][\x9a][\xa0-\xbf]);
Bamum = Bamum3;
Vai3 = ([\xea][\x98][\x80-\xab])|([\xea][\x95][\x80-\xbf])|([\xea][\x94][\x80-\xbf])|([\xea][\x97][\x80-\xbf])|([\xea][\x96][\x80-\xbf]);
Vai = Vai3;
Ogham3 = ([\xe1][\x9a][\x80-\x9c]);
Ogham = Ogham3;
Phags_Pa3 = ([\xea][\xa1][\x80-\xb7]);
Phags_Pa = Phags_Pa3;
Myanmar3 = ([\xe1][\x81][\x80-\xbf])|([\xe1][\x80][\x80-\xbf])|([\xe1][\x82][\x80-\x9f])|([\xea][\xa9][\xa0-\xbb]);
Myanmar = Myanmar3;
Mongolian3 = ([\xe1][\xa1][\x80-\xb7])|([\xe1][\xa0][\x80-\x81\x84\x86-\x8e\x90-\x99\xa0-\xbf])|([\xe1][\xa2][\x80-\xaa]);
Mongolian = Mongolian3;
Tibetan3 = ([\xe0][\xbd][\x80-\x87\x89-\xac\xb1-\xbf])|([\xe0][\xbc][\x80-\xbf])|([\xe0][\xbf][\x80-\x8c\x8e-\x94\x99-\x9a])|([\xe0][\xbe][\x80-\x97\x99-\xbc\xbe-\xbf]);
Tibetan = Tibetan3;
Tagbanwa3 = ([\xe1][\x9d][\xa0-\xac\xae-\xb0\xb2-\xb3]);
Tagbanwa = Tagbanwa3;
Meetei_Mayek3 = ([\xea][\xaf][\x80-\xad\xb0-\xb9]);
Meetei_Mayek = Meetei_Mayek3;
Kannada3 = ([\xe0][\xb3][\x80-\x84\x86-\x88\x8a-\x8d\x95-\x96\x9e\xa0-\xa3\xa6-\xaf\xb1-\xb2])|([\xe0][\xb2][\x82-\x83\x85-\x8c\x8e-\x90\x92-\xa8\xaa-\xb3\xb5-\xb9\xbc-\xbf]);
Kannada = Kannada3;
Syriac2 = ([\xdd][\x80-\x8a\x8d-\x8f])|([\xdc][\x80-\x8d\x8f-\xbf]);
Syriac = Syriac2;
Runic3 = ([\xe1][\x9b][\x80-\xaa\xae-\xb0])|([\xe1][\x9a][\xa0-\xbf]);
Runic = Runic3;
Rejang3 = ([\xea][\xa5][\x80-\x93\x9f])|([\xea][\xa4][\xb0-\xbf]);
Rejang = Rejang3;
Canadian_Aboriginal3 = ([\xe1][\xa3][\x80-\xb5])|([\xe1][\xa2][\xb0-\xbf])|([\xe1][\x91][\x80-\xbf])|([\xe1][\x90][\x80-\xbf])|([\xe1][\x93][\x80-\xbf])|([\xe1][\x92][\x80-\xbf])|([\xe1][\x95][\x80-\xbf])|([\xe1][\x94][\x80-\xbf])|([\xe1][\x97][\x80-\xbf])|([\xe1][\x96][\x80-\xbf])|([\xe1][\x99][\x80-\xbf])|([\xe1][\x98][\x80-\xbf]);
Canadian_Aboriginal = Canadian_Aboriginal3;
Hebrew2 = ([\xd7][\x80-\x87\x90-\xaa\xb0-\xb4])|([\xd6][\x91-\xbf]);
Hebrew3 = ([\xef][\xad][\x80-\x81\x83-\x84\x86-\x8f])|([\xef][\xac][\x9d-\xb6\xb8-\xbc\xbe]);
Hebrew = Hebrew2|Hebrew3;
Arabic2 = ([\xd9][\x81-\x8a\x96-\x9e\xaa-\xaf\xb1-\xbf])|([\xd8][\x80-\x83\x86-\x8b\x8d-\x9a\x9e\xa0-\xbf])|([\xdb][\x80-\x9c\x9e-\xbf])|([\xda][\x80-\xbf])|([\xdd][\x90-\xbf]);
Arabic3 = ([\xef][\xad][\x90-\xbf])|([\xef][\xaf][\x80-\x81\x93-\xbf])|([\xef][\xae][\x80-\xbf])|([\xef][\xb1][\x80-\xbf])|([\xef][\xb0][\x80-\xbf])|([\xef][\xb3][\x80-\xbf])|([\xef][\xb2][\x80-\xbf])|([\xef][\xb5][\x90-\xbf])|([\xef][\xb4][\x80-\xbd])|([\xef][\xb7][\x80-\x87\xb0-\xbc])|([\xef][\xb6][\x80-\x8f\x92-\xbf])|([\xef][\xb9][\xb0-\xb4\xb6-\xbf])|([\xef][\xbb][\x80-\xbc])|([\xef][\xba][\x80-\xbf]);
Arabic = Arabic2|Arabic3;
Bopomofo2 = ([\xcb][\xaa-\xab]);
Bopomofo3 = ([\xe3][\x84][\x85-\xad])|([\xe3][\x86][\xa0-\xba]);
Bopomofo = Bopomofo2|Bopomofo3;
Sinhala3 = ([\xe0][\xb7][\x80-\x86\x8a\x8f-\x94\x96\x98-\x9f\xb2-\xb4])|([\xe0][\xb6][\x82-\x83\x85-\x96\x9a-\xb1\xb3-\xbb\xbd]);
Sinhala = Sinhala3;
New_Tai_Lue3 = ([\xe1][\xa7][\x80-\x89\x90-\x9a\x9e-\x9f])|([\xe1][\xa6][\x80-\xab\xb0-\xbf]);
New_Tai_Lue = New_Tai_Lue3;
Latin_Lu1 = [\x41-\x5a];
Latin_Lu2 = ([\xc3][\x80-\x96\x98-\x9e])|([\xc5][\x81\x83\x85\x87\x8a\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb0\xb2\xb4\xb6\xb8-\xb9\xbb\xbd])|([\xc4][\x80\x82\x84\x86\x88\x8a\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb0\xb2\xb4\xb6\xb9\xbb\xbd\xbf])|([\xc7][\x84\x87\x8a\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb1\xb4\xb6-\xb8\xba\xbc\xbe])|([\xc6][\x81-\x82\x84\x86-\x87\x89-\x8b\x8e-\x91\x93-\x94\x96-\x98\x9c-\x9d\x9f-\xa0\xa2\xa4\xa6-\xa7\xa9\xac\xae-\xaf\xb1-\xb3\xb5\xb7-\xb8\xbc])|([\xc9][\x81\x83-\x86\x88\x8a\x8c\x8e])|([\xc8][\x80\x82\x84\x86\x88\x8a\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb0\xb2\xba-\xbb\xbd-\xbe]);
Latin_Lu3 = ([\xe1][\xb9][\x80\x82\x84\x86\x88\x8a\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb0\xb2\xb4\xb6\xb8\xba\xbc\xbe])|([\xe1][\xb8][\x80\x82\x84\x86\x88\x8a\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb0\xb2\xb4\xb6\xb8\xba\xbc\xbe])|([\xe1][\xbb][\x80\x82\x84\x86\x88\x8a\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb0\xb2\xb4\xb6\xb8\xba\xbc\xbe])|([\xe1][\xba][\x80\x82\x84\x86\x88\x8a\x8c\x8e\x90\x92\x94\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb0\xb2\xb4\xb6\xb8\xba\xbc\xbe])|([\xe2][\xb1][\xa0\xa2-\xa4\xa7\xa9\xab\xad-\xb0\xb2\xb5\xbe-\xbf])|([\xe2][\x84][\xaa-\xab\xb2])|([\xe2][\x86][\x83])|([\xef][\xbc][\xa1-\xba])|([\xea][\x9d][\x80\x82\x84\x86\x88\x8a\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c\x9e\xa0\xa2\xa4\xa6\xa8\xaa\xac\xae\xb9\xbb\xbd-\xbe])|([\xea][\x9c][\xa2\xa4\xa6\xa8\xaa\xac\xae\xb2\xb4\xb6\xb8\xba\xbc\xbe])|([\xea][\x9e][\x80\x82\x84\x86\x8b]);
Latin_Lu = Latin_Lu1|Latin_Lu2|Latin_Lu3;
Latin_Ll1 = [\x61-\x7a];
Latin_Ll2 = ([\xc3][\x9f-\xb6\xb8-\xbf])|([\xc2][\xaa\xba])|([\xc5][\x80\x82\x84\x86\x88-\x89\x8b\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf\xb1\xb3\xb5\xb7\xba\xbc\xbe-\xbf])|([\xc4][\x81\x83\x85\x87\x89\x8b\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf\xb1\xb3\xb5\xb7-\xb8\xba\xbc\xbe])|([\xc7][\x86\x89\x8c\x8e\x90\x92\x94\x96\x98\x9a\x9c-\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf-\xb0\xb3\xb5\xb9\xbb\xbd\xbf])|([\xc6][\x80\x83\x85\x88\x8c-\x8d\x92\x95\x99-\x9b\x9e\xa1\xa3\xa5\xa8\xaa-\xab\xad\xb0\xb4\xb6\xb9-\xba\xbd-\xbf])|([\xc9][\x80\x82\x87\x89\x8b\x8d\x8f-\xbf])|([\xc8][\x81\x83\x85\x87\x89\x8b\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf\xb1\xb3-\xb9\xbc\xbf])|([\xca][\x80-\x93\x95-\xaf]);
Latin_Ll3 = ([\xe1][\xb5][\xa2-\xa5\xab-\xb7\xb9-\xbf])|([\xe1][\xb4][\x80-\xa5])|([\xe1][\xb6][\x80-\x9a])|([\xe1][\xb9][\x81\x83\x85\x87\x89\x8b\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf\xb1\xb3\xb5\xb7\xb9\xbb\xbd\xbf])|([\xe1][\xb8][\x81\x83\x85\x87\x89\x8b\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf\xb1\xb3\xb5\xb7\xb9\xbb\xbd\xbf])|([\xe1][\xbb][\x81\x83\x85\x87\x89\x8b\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf\xb1\xb3\xb5\xb7\xb9\xbb\xbd\xbf])|([\xe1][\xba][\x81\x83\x85\x87\x89\x8b\x8d\x8f\x91\x93\x95-\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf\xb1\xb3\xb5\xb7\xb9\xbb\xbd\xbf])|([\xe2][\xb1][\xa1\xa5-\xa6\xa8\xaa\xac\xb1\xb3-\xb4\xb6-\xbc])|([\xe2][\x85][\x8e])|([\xe2][\x86][\x84])|([\xef][\xbd][\x81-\x9a])|([\xef][\xac][\x80-\x86])|([\xea][\x9d][\x81\x83\x85\x87\x89\x8b\x8d\x8f\x91\x93\x95\x97\x99\x9b\x9d\x9f\xa1\xa3\xa5\xa7\xa9\xab\xad\xaf\xb1-\xb8\xba\xbc\xbf])|([\xea][\x9c][\xa3\xa5\xa7\xa9\xab\xad\xaf-\xb1\xb3\xb5\xb7\xb9\xbb\xbd\xbf])|([\xea][\x9e][\x81\x83\x85\x87\x8c]);
Latin_Ll = Latin_Ll1|Latin_Ll2|Latin_Ll3;
Any1 = [\x02-\x7f];
Any2 = ([\xc3][\x80-\xbf])|([\xc2][\x80-\xbf])|([\xc5][\x80-\xbf])|([\xc4][\x80-\xbf])|([\xc7][\x80-\xbf])|([\xc6][\x80-\xbf])|([\xc9][\x80-\xbf])|([\xc8][\x80-\xbf])|([\xcb][\x80-\xbf])|([\xca][\x80-\xbf])|([\xcd][\x80-\xbf])|([\xcc][\x80-\xbf])|([\xcf][\x80-\xbf])|([\xce][\x80-\xbf])|([\xd1][\x80-\xbf])|([\xd0][\x80-\xbf])|([\xd3][\x80-\xbf])|([\xd2][\x80-\xbf])|([\xd5][\x80-\xbf])|([\xd4][\x80-\xbf])|([\xd7][\x80-\xbf])|([\xd6][\x80-\xbf])|([\xd9][\x80-\xbf])|([\xd8][\x80-\xbf])|([\xdb][\x80-\xbf])|([\xda][\x80-\xbf])|([\xdd][\x80-\xbf])|([\xdc][\x80-\xbf])|([\xdf][\x80-\xbf])|([\xde][\x80-\xbf]);
Any3 = ([\xe1][\x81][\x80-\xbf])|([\xe1][\x80][\x80-\xbf])|([\xe1][\x83][\x80-\xbf])|([\xe1][\x82][\x80-\xbf])|([\xe1][\x85][\x80-\xbf])|([\xe1][\x84][\x80-\xbf])|([\xe1][\x87][\x80-\xbf])|([\xe1][\x86][\x80-\xbf])|([\xe1][\x89][\x80-\xbf])|([\xe1][\x88][\x80-\xbf])|([\xe1][\x8b][\x80-\xbf])|([\xe1][\x8a][\x80-\xbf])|([\xe1][\x8d][\x80-\xbf])|([\xe1][\x8c][\x80-\xbf])|([\xe1][\x8f][\x80-\xbf])|([\xe1][\x8e][\x80-\xbf])|([\xe1][\x91][\x80-\xbf])|([\xe1][\x90][\x80-\xbf])|([\xe1][\x93][\x80-\xbf])|([\xe1][\x92][\x80-\xbf])|([\xe1][\x95][\x80-\xbf])|([\xe1][\x94][\x80-\xbf])|([\xe1][\x97][\x80-\xbf])|([\xe1][\x96][\x80-\xbf])|([\xe1][\x99][\x80-\xbf])|([\xe1][\x98][\x80-\xbf])|([\xe1][\x9b][\x80-\xbf])|([\xe1][\x9a][\x80-\xbf])|([\xe1][\x9d][\x80-\xbf])|([\xe1][\x9c][\x80-\xbf])|([\xe1][\x9f][\x80-\xbf])|([\xe1][\x9e][\x80-\xbf])|([\xe1][\xa1][\x80-\xbf])|([\xe1][\xa0][\x80-\xbf])|([\xe1][\xa3][\x80-\xbf])|([\xe1][\xa2][\x80-\xbf])|([\xe1][\xa5][\x80-\xbf])|([\xe1][\xa4][\x80-\xbf])|([\xe1][\xa7][\x80-\xbf])|([\xe1][\xa6][\x80-\xbf])|([\xe1][\xa9][\x80-\xbf])|([\xe1][\xa8][\x80-\xbf])|([\xe1][\xab][\x80-\xbf])|([\xe1][\xaa][\x80-\xbf])|([\xe1][\xad][\x80-\xbf])|([\xe1][\xac][\x80-\xbf])|([\xe1][\xaf][\x80-\xbf])|([\xe1][\xae][\x80-\xbf])|([\xe1][\xb1][\x80-\xbf])|([\xe1][\xb0][\x80-\xbf])|([\xe1][\xb3][\x80-\xbf])|([\xe1][\xb2][\x80-\xbf])|([\xe1][\xb5][\x80-\xbf])|([\xe1][\xb4][\x80-\xbf])|([\xe1][\xb7][\x80-\xbf])|([\xe1][\xb6][\x80-\xbf])|([\xe1][\xb9][\x80-\xbf])|([\xe1][\xb8][\x80-\xbf])|([\xe1][\xbb][\x80-\xbf])|([\xe1][\xba][\x80-\xbf])|([\xe1][\xbd][\x80-\xbf])|([\xe1][\xbc][\x80-\xbf])|([\xe1][\xbf][\x80-\xbf])|([\xe1][\xbe][\x80-\xbf])|([\xe0][\xa1][\x80-\xbf])|([\xe0][\xa0][\x80-\xbf])|([\xe0][\xa3][\x80-\xbf])|([\xe0][\xa2][\x80-\xbf])|([\xe0][\xa5][\x80-\xbf])|([\xe0][\xa4][\x80-\xbf])|([\xe0][\xa7][\x80-\xbf])|([\xe0][\xa6][\x80-\xbf])|([\xe0][\xa9][\x80-\xbf])|([\xe0][\xa8][\x80-\xbf])|([\xe0][\xab][\x80-\xbf])|([\xe0][\xaa][\x80-\xbf])|([\xe0][\xad][\x80-\xbf])|([\xe0][\xac][\x80-\xbf])|([\xe0][\xaf][\x80-\xbf])|([\xe0][\xae][\x80-\xbf])|([\xe0][\xb1][\x80-\xbf])|([\xe0][\xb0][\x80-\xbf])|([\xe0][\xb3][\x80-\xbf])|([\xe0][\xb2][\x80-\xbf])|([\xe0][\xb5][\x80-\xbf])|([\xe0][\xb4][\x80-\xbf])|([\xe0][\xb7][\x80-\xbf])|([\xe0][\xb6][\x80-\xbf])|([\xe0][\xb9][\x80-\xbf])|([\xe0][\xb8][\x80-\xbf])|([\xe0][\xbb][\x80-\xbf])|([\xe0][\xba][\x80-\xbf])|([\xe0][\xbd][\x80-\xbf])|([\xe0][\xbc][\x80-\xbf])|([\xe0][\xbf][\x80-\xbf])|([\xe0][\xbe][\x80-\xbf])|([\xe3][\x81][\x80-\xbf])|([\xe3][\x80][\x80-\xbf])|([\xe3][\x83][\x80-\xbf])|([\xe3][\x82][\x80-\xbf])|([\xe3][\x85][\x80-\xbf])|([\xe3][\x84][\x80-\xbf])|([\xe3][\x87][\x80-\xbf])|([\xe3][\x86][\x80-\xbf])|([\xe3][\x89][\x80-\xbf])|([\xe3][\x88][\x80-\xbf])|([\xe3][\x8b][\x80-\xbf])|([\xe3][\x8a][\x80-\xbf])|([\xe3][\x8d][\x80-\xbf])|([\xe3][\x8c][\x80-\xbf])|([\xe3][\x8f][\x80-\xbf])|([\xe3][\x8e][\x80-\xbf])|([\xe3][\x91][\x80-\xbf])|([\xe3][\x90][\x80-\xbf])|([\xe3][\x93][\x80-\xbf])|([\xe3][\x92][\x80-\xbf])|([\xe3][\x95][\x80-\xbf])|([\xe3][\x94][\x80-\xbf])|([\xe3][\x97][\x80-\xbf])|([\xe3][\x96][\x80-\xbf])|([\xe3][\x99][\x80-\xbf])|([\xe3][\x98][\x80-\xbf])|([\xe3][\x9b][\x80-\xbf])|([\xe3][\x9a][\x80-\xbf])|([\xe3][\x9d][\x80-\xbf])|([\xe3][\x9c][\x80-\xbf])|([\xe3][\x9f][\x80-\xbf])|([\xe3][\x9e][\x80-\xbf])|([\xe3][\xa1][\x80-\xbf])|([\xe3][\xa0][\x80-\xbf])|([\xe3][\xa3][\x80-\xbf])|([\xe3][\xa2][\x80-\xbf])|([\xe3][\xa5][\x80-\xbf])|([\xe3][\xa4][\x80-\xbf])|([\xe3][\xa7][\x80-\xbf])|([\xe3][\xa6][\x80-\xbf])|([\xe3][\xa9][\x80-\xbf])|([\xe3][\xa8][\x80-\xbf])|([\xe3][\xab][\x80-\xbf])|([\xe3][\xaa][\x80-\xbf])|([\xe3][\xad][\x80-\xbf])|([\xe3][\xac][\x80-\xbf])|([\xe3][\xaf][\x80-\xbf])|([\xe3][\xae][\x80-\xbf])|([\xe3][\xb1][\x80-\xbf])|([\xe3][\xb0][\x80-\xbf])|([\xe3][\xb3][\x80-\xbf])|([\xe3][\xb2][\x80-\xbf])|([\xe3][\xb5][\x80-\xbf])|([\xe3][\xb4][\x80-\xbf])|([\xe3][\xb7][\x80-\xbf])|([\xe3][\xb6][\x80-\xbf])|([\xe3][\xb9][\x80-\xbf])|([\xe3][\xb8][\x80-\xbf])|([\xe3][\xbb][\x80-\xbf])|([\xe3][\xba][\x80-\xbf])|([\xe3][\xbd][\x80-\xbf])|([\xe3][\xbc][\x80-\xbf])|([\xe3][\xbf][\x80-\xbf])|([\xe3][\xbe][\x80-\xbf])|([\xe2][\x81][\x80-\xbf])|([\xe2][\x80][\x80-\xbf])|([\xe2][\x83][\x80-\xbf])|([\xe2][\x82][\x80-\xbf])|([\xe2][\x85][\x80-\xbf])|([\xe2][\x84][\x80-\xbf])|([\xe2][\x87][\x80-\xbf])|([\xe2][\x86][\x80-\xbf])|([\xe2][\x89][\x80-\xbf])|([\xe2][\x88][\x80-\xbf])|([\xe2][\x8b][\x80-\xbf])|([\xe2][\x8a][\x80-\xbf])|([\xe2][\x8d][\x80-\xbf])|([\xe2][\x8c][\x80-\xbf])|([\xe2][\x8f][\x80-\xbf])|([\xe2][\x8e][\x80-\xbf])|([\xe2][\x91][\x80-\xbf])|([\xe2][\x90][\x80-\xbf])|([\xe2][\x93][\x80-\xbf])|([\xe2][\x92][\x80-\xbf])|([\xe2][\x95][\x80-\xbf])|([\xe2][\x94][\x80-\xbf])|([\xe2][\x97][\x80-\xbf])|([\xe2][\x96][\x80-\xbf])|([\xe2][\x99][\x80-\xbf])|([\xe2][\x98][\x80-\xbf])|([\xe2][\x9b][\x80-\xbf])|([\xe2][\x9a][\x80-\xbf])|([\xe2][\x9d][\x80-\xbf])|([\xe2][\x9c][\x80-\xbf])|([\xe2][\x9f][\x80-\xbf])|([\xe2][\x9e][\x80-\xbf])|([\xe2][\xa1][\x80-\xbf])|([\xe2][\xa0][\x80-\xbf])|([\xe2][\xa3][\x80-\xbf])|([\xe2][\xa2][\x80-\xbf])|([\xe2][\xa5][\x80-\xbf])|([\xe2][\xa4][\x80-\xbf])|([\xe2][\xa7][\x80-\xbf])|([\xe2][\xa6][\x80-\xbf])|([\xe2][\xa9][\x80-\xbf])|([\xe2][\xa8][\x80-\xbf])|([\xe2][\xab][\x80-\xbf])|([\xe2][\xaa][\x80-\xbf])|([\xe2][\xad][\x80-\xbf])|([\xe2][\xac][\x80-\xbf])|([\xe2][\xaf][\x80-\xbf])|([\xe2][\xae][\x80-\xbf])|([\xe2][\xb1][\x80-\xbf])|([\xe2][\xb0][\x80-\xbf])|([\xe2][\xb3][\x80-\xbf])|([\xe2][\xb2][\x80-\xbf])|([\xe2][\xb5][\x80-\xbf])|([\xe2][\xb4][\x80-\xbf])|([\xe2][\xb7][\x80-\xbf])|([\xe2][\xb6][\x80-\xbf])|([\xe2][\xb9][\x80-\xbf])|([\xe2][\xb8][\x80-\xbf])|([\xe2][\xbb][\x80-\xbf])|([\xe2][\xba][\x80-\xbf])|([\xe2][\xbd][\x80-\xbf])|([\xe2][\xbc][\x80-\xbf])|([\xe2][\xbf][\x80-\xbf])|([\xe2][\xbe][\x80-\xbf])|([\xe5][\x81][\x80-\xbf])|([\xe5][\x80][\x80-\xbf])|([\xe5][\x83][\x80-\xbf])|([\xe5][\x82][\x80-\xbf])|([\xe5][\x85][\x80-\xbf])|([\xe5][\x84][\x80-\xbf])|([\xe5][\x87][\x80-\xbf])|([\xe5][\x86][\x80-\xbf])|([\xe5][\x89][\x80-\xbf])|([\xe5][\x88][\x80-\xbf])|([\xe5][\x8b][\x80-\xbf])|([\xe5][\x8a][\x80-\xbf])|([\xe5][\x8d][\x80-\xbf])|([\xe5][\x8c][\x80-\xbf])|([\xe5][\x8f][\x80-\xbf])|([\xe5][\x8e][\x80-\xbf])|([\xe5][\x91][\x80-\xbf])|([\xe5][\x90][\x80-\xbf])|([\xe5][\x93][\x80-\xbf])|([\xe5][\x92][\x80-\xbf])|([\xe5][\x95][\x80-\xbf])|([\xe5][\x94][\x80-\xbf])|([\xe5][\x97][\x80-\xbf])|([\xe5][\x96][\x80-\xbf])|([\xe5][\x99][\x80-\xbf])|([\xe5][\x98][\x80-\xbf])|([\xe5][\x9b][\x80-\xbf])|([\xe5][\x9a][\x80-\xbf])|([\xe5][\x9d][\x80-\xbf])|([\xe5][\x9c][\x80-\xbf])|([\xe5][\x9f][\x80-\xbf])|([\xe5][\x9e][\x80-\xbf])|([\xe5][\xa1][\x80-\xbf])|([\xe5][\xa0][\x80-\xbf])|([\xe5][\xa3][\x80-\xbf])|([\xe5][\xa2][\x80-\xbf])|([\xe5][\xa5][\x80-\xbf])|([\xe5][\xa4][\x80-\xbf])|([\xe5][\xa7][\x80-\xbf])|([\xe5][\xa6][\x80-\xbf])|([\xe5][\xa9][\x80-\xbf])|([\xe5][\xa8][\x80-\xbf])|([\xe5][\xab][\x80-\xbf])|([\xe5][\xaa][\x80-\xbf])|([\xe5][\xad][\x80-\xbf])|([\xe5][\xac][\x80-\xbf])|([\xe5][\xaf][\x80-\xbf])|([\xe5][\xae][\x80-\xbf])|([\xe5][\xb1][\x80-\xbf])|([\xe5][\xb0][\x80-\xbf])|([\xe5][\xb3][\x80-\xbf])|([\xe5][\xb2][\x80-\xbf])|([\xe5][\xb5][\x80-\xbf])|([\xe5][\xb4][\x80-\xbf])|([\xe5][\xb7][\x80-\xbf])|([\xe5][\xb6][\x80-\xbf])|([\xe5][\xb9][\x80-\xbf])|([\xe5][\xb8][\x80-\xbf])|([\xe5][\xbb][\x80-\xbf])|([\xe5][\xba][\x80-\xbf])|([\xe5][\xbd][\x80-\xbf])|([\xe5][\xbc][\x80-\xbf])|([\xe5][\xbf][\x80-\xbf])|([\xe5][\xbe][\x80-\xbf])|([\xe4][\x81][\x80-\xbf])|([\xe4][\x80][\x80-\xbf])|([\xe4][\x83][\x80-\xbf])|([\xe4][\x82][\x80-\xbf])|([\xe4][\x85][\x80-\xbf])|([\xe4][\x84][\x80-\xbf])|([\xe4][\x87][\x80-\xbf])|([\xe4][\x86][\x80-\xbf])|([\xe4][\x89][\x80-\xbf])|([\xe4][\x88][\x80-\xbf])|([\xe4][\x8b][\x80-\xbf])|([\xe4][\x8a][\x80-\xbf])|([\xe4][\x8d][\x80-\xbf])|([\xe4][\x8c][\x80-\xbf])|([\xe4][\x8f][\x80-\xbf])|([\xe4][\x8e][\x80-\xbf])|([\xe4][\x91][\x80-\xbf])|([\xe4][\x90][\x80-\xbf])|([\xe4][\x93][\x80-\xbf])|([\xe4][\x92][\x80-\xbf])|([\xe4][\x95][\x80-\xbf])|([\xe4][\x94][\x80-\xbf])|([\xe4][\x97][\x80-\xbf])|([\xe4][\x96][\x80-\xbf])|([\xe4][\x99][\x80-\xbf])|([\xe4][\x98][\x80-\xbf])|([\xe4][\x9b][\x80-\xbf])|([\xe4][\x9a][\x80-\xbf])|([\xe4][\x9d][\x80-\xbf])|([\xe4][\x9c][\x80-\xbf])|([\xe4][\x9f][\x80-\xbf])|([\xe4][\x9e][\x80-\xbf])|([\xe4][\xa1][\x80-\xbf])|([\xe4][\xa0][\x80-\xbf])|([\xe4][\xa3][\x80-\xbf])|([\xe4][\xa2][\x80-\xbf])|([\xe4][\xa5][\x80-\xbf])|([\xe4][\xa4][\x80-\xbf])|([\xe4][\xa7][\x80-\xbf])|([\xe4][\xa6][\x80-\xbf])|([\xe4][\xa9][\x80-\xbf])|([\xe4][\xa8][\x80-\xbf])|([\xe4][\xab][\x80-\xbf])|([\xe4][\xaa][\x80-\xbf])|([\xe4][\xad][\x80-\xbf])|([\xe4][\xac][\x80-\xbf])|([\xe4][\xaf][\x80-\xbf])|([\xe4][\xae][\x80-\xbf])|([\xe4][\xb1][\x80-\xbf])|([\xe4][\xb0][\x80-\xbf])|([\xe4][\xb3][\x80-\xbf])|([\xe4][\xb2][\x80-\xbf])|([\xe4][\xb5][\x80-\xbf])|([\xe4][\xb4][\x80-\xbf])|([\xe4][\xb7][\x80-\xbf])|([\xe4][\xb6][\x80-\xbf])|([\xe4][\xb9][\x80-\xbf])|([\xe4][\xb8][\x80-\xbf])|([\xe4][\xbb][\x80-\xbf])|([\xe4][\xba][\x80-\xbf])|([\xe4][\xbd][\x80-\xbf])|([\xe4][\xbc][\x80-\xbf])|([\xe4][\xbf][\x80-\xbf])|([\xe4][\xbe][\x80-\xbf])|([\xe7][\x81][\x80-\xbf])|([\xe7][\x80][\x80-\xbf])|([\xe7][\x83][\x80-\xbf])|([\xe7][\x82][\x80-\xbf])|([\xe7][\x85][\x80-\xbf])|([\xe7][\x84][\x80-\xbf])|([\xe7][\x87][\x80-\xbf])|([\xe7][\x86][\x80-\xbf])|([\xe7][\x89][\x80-\xbf])|([\xe7][\x88][\x80-\xbf])|([\xe7][\x8b][\x80-\xbf])|([\xe7][\x8a][\x80-\xbf])|([\xe7][\x8d][\x80-\xbf])|([\xe7][\x8c][\x80-\xbf])|([\xe7][\x8f][\x80-\xbf])|([\xe7][\x8e][\x80-\xbf])|([\xe7][\x91][\x80-\xbf])|([\xe7][\x90][\x80-\xbf])|([\xe7][\x93][\x80-\xbf])|([\xe7][\x92][\x80-\xbf])|([\xe7][\x95][\x80-\xbf])|([\xe7][\x94][\x80-\xbf])|([\xe7][\x97][\x80-\xbf])|([\xe7][\x96][\x80-\xbf])|([\xe7][\x99][\x80-\xbf])|([\xe7][\x98][\x80-\xbf])|([\xe7][\x9b][\x80-\xbf])|([\xe7][\x9a][\x80-\xbf])|([\xe7][\x9d][\x80-\xbf])|([\xe7][\x9c][\x80-\xbf])|([\xe7][\x9f][\x80-\xbf])|([\xe7][\x9e][\x80-\xbf])|([\xe7][\xa1][\x80-\xbf])|([\xe7][\xa0][\x80-\xbf])|([\xe7][\xa3][\x80-\xbf])|([\xe7][\xa2][\x80-\xbf])|([\xe7][\xa5][\x80-\xbf])|([\xe7][\xa4][\x80-\xbf])|([\xe7][\xa7][\x80-\xbf])|([\xe7][\xa6][\x80-\xbf])|([\xe7][\xa9][\x80-\xbf])|([\xe7][\xa8][\x80-\xbf])|([\xe7][\xab][\x80-\xbf])|([\xe7][\xaa][\x80-\xbf])|([\xe7][\xad][\x80-\xbf])|([\xe7][\xac][\x80-\xbf])|([\xe7][\xaf][\x80-\xbf])|([\xe7][\xae][\x80-\xbf])|([\xe7][\xb1][\x80-\xbf])|([\xe7][\xb0][\x80-\xbf])|([\xe7][\xb3][\x80-\xbf])|([\xe7][\xb2][\x80-\xbf])|([\xe7][\xb5][\x80-\xbf])|([\xe7][\xb4][\x80-\xbf])|([\xe7][\xb7][\x80-\xbf])|([\xe7][\xb6][\x80-\xbf])|([\xe7][\xb9][\x80-\xbf])|([\xe7][\xb8][\x80-\xbf])|([\xe7][\xbb][\x80-\xbf])|([\xe7][\xba][\x80-\xbf])|([\xe7][\xbd][\x80-\xbf])|([\xe7][\xbc][\x80-\xbf])|([\xe7][\xbf][\x80-\xbf])|([\xe7][\xbe][\x80-\xbf])|([\xe6][\x81][\x80-\xbf])|([\xe6][\x80][\x80-\xbf])|([\xe6][\x83][\x80-\xbf])|([\xe6][\x82][\x80-\xbf])|([\xe6][\x85][\x80-\xbf])|([\xe6][\x84][\x80-\xbf])|([\xe6][\x87][\x80-\xbf])|([\xe6][\x86][\x80-\xbf])|([\xe6][\x89][\x80-\xbf])|([\xe6][\x88][\x80-\xbf])|([\xe6][\x8b][\x80-\xbf])|([\xe6][\x8a][\x80-\xbf])|([\xe6][\x8d][\x80-\xbf])|([\xe6][\x8c][\x80-\xbf])|([\xe6][\x8f][\x80-\xbf])|([\xe6][\x8e][\x80-\xbf])|([\xe6][\x91][\x80-\xbf])|([\xe6][\x90][\x80-\xbf])|([\xe6][\x93][\x80-\xbf])|([\xe6][\x92][\x80-\xbf])|([\xe6][\x95][\x80-\xbf])|([\xe6][\x94][\x80-\xbf])|([\xe6][\x97][\x80-\xbf])|([\xe6][\x96][\x80-\xbf])|([\xe6][\x99][\x80-\xbf])|([\xe6][\x98][\x80-\xbf])|([\xe6][\x9b][\x80-\xbf])|([\xe6][\x9a][\x80-\xbf])|([\xe6][\x9d][\x80-\xbf])|([\xe6][\x9c][\x80-\xbf])|([\xe6][\x9f][\x80-\xbf])|([\xe6][\x9e][\x80-\xbf])|([\xe6][\xa1][\x80-\xbf])|([\xe6][\xa0][\x80-\xbf])|([\xe6][\xa3][\x80-\xbf])|([\xe6][\xa2][\x80-\xbf])|([\xe6][\xa5][\x80-\xbf])|([\xe6][\xa4][\x80-\xbf])|([\xe6][\xa7][\x80-\xbf])|([\xe6][\xa6][\x80-\xbf])|([\xe6][\xa9][\x80-\xbf])|([\xe6][\xa8][\x80-\xbf])|([\xe6][\xab][\x80-\xbf])|([\xe6][\xaa][\x80-\xbf])|([\xe6][\xad][\x80-\xbf])|([\xe6][\xac][\x80-\xbf])|([\xe6][\xaf][\x80-\xbf])|([\xe6][\xae][\x80-\xbf])|([\xe6][\xb1][\x80-\xbf])|([\xe6][\xb0][\x80-\xbf])|([\xe6][\xb3][\x80-\xbf])|([\xe6][\xb2][\x80-\xbf])|([\xe6][\xb5][\x80-\xbf])|([\xe6][\xb4][\x80-\xbf])|([\xe6][\xb7][\x80-\xbf])|([\xe6][\xb6][\x80-\xbf])|([\xe6][\xb9][\x80-\xbf])|([\xe6][\xb8][\x80-\xbf])|([\xe6][\xbb][\x80-\xbf])|([\xe6][\xba][\x80-\xbf])|([\xe6][\xbd][\x80-\xbf])|([\xe6][\xbc][\x80-\xbf])|([\xe6][\xbf][\x80-\xbf])|([\xe6][\xbe][\x80-\xbf])|([\xe9][\x81][\x80-\xbf])|([\xe9][\x80][\x80-\xbf])|([\xe9][\x83][\x80-\xbf])|([\xe9][\x82][\x80-\xbf])|([\xe9][\x85][\x80-\xbf])|([\xe9][\x84][\x80-\xbf])|([\xe9][\x87][\x80-\xbf])|([\xe9][\x86][\x80-\xbf])|([\xe9][\x89][\x80-\xbf])|([\xe9][\x88][\x80-\xbf])|([\xe9][\x8b][\x80-\xbf])|([\xe9][\x8a][\x80-\xbf])|([\xe9][\x8d][\x80-\xbf])|([\xe9][\x8c][\x80-\xbf])|([\xe9][\x8f][\x80-\xbf])|([\xe9][\x8e][\x80-\xbf])|([\xe9][\x91][\x80-\xbf])|([\xe9][\x90][\x80-\xbf])|([\xe9][\x93][\x80-\xbf])|([\xe9][\x92][\x80-\xbf])|([\xe9][\x95][\x80-\xbf])|([\xe9][\x94][\x80-\xbf])|([\xe9][\x97][\x80-\xbf])|([\xe9][\x96][\x80-\xbf])|([\xe9][\x99][\x80-\xbf])|([\xe9][\x98][\x80-\xbf])|([\xe9][\x9b][\x80-\xbf])|([\xe9][\x9a][\x80-\xbf])|([\xe9][\x9d][\x80-\xbf])|([\xe9][\x9c][\x80-\xbf])|([\xe9][\x9f][\x80-\xbf])|([\xe9][\x9e][\x80-\xbf])|([\xe9][\xa1][\x80-\xbf])|([\xe9][\xa0][\x80-\xbf])|([\xe9][\xa3][\x80-\xbf])|([\xe9][\xa2][\x80-\xbf])|([\xe9][\xa5][\x80-\xbf])|([\xe9][\xa4][\x80-\xbf])|([\xe9][\xa7][\x80-\xbf])|([\xe9][\xa6][\x80-\xbf])|([\xe9][\xa9][\x80-\xbf])|([\xe9][\xa8][\x80-\xbf])|([\xe9][\xab][\x80-\xbf])|([\xe9][\xaa][\x80-\xbf])|([\xe9][\xad][\x80-\xbf])|([\xe9][\xac][\x80-\xbf])|([\xe9][\xaf][\x80-\xbf])|([\xe9][\xae][\x80-\xbf])|([\xe9][\xb1][\x80-\xbf])|([\xe9][\xb0][\x80-\xbf])|([\xe9][\xb3][\x80-\xbf])|([\xe9][\xb2][\x80-\xbf])|([\xe9][\xb5][\x80-\xbf])|([\xe9][\xb4][\x80-\xbf])|([\xe9][\xb7][\x80-\xbf])|([\xe9][\xb6][\x80-\xbf])|([\xe9][\xb9][\x80-\xbf])|([\xe9][\xb8][\x80-\xbf])|([\xe9][\xbb][\x80-\xbf])|([\xe9][\xba][\x80-\xbf])|([\xe9][\xbd][\x80-\xbf])|([\xe9][\xbc][\x80-\xbf])|([\xe9][\xbf][\x80-\xbf])|([\xe9][\xbe][\x80-\xbf])|([\xe8][\x81][\x80-\xbf])|([\xe8][\x80][\x80-\xbf])|([\xe8][\x83][\x80-\xbf])|([\xe8][\x82][\x80-\xbf])|([\xe8][\x85][\x80-\xbf])|([\xe8][\x84][\x80-\xbf])|([\xe8][\x87][\x80-\xbf])|([\xe8][\x86][\x80-\xbf])|([\xe8][\x89][\x80-\xbf])|([\xe8][\x88][\x80-\xbf])|([\xe8][\x8b][\x80-\xbf])|([\xe8][\x8a][\x80-\xbf])|([\xe8][\x8d][\x80-\xbf])|([\xe8][\x8c][\x80-\xbf])|([\xe8][\x8f][\x80-\xbf])|([\xe8][\x8e][\x80-\xbf])|([\xe8][\x91][\x80-\xbf])|([\xe8][\x90][\x80-\xbf])|([\xe8][\x93][\x80-\xbf])|([\xe8][\x92][\x80-\xbf])|([\xe8][\x95][\x80-\xbf])|([\xe8][\x94][\x80-\xbf])|([\xe8][\x97][\x80-\xbf])|([\xe8][\x96][\x80-\xbf])|([\xe8][\x99][\x80-\xbf])|([\xe8][\x98][\x80-\xbf])|([\xe8][\x9b][\x80-\xbf])|([\xe8][\x9a][\x80-\xbf])|([\xe8][\x9d][\x80-\xbf])|([\xe8][\x9c][\x80-\xbf])|([\xe8][\x9f][\x80-\xbf])|([\xe8][\x9e][\x80-\xbf])|([\xe8][\xa1][\x80-\xbf])|([\xe8][\xa0][\x80-\xbf])|([\xe8][\xa3][\x80-\xbf])|([\xe8][\xa2][\x80-\xbf])|([\xe8][\xa5][\x80-\xbf])|([\xe8][\xa4][\x80-\xbf])|([\xe8][\xa7][\x80-\xbf])|([\xe8][\xa6][\x80-\xbf])|([\xe8][\xa9][\x80-\xbf])|([\xe8][\xa8][\x80-\xbf])|([\xe8][\xab][\x80-\xbf])|([\xe8][\xaa][\x80-\xbf])|([\xe8][\xad][\x80-\xbf])|([\xe8][\xac][\x80-\xbf])|([\xe8][\xaf][\x80-\xbf])|([\xe8][\xae][\x80-\xbf])|([\xe8][\xb1][\x80-\xbf])|([\xe8][\xb0][\x80-\xbf])|([\xe8][\xb3][\x80-\xbf])|([\xe8][\xb2][\x80-\xbf])|([\xe8][\xb5][\x80-\xbf])|([\xe8][\xb4][\x80-\xbf])|([\xe8][\xb7][\x80-\xbf])|([\xe8][\xb6][\x80-\xbf])|([\xe8][\xb9][\x80-\xbf])|([\xe8][\xb8][\x80-\xbf])|([\xe8][\xbb][\x80-\xbf])|([\xe8][\xba][\x80-\xbf])|([\xe8][\xbd][\x80-\xbf])|([\xe8][\xbc][\x80-\xbf])|([\xe8][\xbf][\x80-\xbf])|([\xe8][\xbe][\x80-\xbf])|([\xeb][\x81][\x80-\xbf])|([\xeb][\x80][\x80-\xbf])|([\xeb][\x83][\x80-\xbf])|([\xeb][\x82][\x80-\xbf])|([\xeb][\x85][\x80-\xbf])|([\xeb][\x84][\x80-\xbf])|([\xeb][\x87][\x80-\xbf])|([\xeb][\x86][\x80-\xbf])|([\xeb][\x89][\x80-\xbf])|([\xeb][\x88][\x80-\xbf])|([\xeb][\x8b][\x80-\xbf])|([\xeb][\x8a][\x80-\xbf])|([\xeb][\x8d][\x80-\xbf])|([\xeb][\x8c][\x80-\xbf])|([\xeb][\x8f][\x80-\xbf])|([\xeb][\x8e][\x80-\xbf])|([\xeb][\x91][\x80-\xbf])|([\xeb][\x90][\x80-\xbf])|([\xeb][\x93][\x80-\xbf])|([\xeb][\x92][\x80-\xbf])|([\xeb][\x95][\x80-\xbf])|([\xeb][\x94][\x80-\xbf])|([\xeb][\x97][\x80-\xbf])|([\xeb][\x96][\x80-\xbf])|([\xeb][\x99][\x80-\xbf])|([\xeb][\x98][\x80-\xbf])|([\xeb][\x9b][\x80-\xbf])|([\xeb][\x9a][\x80-\xbf])|([\xeb][\x9d][\x80-\xbf])|([\xeb][\x9c][\x80-\xbf])|([\xeb][\x9f][\x80-\xbf])|([\xeb][\x9e][\x80-\xbf])|([\xeb][\xa1][\x80-\xbf])|([\xeb][\xa0][\x80-\xbf])|([\xeb][\xa3][\x80-\xbf])|([\xeb][\xa2][\x80-\xbf])|([\xeb][\xa5][\x80-\xbf])|([\xeb][\xa4][\x80-\xbf])|([\xeb][\xa7][\x80-\xbf])|([\xeb][\xa6][\x80-\xbf])|([\xeb][\xa9][\x80-\xbf])|([\xeb][\xa8][\x80-\xbf])|([\xeb][\xab][\x80-\xbf])|([\xeb][\xaa][\x80-\xbf])|([\xeb][\xad][\x80-\xbf])|([\xeb][\xac][\x80-\xbf])|([\xeb][\xaf][\x80-\xbf])|([\xeb][\xae][\x80-\xbf])|([\xeb][\xb1][\x80-\xbf])|([\xeb][\xb0][\x80-\xbf])|([\xeb][\xb3][\x80-\xbf])|([\xeb][\xb2][\x80-\xbf])|([\xeb][\xb5][\x80-\xbf])|([\xeb][\xb4][\x80-\xbf])|([\xeb][\xb7][\x80-\xbf])|([\xeb][\xb6][\x80-\xbf])|([\xeb][\xb9][\x80-\xbf])|([\xeb][\xb8][\x80-\xbf])|([\xeb][\xbb][\x80-\xbf])|([\xeb][\xba][\x80-\xbf])|([\xeb][\xbd][\x80-\xbf])|([\xeb][\xbc][\x80-\xbf])|([\xeb][\xbf][\x80-\xbf])|([\xeb][\xbe][\x80-\xbf])|([\xea][\x81][\x80-\xbf])|([\xea][\x80][\x80-\xbf])|([\xea][\x83][\x80-\xbf])|([\xea][\x82][\x80-\xbf])|([\xea][\x85][\x80-\xbf])|([\xea][\x84][\x80-\xbf])|([\xea][\x87][\x80-\xbf])|([\xea][\x86][\x80-\xbf])|([\xea][\x89][\x80-\xbf])|([\xea][\x88][\x80-\xbf])|([\xea][\x8b][\x80-\xbf])|([\xea][\x8a][\x80-\xbf])|([\xea][\x8d][\x80-\xbf])|([\xea][\x8c][\x80-\xbf])|([\xea][\x8f][\x80-\xbf])|([\xea][\x8e][\x80-\xbf])|([\xea][\x91][\x80-\xbf])|([\xea][\x90][\x80-\xbf])|([\xea][\x93][\x80-\xbf])|([\xea][\x92][\x80-\xbf])|([\xea][\x95][\x80-\xbf])|([\xea][\x94][\x80-\xbf])|([\xea][\x97][\x80-\xbf])|([\xea][\x96][\x80-\xbf])|([\xea][\x99][\x80-\xbf])|([\xea][\x98][\x80-\xbf])|([\xea][\x9b][\x80-\xbf])|([\xea][\x9a][\x80-\xbf])|([\xea][\x9d][\x80-\xbf])|([\xea][\x9c][\x80-\xbf])|([\xea][\x9f][\x80-\xbf])|([\xea][\x9e][\x80-\xbf])|([\xea][\xa1][\x80-\xbf])|([\xea][\xa0][\x80-\xbf])|([\xea][\xa3][\x80-\xbf])|([\xea][\xa2][\x80-\xbf])|([\xea][\xa5][\x80-\xbf])|([\xea][\xa4][\x80-\xbf])|([\xea][\xa7][\x80-\xbf])|([\xea][\xa6][\x80-\xbf])|([\xea][\xa9][\x80-\xbf])|([\xea][\xa8][\x80-\xbf])|([\xea][\xab][\x80-\xbf])|([\xea][\xaa][\x80-\xbf])|([\xea][\xad][\x80-\xbf])|([\xea][\xac][\x80-\xbf])|([\xea][\xaf][\x80-\xbf])|([\xea][\xae][\x80-\xbf])|([\xea][\xb1][\x80-\xbf])|([\xea][\xb0][\x80-\xbf])|([\xea][\xb3][\x80-\xbf])|([\xea][\xb2][\x80-\xbf])|([\xea][\xb5][\x80-\xbf])|([\xea][\xb4][\x80-\xbf])|([\xea][\xb7][\x80-\xbf])|([\xea][\xb6][\x80-\xbf])|([\xea][\xb9][\x80-\xbf])|([\xea][\xb8][\x80-\xbf])|([\xea][\xbb][\x80-\xbf])|([\xea][\xba][\x80-\xbf])|([\xea][\xbd][\x80-\xbf])|([\xea][\xbc][\x80-\xbf])|([\xea][\xbf][\x80-\xbf])|([\xea][\xbe][\x80-\xbf])|([\xed][\x81][\x80-\xbf])|([\xed][\x80][\x80-\xbf])|([\xed][\x83][\x80-\xbf])|([\xed][\x82][\x80-\xbf])|([\xed][\x85][\x80-\xbf])|([\xed][\x84][\x80-\xbf])|([\xed][\x87][\x80-\xbf])|([\xed][\x86][\x80-\xbf])|([\xed][\x89][\x80-\xbf])|([\xed][\x88][\x80-\xbf])|([\xed][\x8b][\x80-\xbf])|([\xed][\x8a][\x80-\xbf])|([\xed][\x8d][\x80-\xbf])|([\xed][\x8c][\x80-\xbf])|([\xed][\x8f][\x80-\xbf])|([\xed][\x8e][\x80-\xbf])|([\xed][\x91][\x80-\xbf])|([\xed][\x90][\x80-\xbf])|([\xed][\x93][\x80-\xbf])|([\xed][\x92][\x80-\xbf])|([\xed][\x95][\x80-\xbf])|([\xed][\x94][\x80-\xbf])|([\xed][\x97][\x80-\xbf])|([\xed][\x96][\x80-\xbf])|([\xed][\x99][\x80-\xbf])|([\xed][\x98][\x80-\xbf])|([\xed][\x9b][\x80-\xbf])|([\xed][\x9a][\x80-\xbf])|([\xed][\x9d][\x80-\xbf])|([\xed][\x9c][\x80-\xbf])|([\xed][\x9f][\x80-\xbf])|([\xed][\x9e][\x80-\xbf])|([\xed][\xa1][\x80-\xbf])|([\xed][\xa0][\x80-\xbf])|([\xed][\xa3][\x80-\xbf])|([\xed][\xa2][\x80-\xbf])|([\xed][\xa5][\x80-\xbf])|([\xed][\xa4][\x80-\xbf])|([\xed][\xa7][\x80-\xbf])|([\xed][\xa6][\x80-\xbf])|([\xed][\xa9][\x80-\xbf])|([\xed][\xa8][\x80-\xbf])|([\xed][\xab][\x80-\xbf])|([\xed][\xaa][\x80-\xbf])|([\xed][\xad][\x80-\xbf])|([\xed][\xac][\x80-\xbf])|([\xed][\xaf][\x80-\xbf])|([\xed][\xae][\x80-\xbf])|([\xed][\xb1][\x80-\xbf])|([\xed][\xb0][\x80-\xbf])|([\xed][\xb3][\x80-\xbf])|([\xed][\xb2][\x80-\xbf])|([\xed][\xb5][\x80-\xbf])|([\xed][\xb4][\x80-\xbf])|([\xed][\xb7][\x80-\xbf])|([\xed][\xb6][\x80-\xbf])|([\xed][\xb9][\x80-\xbf])|([\xed][\xb8][\x80-\xbf])|([\xed][\xbb][\x80-\xbf])|([\xed][\xba][\x80-\xbf])|([\xed][\xbd][\x80-\xbf])|([\xed][\xbc][\x80-\xbf])|([\xed][\xbf][\x80-\xbf])|([\xed][\xbe][\x80-\xbf])|([\xec][\x81][\x80-\xbf])|([\xec][\x80][\x80-\xbf])|([\xec][\x83][\x80-\xbf])|([\xec][\x82][\x80-\xbf])|([\xec][\x85][\x80-\xbf])|([\xec][\x84][\x80-\xbf])|([\xec][\x87][\x80-\xbf])|([\xec][\x86][\x80-\xbf])|([\xec][\x89][\x80-\xbf])|([\xec][\x88][\x80-\xbf])|([\xec][\x8b][\x80-\xbf])|([\xec][\x8a][\x80-\xbf])|([\xec][\x8d][\x80-\xbf])|([\xec][\x8c][\x80-\xbf])|([\xec][\x8f][\x80-\xbf])|([\xec][\x8e][\x80-\xbf])|([\xec][\x91][\x80-\xbf])|([\xec][\x90][\x80-\xbf])|([\xec][\x93][\x80-\xbf])|([\xec][\x92][\x80-\xbf])|([\xec][\x95][\x80-\xbf])|([\xec][\x94][\x80-\xbf])|([\xec][\x97][\x80-\xbf])|([\xec][\x96][\x80-\xbf])|([\xec][\x99][\x80-\xbf])|([\xec][\x98][\x80-\xbf])|([\xec][\x9b][\x80-\xbf])|([\xec][\x9a][\x80-\xbf])|([\xec][\x9d][\x80-\xbf])|([\xec][\x9c][\x80-\xbf])|([\xec][\x9f][\x80-\xbf])|([\xec][\x9e][\x80-\xbf])|([\xec][\xa1][\x80-\xbf])|([\xec][\xa0][\x80-\xbf])|([\xec][\xa3][\x80-\xbf])|([\xec][\xa2][\x80-\xbf])|([\xec][\xa5][\x80-\xbf])|([\xec][\xa4][\x80-\xbf])|([\xec][\xa7][\x80-\xbf])|([\xec][\xa6][\x80-\xbf])|([\xec][\xa9][\x80-\xbf])|([\xec][\xa8][\x80-\xbf])|([\xec][\xab][\x80-\xbf])|([\xec][\xaa][\x80-\xbf])|([\xec][\xad][\x80-\xbf])|([\xec][\xac][\x80-\xbf])|([\xec][\xaf][\x80-\xbf])|([\xec][\xae][\x80-\xbf])|([\xec][\xb1][\x80-\xbf])|([\xec][\xb0][\x80-\xbf])|([\xec][\xb3][\x80-\xbf])|([\xec][\xb2][\x80-\xbf])|([\xec][\xb5][\x80-\xbf])|([\xec][\xb4][\x80-\xbf])|([\xec][\xb7][\x80-\xbf])|([\xec][\xb6][\x80-\xbf])|([\xec][\xb9][\x80-\xbf])|([\xec][\xb8][\x80-\xbf])|([\xec][\xbb][\x80-\xbf])|([\xec][\xba][\x80-\xbf])|([\xec][\xbd][\x80-\xbf])|([\xec][\xbc][\x80-\xbf])|([\xec][\xbf][\x80-\xbf])|([\xec][\xbe][\x80-\xbf])|([\xef][\x81][\x80-\xbf])|([\xef][\x80][\x80-\xbf])|([\xef][\x83][\x80-\xbf])|([\xef][\x82][\x80-\xbf])|([\xef][\x85][\x80-\xbf])|([\xef][\x84][\x80-\xbf])|([\xef][\x87][\x80-\xbf])|([\xef][\x86][\x80-\xbf])|([\xef][\x89][\x80-\xbf])|([\xef][\x88][\x80-\xbf])|([\xef][\x8b][\x80-\xbf])|([\xef][\x8a][\x80-\xbf])|([\xef][\x8d][\x80-\xbf])|([\xef][\x8c][\x80-\xbf])|([\xef][\x8f][\x80-\xbf])|([\xef][\x8e][\x80-\xbf])|([\xef][\x91][\x80-\xbf])|([\xef][\x90][\x80-\xbf])|([\xef][\x93][\x80-\xbf])|([\xef][\x92][\x80-\xbf])|([\xef][\x95][\x80-\xbf])|([\xef][\x94][\x80-\xbf])|([\xef][\x97][\x80-\xbf])|([\xef][\x96][\x80-\xbf])|([\xef][\x99][\x80-\xbf])|([\xef][\x98][\x80-\xbf])|([\xef][\x9b][\x80-\xbf])|([\xef][\x9a][\x80-\xbf])|([\xef][\x9d][\x80-\xbf])|([\xef][\x9c][\x80-\xbf])|([\xef][\x9f][\x80-\xbf])|([\xef][\x9e][\x80-\xbf])|([\xef][\xa1][\x80-\xbf])|([\xef][\xa0][\x80-\xbf])|([\xef][\xa3][\x80-\xbf])|([\xef][\xa2][\x80-\xbf])|([\xef][\xa5][\x80-\xbf])|([\xef][\xa4][\x80-\xbf])|([\xef][\xa7][\x80-\xbf])|([\xef][\xa6][\x80-\xbf])|([\xef][\xa9][\x80-\xbf])|([\xef][\xa8][\x80-\xbf])|([\xef][\xab][\x80-\xbf])|([\xef][\xaa][\x80-\xbf])|([\xef][\xad][\x80-\xbf])|([\xef][\xac][\x80-\xbf])|([\xef][\xaf][\x80-\xbf])|([\xef][\xae][\x80-\xbf])|([\xef][\xb1][\x80-\xbf])|([\xef][\xb0][\x80-\xbf])|([\xef][\xb3][\x80-\xbf])|([\xef][\xb2][\x80-\xbf])|([\xef][\xb5][\x80-\xbf])|([\xef][\xb4][\x80-\xbf])|([\xef][\xb7][\x80-\xbf])|([\xef][\xb6][\x80-\xbf])|([\xef][\xb9][\x80-\xbf])|([\xef][\xb8][\x80-\xbf])|([\xef][\xbb][\x80-\xbf])|([\xef][\xba][\x80-\xbf])|([\xef][\xbd][\x80-\xbf])|([\xef][\xbc][\x80-\xbf])|([\xef][\xbf][\x80-\xbf])|([\xef][\xbe][\x80-\xbf])|([\xee][\x81][\x80-\xbf])|([\xee][\x80][\x80-\xbf])|([\xee][\x83][\x80-\xbf])|([\xee][\x82][\x80-\xbf])|([\xee][\x85][\x80-\xbf])|([\xee][\x84][\x80-\xbf])|([\xee][\x87][\x80-\xbf])|([\xee][\x86][\x80-\xbf])|([\xee][\x89][\x80-\xbf])|([\xee][\x88][\x80-\xbf])|([\xee][\x8b][\x80-\xbf])|([\xee][\x8a][\x80-\xbf])|([\xee][\x8d][\x80-\xbf])|([\xee][\x8c][\x80-\xbf])|([\xee][\x8f][\x80-\xbf])|([\xee][\x8e][\x80-\xbf])|([\xee][\x91][\x80-\xbf])|([\xee][\x90][\x80-\xbf])|([\xee][\x93][\x80-\xbf])|([\xee][\x92][\x80-\xbf])|([\xee][\x95][\x80-\xbf])|([\xee][\x94][\x80-\xbf])|([\xee][\x97][\x80-\xbf])|([\xee][\x96][\x80-\xbf])|([\xee][\x99][\x80-\xbf])|([\xee][\x98][\x80-\xbf])|([\xee][\x9b][\x80-\xbf])|([\xee][\x9a][\x80-\xbf])|([\xee][\x9d][\x80-\xbf])|([\xee][\x9c][\x80-\xbf])|([\xee][\x9f][\x80-\xbf])|([\xee][\x9e][\x80-\xbf])|([\xee][\xa1][\x80-\xbf])|([\xee][\xa0][\x80-\xbf])|([\xee][\xa3][\x80-\xbf])|([\xee][\xa2][\x80-\xbf])|([\xee][\xa5][\x80-\xbf])|([\xee][\xa4][\x80-\xbf])|([\xee][\xa7][\x80-\xbf])|([\xee][\xa6][\x80-\xbf])|([\xee][\xa9][\x80-\xbf])|([\xee][\xa8][\x80-\xbf])|([\xee][\xab][\x80-\xbf])|([\xee][\xaa][\x80-\xbf])|([\xee][\xad][\x80-\xbf])|([\xee][\xac][\x80-\xbf])|([\xee][\xaf][\x80-\xbf])|([\xee][\xae][\x80-\xbf])|([\xee][\xb1][\x80-\xbf])|([\xee][\xb0][\x80-\xbf])|([\xee][\xb3][\x80-\xbf])|([\xee][\xb2][\x80-\xbf])|([\xee][\xb5][\x80-\xbf])|([\xee][\xb4][\x80-\xbf])|([\xee][\xb7][\x80-\xbf])|([\xee][\xb6][\x80-\xbf])|([\xee][\xb9][\x80-\xbf])|([\xee][\xb8][\x80-\xbf])|([\xee][\xbb][\x80-\xbf])|([\xee][\xba][\x80-\xbf])|([\xee][\xbd][\x80-\xbf])|([\xee][\xbc][\x80-\xbf])|([\xee][\xbf][\x80-\xbf])|([\xee][\xbe][\x80-\xbf]);
Any = Any1|Any2|Any3;
    */

    //-- Manual definitions
    /*!re2c
	QUOTE_L                 = ([`\"])|([`][`])|([\xE2][\x80][\x98\x9A\x9B\x9C\x9E\x9F]);
	QUOTE_R                 = (['\"])|([\'][\'])|([\xE2][\x80][\x99\x9D]);
	QUOTE_G1                = ([\xC2][\xAB])|([\xE2][\x80][\xB9]);
	QUOTE_G2                = ([\xC2][\xBB])|([\xE2][\x80][\xBA]);
	QUOTE_G                 = QUOTE_G1|QUOTE_G2;
        QUOTE                   = QUOTE_L|QUOTE_R|QUOTE_G;
	HYPHEN			= "-" | "¬" | "­" | "⸗" | "–" | "—" ;
        PUNCT                   = Pc|Pd|Pe|Pf|Pi|Po|Ps|Sk|Sm|So|QUOTE|HYPHEN;
	BYTE			= [\x01-\xFF];
    */

    /*!re2c

      "."                             [\000]     { annot1("$."); }
      [\.:]+                          [\000]     { annot2("$.","$("); }
      [?!]+                           [\000]     { annot1("$."); }
      [,]                             [\000]     { annot1("$,"); }
      [;]                             [\000]     { annot1("$."); }

      [%]                             [\000]     { annot3("NN","$(","$PERCENT"); }
      "§"                             [\000]     { annot3("NN","$(","$PARAGRAPH"); /*-- use double quotes and not [] in pattern for non-ascii symbols! --*/ }
      Sc                              [\000]     { annot3("NN","$(","$CURRENCY"); }
      PUNCT                           [\000]     { annot1("$("); }

      [+-]?[0-9]+([\. :,_][0-9]+)*    [\000]     { annot1("CARD"); }
      [+-]?[0-9]+([\. :,_][0-9]+)*"." [\000]     { annot2("ADJA","$ORD"); }
      [IJXVLMDCijxvlmdc]+"."	      [\000]	 { annot3("ADJA","$ABBREV","$ORD"); }
      BYTE+ "."                       [\000]     { annot2("XY","$ABBREV"); }

      HYPHEN BYTE                                { annot1("TRUNC"); }
      BYTE* HYPHEN                    [\000]     { annot1("TRUNC"); }

      ("www.")|[a-zA-Z]+("@"|":/")               { annot4("NN","NE","XY","$LINK"); }


      [^]             { return; }

    */
  }

#undef annot0
#undef annot1
#undef annot2
#undef annot3
#undef annot4

} // namespace moot
